2011-05-04  Barton E. Schaefer  <schaefer@zsh.org>

	* 29140: Completion/bashcompinit: introduce function-scope wrapper
	around the call to the bash completion function; in this wrapper,
	hide the "words" special variable so that it may be used as an
	ordinary variable by the bash completions.

2011-05-04  Peter Stephenson  <pws@csr.com>

	* Rocky Bernstein: 29135 (plus tweaks): Completion/bashcompinit,
	Test/.distfiles, Test/Y04compgen.ztst, Test/compgentest: fix and
	test "compgen -W" in bash completion.

	* unposted: NEWS: a few notes for next release.

2011-05-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Haakon Riiser: 29137: Completion/Unix/Command/_ffmpeg: better
	handling of flags.

2011-05-03  Peter Stephenson  <pws@csr.com>

	* 29134: Src/prototypes.h: change termcap prototypes for AIX
	locally until we find the header.

2011-05-02  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29129: Src/exec.c: reading off end of file descriptor array
	noticed by Vincent.

2011-05-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Haakon Riiser: unposted: Completion/Unix/Command/_ffmpeg: more
	tweaks.

2011-04-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Haakon Riiser: 29100: Completion/Unix/Command/_ffmpeg: Clean
	up and add dependencies.

	* 29114: Doc/Makefile.in, Doc/Zsh/.distfiles,
	Doc/Zsh/ftp_sites.yo, Doc/Zsh/metafaq.yo, Etc/FAQ.yo: Use same
	FTP sites list in META-FAQ as FAQ.

	* İsmail Dönmez: 29020: Completion/openSUSE/Command/_SuSEconfig,
	Completion/openSUSE/Command/_hwinfo,
	Completion/openSUSE/Command/_osc,
	Completion/openSUSE/Command/_yast2,
	Completion/openSUSE/Command/_zypper (plus .distfiles): new
	completions.

2011-04-29  Barton E. Schaefer  <schaefer@zsh.org>

	* 29107: Src/Zle/zle_tricky.c: replace overlapping strcpy with
	memmove.

2011-04-27  Mikael Magnusson <mikachu@gmail.com>

	* 29051: Completion/Unix/Command/_make: add _make- prefix to
	internal helper functions.

2011-04-26  Wayne Davison  <wayned@users.sourceforge.net>

	* 29053 (modified): Src/prototypes.h: Use "const" qualifier
	in termcap prototypes.

2011-04-25  Frank Terbeck  <ft@bewatermyfriend.org>

	* Felipe Contreras: 29028: Completion/Unix/Command/_git: Add
	useful completion for `gitk'.

	* Simon Ruderich: 29041: Completion/Unix/Command/_git: Add
	completion for `tig' like the one for `gitk' from 29028.

	* unposted: Functions/Zle/edit-command-line: Revert change from
	28896, which did more evil than good.

2011-04-24  Barton E. Schaefer  <schaefer@zsh.org>

	* Jun T.: 29031: Src/Zle/complist.c: increment global minfo
	state when inserting characters on the line during interactive
	menu selection.

2011-04-21  Barton E. Schaefer  <schaefer@zsh.org>

	* 29025: Test/A01grammar.ztst: in select test, assert LINES=3
	along with COLUMNS=80 so that the selectlist is sure to be
	printed where the control script can capture/examine it.

2011-04-21  Frank Terbeck  <ft@bewatermyfriend.org>

	* Valentin Haenel: 29019, Completion/Unix/Command/_git: Fix git
	stash completion (apply and pop subcommands).

	* 29027: Completion/Unix/Command/_screen: support "/dev/ttyUSB0
	[baud]"-style arguments.

	* unposted: INSTALL: Clarify at which point directories from
	--enable-additional-fpath are added to $fpath.

2011-04-19  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/X/Command/.distfiles, Config/version.mk:
	development version 4.3.11-dev-2.

	* unposted: Completion/Unix/Command/_perforce: don't complete p4
	reopen to same change.

2011-04-18  Frank Terbeck  <ft@bewatermyfriend.org>

	* 29008, 29012: Config/defs.mk.in, Src/init.c, Src/zsh.mdd,
	configure.ac, INSTALL: Add `--enable-additional-fpath' option to
	add arbitrary directories to the default `$fpath'.

2011-04-18  Peter Stephenson  <pws@csr.com>

	* Simon Ruderich: 29004: M Doc/Zsh/compsys.yo,
	Doc/Zsh/metafaq.yo, Etc/FAQ.yo: update archive list.

2011-04-15  Wayne Davison  <wayned@users.sourceforge.net>

	* Unposted: Src/Zle/computil.c: Fix compiler warning caused by
	duplicate initialization of state.doff.

2011-04-15  Frank Terbeck  <ft@bewatermyfriend.org>

	* Simon Ruderich: 28927: Completion/Unix/Command/_git: Fix "git
	tag -v" completion.

2011-04-15  Mikael Magnusson <mikachu@gmail.com>

	* 28998: Completion/Unix/Command/_make: set return status
	correctly.

2011-04-14  Peter Stephenson  <pws@csr.com>

	* 28997: configure.ac, Src/system.h: make --enable-libc-musl
	explicit.

2011-04-13  Peter Stephenson  <pws@csr.com>

	* gi1242+zsh: 28991: Completion/Unix/Command/_subversion: fix
	caching policy for subversion.

2011-04-12  Peter Stephenson  <pws@csr.com>

	* Valentin Ochs: 28990: configure.ac, Src/system.h: more
	changes needed for signals.

	* Valentin Ochs: 28989: configure.ac: define _POSIX_C_SOURCE
	when testing for sigset_t (needed for musl).

2011-04-11  Peter Stephenson  <pws@csr.com>

	* users/15953: Src/builtin.c: handle EINTR when using read -k or
	-q together with -u or -p.

	* cat.in.136: users/15945: Completion/Redhat/Command/_yum:
	various corrections and updates.

2011-04-05  Wayne Davison  <wayned@users.sourceforge.net>

	* 28977: Src/utils.c: fix copying of uninitialized memory
	when trying to spell-correct a really long string.

2011-04-01  Peter Stephenson  <pws@csr.com>

	* Stef van Vlierberghe: 28965 (as posted in 28967):
	findproc() should not return processes not marked as SP_RUNNING
	since findproc() is used find processes still known to the OS.

2011-03-30  Frank Terbeck  <ft@bewatermyfriend.org>

	* Mike Meyer: 28956, 28957:
	Functions/VCS_Info/Backends/VCS_INFO_detect_fossil,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_fossil,
	Doc/Zsh/contrib.yo: Add fossil support to vcs_info.

	* unposted: Functions/VCS_Info/Backends/.distfiles: Add
	new backend files to `.distfiles'.

	* unposted: ChangeLog: Fix typo in date.

	* 28958: Functions/VCS_Info/VCS_INFO_hook: Support registering
	hooks independent of the context.

	* 28960: Doc/Zsh/contrib.yo, Functions/VCS_Info/.distfiles,
	Functions/VCS_Info/vcs_info, Functions/VCS_Info/vcs_info_hookadd,
	Functions/VCS_Info/vcs_info_hookdel: Add functions to add/remove
	static hooks.

	* 28961: Doc/Zsh/contrib.yo, Functions/VCS_Info/VCS_INFO_set: Add
	`no-vcs' hook.

	* 28959: Doc/Zsh/contrib.yo, Functions/VCS_Info/VCS_INFO_set,
	Functions/VCS_Info/vcs_info: Make the nvcsformats style be used if
	vcs_info is disabled.

2011-03-29  Mikael Magnusson <mikachu@gmail.com>

	* unposted: Completion/Unix/Command/_vim: Fix typo in
	description for -N.

2011-03-29  Peter Stephenson  <pws@csr.com>

	* Mikael: 28948: Completion/compinit, Doc/Zsh/compsys.yo:
	compdef -e overrides interpretation of argument as service.

2011-03-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 28941: Src/Zle/zle_params.c: accessing cursor with
	metafied line was problematic.

2011-03-21  Peter Stephenson  <pws@csr.com>

	* 28936: Src/subst.c: ${#$} and ${#?} also didn't work.

2011-03-20  Frank Terbeck  <ft@bewatermyfriend.org>

	* Johan Sundström: 28890: Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_npm: New _npm completion.

2011-03-19  Barton E. Schaefer  <schaefer@zsh.org>

	* 28926: Src/Zle/zle_tricky.c: No newline after the last line in
	listlist() when printing the list in a single column.

2011-03-18  Frank Terbeck  <ft@bewatermyfriend.org>

	* Nikolai Weibull: 28914: Completion/Unix/Command/_git: Typo
	fix in `cvsexportcommit' description.

	* Nikolai Weibull: 28911: Completion/Unix/Command/_git: Only show
	modified files for git-checkout without tree.

	* Nikolai Weibull: 28913: Completion/Unix/Command/_git: Fix typo
	which broke `send-email' completion.

2011-03-16  Frank Terbeck  <ft@bewatermyfriend.org>

	* 28896: Functions/Zle/edit-command-line: unset `monitor' option
	while the widget is running to avoid accidential data loss.

2011-03-16  Peter Stephenson  <pws@csr.com>

	* Mikael: users/15875: Completion/Unix/Command/_gpg: use return
	status from _arguments.

2011-03-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28889: Src/subst.c, Test/D04parameter.ztst: ${##} should
	return the length of $#.

2011-03-11  Barton E. Schaefer  <schaefer@zsh.org>

	* Greg Klanderman: 28887: Completion/Zsh/Type/_command_names:
	fix quoting in defs array.

2011-03-11  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Zsh/Context/_dynamic_directory_name:
	Mikael spotted that completion doesn't work if
	$zsh_directory_name_functions is set but zsh_directory_name
	isn't defined.

	* users/15864: Completion/Zsh/Context/_dynamic_directory_name,
	Doc/Zsh/contrib.yo, Doc/Zsh/expn.yo, Functions/Chpwd/.distfiles,
	Functions/Chpwd/zsh_directory_name_cdr,
	Functions/Misc/add-zsh-hook, Src/subst.c, Src/utils.c:
	turn zsh_directory_name into a hook.

	* 28886: Src/Zle/zle_utils.c: Fix 28772 for the case where
	regions have the "P" flag to include $PREDISPLAY in the
	offsets.

2011-03-08  Barton E. Schaefer  <schaefer@zsh.org>

	* Greg Klanderman: 28846: Completion/Zsh/Type/_functions,
	Completion/Zsh/Type/_command_names,
	Completion/Zsh/Type/_parameters, Doc/Zsh/compsys.yo: adapt
	prefix-needed zstyle to handle the completion function naming
	convention of a leading underscore.

2011-03-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28866: Src/exec.c, Test/A04redirect.ztst: With POSIX_BUILTINS,
	"command" prefix tops a command having special behaviour.

2011-03-05  Barton E. Schaefer  <schaefer@zsh.org>

	* Adrian: 28857: Functions/Prompts/prompt_bigfade_setup: use %d
	instead of $PWD

2011-03-04  Frank Terbeck  <ft@bewatermyfriend.org>

	* 28853: Doc/Zsh/contrib.yo, Doc/Zsh/expn.yo, Functions/Chpwd/cdr,
	Src/builtin.c, Src/prompt.c: Fix typo: preceed -> precede

2011-03-02  Barton E. Schaefer  <schaefer@zsh.org>

	* 28805: Doc/Zsh/builtins.yo, Doc/Zsh/mod_sched.yo: move stray
	text about the sched builtin away from the set builtin.

2011-03-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Baptiste: 28819: Completion/BSD/Command/_sockstat,
        Completion/Unix/Command/_mount,
	Completion/Unix/Type/_file_systems: FreeBSD completion tweaks.

2011-02-28  Barton E. Schaefer  <schaefer@zsh.org>

	* 28823: Src/builtin.c: make it an error to tie the same scalar to
	two different arrays (prevents crash bug); improve a couple of
	other error messages.

2011-02-28  Peter Stephenson  <pws@csr.com>

	* Frank, 28812, modified as in 28813: Src/string.c: wcs_ztrdup()
	needs to allocate array of wchar_t.  Looks like this isn't
	currently used anywhere.

2011-02-27  Wayne Davison  <wayned@users.sourceforge.net>

	* Nikolai Weibull: 28649,28804: Completion/Unix/Command/_git:
	Latest version copied from https://github.com/now/zsh.

2011-02-24  Peter Stephenson  <pws@csr.com>

	* 28799: Src/lex.c: fix bug introduced with lexflags
	that lexical analyser didn't stop quickly enough when
	retrieving completion words.

2011-02-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28795: Src/exec.c: tweak to 28791 for forked shells.
	Also (unposted) typos in comments noticed by Mikael.

2011-02-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28791: Doc/Zsh/options.yo, Src/builtin.c, Src/exec.c,
	Test/A04redirect.ztst: exit on errors in special builtins
	with POSIXBUILTINS.

2011-02-21  Peter Stephenson  <pws@csr.com>

	* 28783: Doc/Zsh/options.yo, Src/lex.c, Test/A01grammar.ztst:
	allow ( to be treated specially in more places when SH_GLOB
	is set but KSH_GLOB isn't.

	* 28784: Doc/Zsh/options.yo, Test/A04redirect.ztst, Src/exec.c:
	exit on exec redirection error with POSIXBUILTINS.

2011-02-19  Frank Terbeck  <ft@bewatermyfriend.org>

	* 28776: Functions/VCS_Info/VCS_INFO_bydir_detect,
	Functions/VCS_Info/Backends/VCS_INFO_detect_hg,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg: Let
	vcs_info detect very old mercurial repositories.


2011-02-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28773, Doc/Zsh/zle.yo, Src/zle_hist.c: add
	zle-history-line-set widget.

	* 28772: Doc/Zsh/zle.yo, Src/Zle/compcore.c,
	Src/Zle/compresult.c, Src/Zle/zle.h, Src/Zle/zle_refresh.c,
	Src/Zle/zle_tricky.c, Src/Zle/zle_utils.c: update regions
	in $region_highlight dynamically.

2011-02-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28761: Completion/Unix/Command/_sccs: file completion missing
	for some commands.

	* 28762: Src/exec.c: logic for closing coproc file descriptors
	was wrong.

2011-02-15  Frank Terbeck  <ft@bewatermyfriend.org>

	* 28758: Functions/Misc/colors: work with non-default option sets.

2011-02-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28750 with some extra comments:
	Completion/Unix/Type/_path_files: separate out completeinword
	handling where the current component is not the last but is
	the first from the already handled case where there is a further
	component in front.

2011-02-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28671: Src/Zle/zle_utils.c: better cursor positioning
	after undo.

	* users/15738: Functions/Zle/modify-current-argument: better
	positioning of the cursor after the operation.

2011-02-11  Frank Terbeck  <ft@bewatermyfriend.org>

	* Lennart Weller: 28739:
	Functions/VCS_Info/Backends/VCS_INFO_detect_svn: Fix svn
	detection in vcs_info.

2011-02-10  Barton E. Schaefer  <schaefer@zsh.org>

	* users/15759 (slightly augmented): Functions/Zle/send-invisible,
	Functions/Zle/.distfiles: widget to read a concealed string from
	the keyboard and stash it in $INVISIBLE.

	* users/15770: Src/init.c: disable HASH_DIRS when not interactive.

	* 28710: Completion/Debian/Type/_deb_packages: replace complex
	parameter expansion with command substitution to speed diffing
	of large lists of packages.

	* unposted: Doc/Zsh/contrib.yo: add send-invisible.  Re-order
	some other entries to restore approximate alphabetization.

2011-01-24  Clint Adams  <clint@zsh.org>

	* Carl Worth: 28648: Completion/Unix/Command/_notmuch: notmuch
	completion by Ingmar Vanhassel.

2011-01-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* gi1242+zsh@gmail.com: 28647: Completion/X/Command/_vnc: more
	options.

	* gi1242+zsh@gmail.com: 28646: Completion/X/Command/_matlab: new
	completion.

2011-01-19  Peter Stephenson  <pws@csr.com>

	* 28638: Doc/Zsh/parameter.yo, Src/zsh.h,
	Src/Modules/parameter.c, plus NEWS added: add $usergroups hash
	mapping from user's own groups by name to GID.

2011-01-18  Peter Stephenson  <pws@csr.com>

	* Mikael: 28637: Src/subst.c: ${foo:0:} caused crash.

2011-01-17  Peter Stephenson  <pws@csr.com>

	* Atom Smasher: users/15715: Completion/Zsh/Function/_zargs: new

2011-01-16  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Config/defs.mk.in, configure.ac: use the -L option
	with yodl 3.x.

2011-01-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28631: gi1242+zsh@gmail.com (as in 28633):
	Completion/Unix/Command/.distfiles, Completion/Unix/Command/_lp,
	Completion/Unix/Command/_tex, Completion/Unix/Command/_xournal,
	Completion/Unix/Type/.distfiles, Completion/Unix/Type/_tex,
	Completion/X/Command/.distfiles, Completion/X/Command/_xournal:
	various updates.

	* 28634: Test/D04parameter.ztst: test for 28630.

	* Ricky Zhou: 28630: Src/params.c: fix crash with isident.

	* gi1242+zsh@gmail.com: 28629: Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_lp, Completion/Unix/Command/_tex,
	Completion/Unix/Command/_xournal,
	Completion/Unix/Type/.distfiles, Completion/Unix/Type/_tex,
	Completion/X/Command/.distfiles, Completion/X/Command/_xournal:
	completion updates.

2011-01-16  Clint Adams  <clint@zsh.org>

	* unposted: Completion/Unix/Command/_fuser: fix typo in pattern

2011-01-13  Peter Stephenson  <pws@csr.com>

	* c.f. 28628: Doc/Zsh/func.yo: some extra notes on traps.

2011-01-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Src/params.c: fix return types in 28617.

	* 28611: Src/Zle/zle_move.c: remove unused special behaviour for
	VI mark 26.

2011-01-11  Peter Stephenson  <pws@csr.com>

	* 28626: Doc/Zsh/func.yo: summarise differences between two
	types of trap.

2011-01-10  Peter Stephenson  <pws@csr.com>

	* 28617: Src/glob.c, Src/params.c, Test/E01options.ztst: NO_EXEC
	option was doing to much work with parameter subscripting,
	parameter assignments, and globbing.

2011-01-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28544: Src/Makefile.in, Makemod.in.in: another way of handling
	bad dependencies for 'make prep' as in 28541.

	* gi1242+zsh@gmail.com: 28594 (with changes as in 28598):
	Completion/Linux/Command/.distfiles,
	Completion/Linux/Command/_modutils,
	Completion/Linux/Command/_wpa_cli,
	Completion/Unix/Command/.distfiles, Completion/Unix/Command/_lp,
	Completion/Unix/Command/_pgrep,
	Completion/Unix/Command/_subversion,
	Completion/Unix/Command/_unison,
	Completion/Unix/Command/_xournal, Completion/Unix/Type/_pdf,
	Completion/X/Command/.distfiles, Completion/X/Command/_gv,
	Completion/X/Command/_okular, Completion/X/Command/_pdftk,
	Completion/X/Command/_vnc, Completion/X/Command/_xrandr: Various
	new and improved completions.

2011-01-07  Peter Stephenson  <pws@csr.com>

	* 28590 (added a comment): Src/builtin.c, Test/B04read.ztst:
	read builtin should return non-zero status on error.

	* Mikael: 28585: Completion/Unix/Command/_mkdir: don't set ret=0
	when _wanted fails to find any matches.

2011-01-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Src/utils.c: fix argument type for write_loop().

	* 28588: Src/text.c, Test/C02cond.ztst: fix textual display
	after =~ test.

	* Ben: 28574: Completion/Unix/Command/_ri: use bs formatter.

2011-01-06  Barton E. Schaefer  <schaefer@zsh.org>

	* 28579: Completion/Unix/Command/_du: propagate failure status
	from _arguments so that _complete will try other completions.

	* 28578 (plus test): Src/utils.c, Src/zsh.h, Test/B03print.ztst:
	fix handling of numeric escapes that expand to "%" in printf
	format strings, so they are not treated as format introducers.

2011-01-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28568 c.f. 28549 (Ricky Zhou): Src/utils.c: buffer overflow
	examining paths.

	* Alexey: 28557: Completion/Unix/Command/_ri: update for new
	versions of Ruby.

2010-12-25  Clint Adams  <clint@zsh.org>

	* 28548: Completion/Unix/Command/_fuser: match psmisc in any case.

2010-12-21  Barton E. Schaefer  <schaefer@zsh.org>

	* users/15662: Src/params.c: fix array slice assignment with one
	index positive and one negative.

	* unposted: Test/A06assign.ztst: tests for users/15662.

2010-12-21  Peter Stephenson  <pws@csr.com>

	* users/15663: Test/A06Assign.ztst: some (incomplete) array
	assignment tests.

	* unposted: Config/version.mk: update version to 4.3.11-dev-1.

2010-12-20  Peter Stephenson  <pws@csr.com>

	* unposted: Src/Makefile.inc: restore unintentionally removed
	.PHONY entires.

	* unposted: Config/version.mk, Src/Makefile.inc: release 4.3.11.
	Tweak to Src/Makefile.inc was to workaround some make problem
	with timestamps.

	* Paul Ackersviller: 28538: as modified in 28540 plus a couple
	of casts to char * I missed: Src/init.c,Src/input.c,
	Src/parse.c, Src/prototypes.h, Src/utils.c, Src/Zle/zle_main.c:
	pointer arithmetic needs to be done with char *, not void *.

2010-12-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28537: Src/lex.c, Test/D04parameter.ztst: word splitting on
	'((' in command position that turned into nested subshell
	commands was broken.

2010-12-18  Barton E. Schaefer  <schaefer@zsh.org>

	* 27862 (belatedly): Completion/X/Utility/_x_arguments: handle
	X11 versions greater than X11R6 in the compdef line.

	* unposted: Src/Makefile.in: "prep" target depends on Makemod,
	not on the files on which Makemod depends.

2010-12-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 28535: NEWS: typo

2010-12-17  Peter Stephenson  <pws@csr.com>

	* Štěpán Němec: 28533: README, Doc/Zsh/compsys.yo,
	Doc/Zsh/compwid.yo, Doc/Zsh/contrib.yo, Doc/Zsh/expn.yo,
	Doc/Zsh/params.yo, Doc/Zsh/zle.yo, Functions/Chpwd/cdr: typos.

	* unposted: NEWS: note zle_highlight suffix control.

	* Mikael: users/15653: Src/Zle/zle_refresh.c:
	zle_highlight=(none) should turn off suffix highlighting.

2010-12-16  Peter Stephenson  <pws@csr.com>

	* Mikael: 28531: Completion/Base/Utility/_combination,
	Doc/Zsh/expn.yo, Doc/Zsh/mod_clone.yo, Doc/Zsh/options.yo,
	Src/exec.c: typos.

	* unposted: NEWS: add notes on (Z) parameter flag.

	* unposted: README, Config/version.mk, Etc/FAQ.yo,
	Completion/Debian/Command/.distfiles: update for 4.3.10-test-3.

2010-12-14  Barton E. Schaefer  <schaefer@zsh.org>

	* 28530: Doc/Zsh/expn.yo, Src/subst.c, Test/D04parameter.ztst:
	replace (z+opts+) flag with (Z:opts:), add reserved (_:flags:).

2010-12-14  Peter Stephenson  <pws@csr.com>

	* unposted: Src/lex.c: another neatening of lexflags use for
	ZLE.

	* 28529: Src/hist.c, Src/lex.c, Src/zsh.h, Src/Zle/compcore.c,
	Src/Zle/compctl.c, Src/Zle/zle_tricky.c: save and restore
	lexflags and separate out special word logic for ZLE by
	adding new flag LEXFLAGS_ZLE.

	* 28528: Doc/Zsh/expn.yo, Src/hist.c, Src/lex.c, Src/subst.c,
	Src/zsh.h, Src/Zle/compcore.c, Src/Zle/compctl.c,
	Src/Zle/zle_tricky.c, Test/D04parameter.ztst: clear up use of
	zleparse variable into lexflags; add (z+n+) for splitting with
	newline treated as ordinary whitespace.

2010-12-13  Peter Stephenson  <pws@csr.com>

	* 28526: Src/lex.c, Test/D04parameter.ztst: zplitting
	'line # with comment' when stripping comments shouldn't generate
	a newline at the end (unless there is one).

2010-12-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28510: Doc/Zsh/expn.yo, Src/hist.c, Src/lex.c, Src/subst.c,
	Src/Modules/parameter.c, Src/Zle/zle_hist.c, Src/Zle/zle_misc.c,
	Test/D04parameter.ztst: add (z+c+) and (z+C+) parameter flags.

2010-12-07  Peter Stephenson  <pws@csr.com>

	* unposted: remove users/15622 which causes problems
	with certain existing forms of testing commands.

2010-12-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	*  Mikael: 28480: Doc/Zsh/params.yo, Src/utils.c: allow
	PROMPT_EOL_MARK to be an empty string.

2010-12-06  Peter Stephenson  <pws@csr.com>

	* users/15622: Completion/Base/Utility/_pick_variant: use
	$service rather than $words[1] to pick the service. Although
	there may be cases where this doesn't work, this provides
	transparent behaviour for simple uses along the lines of
	"compdef <_func> <cmd>=<service>"

	* users/15621: Completion/compinit,
	Completion/Base/Core/dispatch: fix setting service for compef
	-p/-P.

	* Mikael: 28487: Doc/Zsh/builtins.yo, Doc/Zsh/expn.yo,
	Doc/Zsh/options.yo, Doc/Zsh/prompt.yo: fix docs to refer to
	current directory rather than $PWD.

	* 28486: Src/Zle/compcore.c: $compstate[parameter] needed
	untokenizing.

	* Mikael: 28484: Completion/Unix/Command/_du: updated for GNU
	variant.

2010-12-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: NEWS: mention {START..END..STEP} changes.

	* Mikael: 28474, 28478: Doc/Zsh/expn.yo, Src/glob.c,
	Test/D09brace.ztst: extended {START..END..STEP} syntax.

	* 28476: Test/.distfiles, Test/D09brace.ztst: new set of tests
	for brace expansion.

	* 28475: Test/A05execution.ztst: test that starting a background
	job resets the status.

	* 28469: Src/exec.c: fix memory leak in anonymous function.

2010-12-04  Wayne Davison  <wayned@users.sourceforge.net>

	* Aaron Schrab: 28210: Completion/Unix/Command/_git: add completion
	for help subcommand.

2010-12-03  Peter Stephenson  <pws@csr.com>

	* 28468: Completion/Unix/Command/_man: if argument contains a
	"/", complete file instead of manual page reference; prefer
	files with man suffixes.

2010-11-30  Peter Stephenson  <pws@csr.com>

	* unposted: NEWS: add news about ${NAME:OFFSET} and took the
	opportunity for a general tidy up.

2010-11-27  Barton E. Schaefer  <schaefer@zsh.org>

	* 28461: Src/exec.c: flush stderr in PRINT_EXIT_VALUE handling.

	* users/15583: Functions/Misc/sticky-note: update with zstyles and
	for ease of use in zle-line-init.

2010-11-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28459: Src/utils.c: flush shell output in PROMPT_SP handling.

2010-11-25  Wayne Davison  <wayned@users.sourceforge.net>

	* 28445: Src/utils.c: overwrite PROMPT_SP string if it
	should remain invisible, even with an upcoming newline.

2010-11-25  Peter Stephenson  <pws@csr.com>

	* Sebastian Stark: users/15581:
	Completion/Zsh/Command/_zmodload: MacOS has .bundle DLL files.

	* users/15580: Completion/Zsh/Function/_zsh-mime-handler,
	Functions/MIME/zsh-mime-handler: fixes for completion when
	dropping through to normal completion.

	* 28434: Doc/Zsh/expn.yo, Src/subst.c, Test/D04parameter.ztst:
	Make ${NAME:OFFSET} always use zero-offset.

2010-11-22  Peter Stephenson  <pws@csr.com>

	* 28424: Doc/Zsh/options.yo, Src/options.c, Src/utils.c,
	Src/zsh.h, Test/A03quoting.ztst: New POSIX_STRINGS option
	makes \0 in $'...' terminate the quoted string.

2010-11-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28425: Src/subst.c: remove null arguments and untokenize
	in check_colon_subscript().

2010-11-18  Peter Stephenson  <pws@csr.com>

	* 28419: Doc/Zsh/expn.yo, Src/subst.c, Test/D04parameter.ztst:
	KSH_ARRAY ${*:0:1} gives $0 etc.

	* 28418: Doc/Zsh/expn.yo, Src/lex.c, Src/params.c, Src/subst.c,
	Test/D04parameter.ztst: add ${NAME:OFFSET} and
	${NAME:OFFSET:LENGTH} substitution syntax.

2010-11-17  Peter Stephenson  <pws@csr.com>

	* 28377: Doc/Zsh/grammar.yo: document more alias problems.

2010-11-14  Clint Adams  <clint@zsh.org>

	* 28411: Completion/Unix/Command/_git: complete submodule
	and annex as subcommands; complete files when the subcommand
	is unknown.

2010-11-10  Clint Adams  <clint@zsh.org>

	* 28401: Completion/Debian/Command/_git-buildpackage:
	git-buildpackage completion from Felipe Sateler.

2010-11-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 28389: Completion/Unix/Type/_java_class: empty section
	in $CLASSPATH.

2010-11-03  Barton E. Schaefer  <schaefer@zsh.org>

	* 28384: Src/params.c: improve error message on assignment to a
	field of a read-only hash.

2010-10-27  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/grammar.yo: typo pointed out by
	Štěpán plus slight rephrasing.

	* 28375: Doc/Zsh/grammar.yo: clarify how to quote aliases from
	expansion.

2010-10-25  Peter Stephenson  <pws@csr.com>

	* 28363: Src/Zle/zle_refresh.c: inserting a character when a
	wide character was at the end of the line didn't work.

2010-10-22  Peter Stephenson  <pws@csr.com>

	* 28360: Src/subst.c, Test/E01options.ztst: NO_UNSET option
	should test parameters with following operators, too.

	* not quite posted: Completion/Unix/Command/_screen: better to
	allow sessions to be completed after -S.

2010-10-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Silas Silva (with minor improvement): users/15464:
	Completion/Unix/Command/_man: support for -M argument.

2010-10-18  Peter Stephenson  <pws@csr.com>

	* Jérôme Pouiller: 28351: Functions/Misc/run-help-openssl,
	Functions/Misc/run-help-sudo: new help functions.

2010-10-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 28356: Src/Zle/zle_refresh.c: don't increment old
	display line past NULL.

	* c.f. 28353: Doc/Zsh/metafaq.yo: removing remaining reference
	to sunsite in FTP sites.

2010-10-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28345: Doc/Zsh/expn.yo, Functions/Chpwd/cdr, Src/builtin.c,
	Src/utils.c: make new ${(D)} flag return the contracted file as
	a fully usable command line argument.

2010-10-12  Barton E. Schaefer  <schaefer@zsh.org>

	* unposted (users/15440): Doc/Zsh/expn.yo: fix cross-references
	among parameter expansion rules.

2010-10-12  Peter Stephenson  <pws@csr.com>

	* Mikael: 28343: Completion/Unix/Command/_setfacl: didn't
	complete file argument in all cases.

2010-10-10  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28340: Src/params.c: assignment with negative index didn't
	work with multibyte characters.

	* 28339: Src/hist.c: NO_HIST_LEX_WORDS didn't handle
	backslash-newline line continuation properly, either.

	* 28332: Src/hist.c: HIST_LEX_WORDS didn't handle
	backslash-newline line continuation properly.  Come to think of
	it, neither does the alternative.

2010-10-10  Phil Pennock  <pdpennock@users.sourceforge.net>

	* 28338: Src/cond.c, C02cond.ztst: keep =~ from inverting sense
	of subsequent tests (after &&/||).

2010-10-08  Peter Stephenson  <pws@csr.com>

	* Ben: 28330: Completion/X/Command/_acroread: add
	completion for -openInNewInstance.

	* Ben: 28329: Completion/X/Command/_acroread: version 9 is
	similar to 7 and 8.

2010-10-07  Peter Stephenson  <pws@csr.com>

	* 28327: Src/hist.c: Fix bufferwords() splitting when RC_QUOTES
	is turned on.

2010-10-06  Peter Stephenson  <pws@csr.com>

	* 28326: Src/hist.c, Test/D04parameter.ztst: Problems with
	HIST_LEX_WORDS: memory allocation was screwed if we skipped
	"words" from the lexer; use local heap to avoid silly amounts of
	memory; fallback to non-lex on failure rather than just fixing
	up at the end; workaround oddity with splitting with RC_QUOTES.

	* 28319: Src/hist.c, Test/D04parameter.ztst: ${(z)...}
	splitting oddities and some tests for consistency.

	* 28285: Doc/Zsh/zle.yo, Src/Zle/zle_hist.c: add
	zle-isearch-update and zle-isearch-exit hooks.

2010-10-02  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: NEWS: note HIST_LEX_WORDS option.

	* 28310 with 28308 (Bart): Doc/Zsh/options.yo, Src/hist.c,
	Src/options.c, Src/zsh.h: HIST_LEX_WORDS option and check
	for full history file read.

	* 28309: Src/subst.c: infinite loop when padding with extra wide
	characters.

	* Mikael: 28301: Doc/Zsh/compsys.yo: restore missing line.

2010-10-01  Oliver Kiddle  <opk@zsh.org>

	* 28307: Completion/Zsh/Command/_zstyle: support new styles
	especially vcs_info ones and allow quoted contexts again

2010-09-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28295 plus tweak for failure case: Src/hist.c: use lexer to
	split words from history file.

2010-09-23  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/manual.yo: update address of HTML manual.

2010-09-20  Peter Stephenson  <pws@csr.com>

	* 28282: Src/Zle/zle_keymap.c, Src/Zle/zle_main.c,
	Src/zle_utils.c: new function zlecallhook() and fix argument to
	zle-keymap-select.

2010-09-19  Barton E. Schaefer  <schaefer@zsh.org>

	* 28268: Src/builtin.c: I/O to a terminated (or never created)
	coprocess emits a "no coprocess" diagnostic, instead of either
	nothing or "bad file number".

2010-09-16  Peter Stephenson  <pws@csr.com>

	* Baptiste: 28264: Completion/Unix/Command/_ffmpeg: remove the
	need for sed.

2010-09-15  Wayne Davison  <wayned@users.sourceforge.net>

	* 28261: Julius Plenz: Completion/Debian/_dpkg: separate the
	options to _arguments.

2010-09-14  Peter Stephenson  <pws@csr.com>

	* 28259: Src/exec.c, Src/lex.c, Src/parse.c, Src/text.c,
	Src/zsh.h, Test/A04redirect.ztst: Fix bug that empty
	here-documents were given a newline, and output here-documents
	from shell text as real here-documents rather than here-strings.

	* 28258: Src/signals.c: bug in 28250 could cause undefined
	variable resulting in mayhem.

2010-09-13  Peter Stephenson  <pws@csr.com>

	* unposted: NEWS: add POSIX_TRAPS

	* Mikael: 28252: Completion/Zsh/Command/_zle: remove unnecessary
	looped that caused errors.

2010-09-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/builtins.yo: note exit trap runs before
	zshexit hook.

	* 28250: Doc/Zsh/options.yo, Src/options.c, Src/signals.c,
	Src/zsh.h, Test/C03traps.ztst: POSIX_TRAPS option.

	* Mikael: 28253: Doc/Zsh/mod_attr.yo: document -h argument to
	attribute commands.

2010-09-08  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Zle/replace-string-again: safety on
	regexp failures.

	* 28244 with typo noted by Mikael and Bart: NEWS: updated 4.3.11
	news.

	* 28241: Doc/Zsh/zle.yo, Src/Zle/zle_keymap.c: don't list .safe
	keymap with "bindkey -lL", you don't get there from here.

	* 28237: Doc/Zsh/params.yo, Doc/Zsh/zle.yo, Src/Zle/zle_main.c:
	set ZLE_LINE_ABORTED to line so far when ZLE aborts on an error.

2010-09-06  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/zle.yo: small typo.

2010-09-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28226, 28229: Doc/Zsh/zle.yo, Src/Zle/zle_keymap.c: "bindkey
	-lL" now lists aliased keymaps in a more useful way; can list
	individual keymaps.

	* 28227: Doc/Zsh/zle.yo: a few remarks on the question of
	keymaps.

2010-09-02  Peter Stephenson  <pws@csr.com>

	* users/15350: Doc/expn.yo: explain the strange rounding rules for
	size glob qualifier.

2010-09-01  Peter Stephenson  <pws@csr.com>

	* 28188: Doc/Zsh/mod_complist.yo, Doc/Zsh/zle.yo: better
	documentation for limitations in the overlay key maps.

2010-08-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28220: Src/exec.c (plus comments), Src/params.c,
	Test/A06assign.ztst: "HELLO=$HELLO shellfunc" failed because
	we removed HELLO from the parameter table to save it.  Copy it
	instead.

	* Mikael: 28202: Src/Zle/complist.c: need line unmetafied for
	reversemenucomplete().

2010-08-23  Peter Stephenson  <pws@csr.com>

	* Mikael: 28190: Doc/Zsh/options.yo: reference to wrong
	manual page.

	* unposted: Completion/Unix/Command/_perforce: update for 2010.1.

2010-08-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28179: Src/jobs.c, Src/signals.c: use WIFCONTINUED() and
	WCONTINUE by exporting child handler to a function.

	* users/15314: Doc/Zsh/expn.yo: redescribe process substitution.

	* users/15310 (bits applying to process substitution with
	redirection): Src/exec.c: make redirection process substitution
	attach to the appropriate process group.

	* users/15200: pass foreground signals on to process
	substitutions in current shell

2010-08-22  Barton E. Schaefer  <schaefer@zsh.org>

	* 28186: Completion/Base/Utility/_multi_parts: replace a single
	(...|...) pattern-match with a loop over the alternatives to
	avoid issues with pattern-quoting each alternative.

2010-08-21  Frank Terbeck  <ft@bewatermyfriend.org>

	* Mikael Magnusson: 28181: Doc/Zsh/mod_zprof.yo: Remove a
	stray `)' that caused a ".RE" string to be output

2010-08-19  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_todo.sh: more commands.

2010-08-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28172: Src/jobs.c: mark processes as not stopped if
	sent SIGCONT.

2010-08-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28167: Src/Zle/compresult.c: reset more variables when
	invalidating completion list.

2010-08-13  Peter Stephenson  <pws@csr.com>

	* 28160 modified as per 28164: Src/Zle/zle_refresh.c: when the
	display was reset we didn't properly mark the old display line
	as invalid.  This could mean the display didn't get redrawn
	properly.

2010-08-11  Peter Stephenson  <pws@csr.com>

	* 28139: based on Frank Terbeck: 28122: Src/Zle/zle_params.c,
	Doc/Zsh/zle.yo: add ZLE_STATE variable.

2010-08-10  Clint Adams  <clint@zsh.org>

	* unposted: Functions/Newuser/zsh-newuser-install: tweak
	newline placement.

2010-08-10  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_todo.sh: need care matching
	initial whitespace; strip priorities to get text to replace.

2010-08-08  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28137: Functions/MIME/zsh-mime-handler: $argv[0] should be
	$argv[1].

2010-08-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Simon Ruderich: 28136: README: typo.

2010-08-06  Peter Stephenson  <pws@csr.com>

	* 28131: MACHINES: latest status on Cygwin.

	* users/15232: Completion/Unix/Type/_path_files: somehow
	this didn't get completed.

2010-08-05  Peter Stephenson  <pws@csr.com>

	* users/15232: Completion/Unix/Type/_path_files: another
	go at fixing up for bizarre quoting rules, c.f. users/15031.

2010-08-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Holger Macht: 28130: Completion/Unix/Command/_osc: new
	completion.

2010-08-02  Frank Terbeck  <ft@bewatermyfriend.org>

	* Seth House: 28115: Misc/vcs_info-examples: Another git example
	hook.

	* Seth House: 28114:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: Fix revision
	lookup with packed repositories.

2010-08-02  Peter Stephenson  <pws@csr.com>

	* Daiki Ueno: 28112: Src/Zle/zle_refresh.c: missing parentheses
	caused incorrect size for character width.

2010-07-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/15219: Src/jobs.c: print exit status if PRINTEXITVALUE
	and terminated by signal.

	* 28111: Src/jobs.c: always print exit status if PRINTEXITVALUE
	is set.

	* users/15217: Src/Zle/zle_main.c: use top-level status
	when redrawing prompt.

2010-07-30  Frank Terbeck  <ft@bewatermyfriend.org>

	* Mikael Magnusson: 28110: Doc/Zsh/compsys.yo: Fix yodl warning.

	* unposted: Fix a date in ChangeLog.

2010-07-29  Peter Stephenson  <pws@csr.com>

	* <hamer@hamer.org.ua>: 28104: Src/Zle/compcore.c: crash
	in obscure completion case due to NULL pointer.

2010-07-28  Peter Stephenson  <pws@csr.com>

	* users/15204: Functions/Zftp/zfinit: check compctl is loaded
	before trying to use it (for ksh emulation).

	* as described in users/15202: Functions/Misc/run-help,
	Functions/Newuser/zsh-newuser-install,
	Functions/Prompts/promptinit, Functions/TCP/tcp_open,
	Functions/Zftp/zfinit, Functions/Zle/down-case-word-match,
	Functions/Zle/forward-word-match,
	Functions/Zle/history-pattern-search,
	Functions/Zle/insert-composed-char, Functions/Zle/kill-word-match,
	Functions/Zle/match-words-by-style,
	Functions/Zle/select-word-style,
	Functions/Zle/transpose-words-match,
	Functions/Zle/up-case-word-match, Functions/Zle/zed-set-file-name:
	Use "autoload -Uz" consistently throughout distributed functions.

2010-07-26  Peter Stephenson  <pws@csr.com>

	* 28102: Src/Zle/computil.c: use lstat() when checking
	ignore-parents.

2010-07-26  Frank Terbeck  <ft@bewatermyfriend.org>

	* 28101: Completion/Unix/Command/_tmux: Fix window completion
	for tmux version 1.3 and newer.

2010-07-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Config/version.mk: update to 4.3.10-dev-2.

2010-07-24  Wayne Davison  <wayned@users.sourceforge.net>

	* 28000: Completion/Unix/Command/_git: make the branch arg for
	"git log" optional.

2010-07-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28096: Functions/Chpwd/chpwd_recent_dirs: don't add
	$OLDPWD.

	* 28081: Doc/Zsh/contrib.yo,
	Functions/Chpwd/chpwd_recent_filehandler: document style
	stuff with cdr, future-proof file reading.

2010-07-19  Peter Stephenson  <pws@csr.com>

	* 28092: Completion/Unix/Command/_getconf: generate missing keys.

2010-07-19  Frank Terbeck  <ft@bewatermyfriend.org>

	* 28093, based on Michel Lespinasse: 28090:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: Fix a problem
	with `check-for-changes' and freshly initialised repositories.

	* Seth House: 28084, 28083: Misc/vcs_info-examples: cleanups
	and new examples.

	* 28095: Functions/VCS_Info/Backends/VCS_INFO_get_data_git: Fix
	two hard-coded invocations of the "git" command.

2010-07-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28073: Src/exec.c, Src/init.c, Src/utils.c: allow #!
	scripts to search path if interpreter not found.

2010-07-15  Doug Kearns  <dougkearns@gmail.com>

	* 28078: Completion/Unix/Command/_xmlsoft: update.

	* Michael Hwang: 28075: Completion/Unix/Command/_gpg: add gpg-zip
	completion and other general improvements.

2010-07-13  Peter Stephenson  <pws@csr.com>

	* Jörg Sommer: 28063: Completion/Unix/Command/_rubber: suppress
	warning messages when extracting output.

2010-07-12  Peter Stephenson  <pws@csr.com>

	* 28068: Doc/Zsh/contrib.yo: Texinfo declaration got wrapped
	causing mayhem.

2010-07-12  Frank Terbeck  <ft@bewatermyfriend.org>

	* users/15165: Doc/Zsh/contrib.yo: Fix a warning about a
	missing macro.

2010-07-09  Peter Stephenson  <pws@csr.com>

	* 28065: Doc/Zsh/contrib.yo, Functions/Chpwd/.distfiles,
	Functions/Chpwd/cdr, Functions/Chpwd/_cdr,
	Functions/Chpwd/chpwd_recent_add,
	Functions/Chpwd/chpwd_recent_dirs,
	Functions/Chpwd/chpwd_recent_filehandler, plus Src/zsh.mdd
	(not posted): add cdr function, tools, and documentation.

2010-06-30  Clint Adams  <clint@zsh.org>

	* 27998, 28061, 28062: Functions/Newuser/zsh-newuser-install:
	add recommended zshrc option.

	* 28060: Completion/Unix/Command/_xmlsoft: xmlsoft --nodtdattr
	completion thanks to Vincent Lefevre.

2010-06-23  Doug Kearns  <dougkearns@gmail.com>

	* 28056: Completion/Unix/Command/_lynx: add option descriptions.

2010-06-22  Doug Kearns  <dougkearns@gmail.com>

	* 28055: Completion/Unix/Command/_vim: add some missing options.

2010-06-22  Peter Stephenson  <pws@csr.com>

	* 28047: Src/hist.c: make fc -R/-W more consistently verbose
	and allow fc -R to work if file could be read but permissions
	didn't allow it to be locked (as distinct from failing to lock
	it because something else had locked it).

2010-06-22  Doug Kearns  <dougkearns@gmail.com>

	* 28052: Completion/Unix/Command/_cvs: remove duplicated completion of
	the version subcommand.

	* unposted: INSTALL, README: fix typos.

	* 28051: Completion/Unix/Command/_elinks: update for version 0.12pre5.

2010-06-17  Frank Terbeck  <ft@bewatermyfriend.org>

	* Holger Weiss: 28016, 28017, 28018, 28019:
	Completion/Unix/Command/_git: various fixes and enhancements.

	* Holger Weiss: 28020: Doc/Zsh/compsys.yo: Fix a typo.

	* unposted: Fix a date in ChangeLog.

2010-06-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28042: Doc/Zsh/contrib.yo, Functions/Zle/.distfiles,
	Functions/Zle/transpose-lines: new widget.

2010-06-14  Peter Stephenson  <pws@csr.com>

	* 28038: Index: Completion/Zsh/Command/_zstyle, Doc/Zsh/calsys.yo,
	Functions/Calendar/calendar, Functions/Calendar/calendar_add,
	Functions/Calendar/calendar_parse,
	Functions/Calendar/calendar_scandate: improved handling of
	recurring events in calendar system.

	* unposted: Doc/Zsh/params.yo: extra note on ZSH_EVAL_CONTEXT.

	* 28037: Src/exec.c, Src/math.c, Src/module.c,
	Test/V01zmodload.ztst: improved error messages for autoloading
	math functions and builtins (but not conditions).

	* 28010: configure.ac, Src/compat.c: use getcwd() as fallback
	if zgetcwd() fails.

2010-06-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 28027: Doc/Zsh/expn.yo: typo.

2010-06-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28026: Completion/Zsh/Context/_dynamic_directory_name,
	Doc/Zsh/expn.yo: use "zsh_directory_name c" for completion
	of dynamic directory names.

	* 28025: Doc/Zsh/expn.yo, Src/subst.c, Src/utils.c: (D)
	parameter flag to abbreviate directories.

2010-06-09  Peter Stephenson  <pws@csr.com>

	* Haakon Riiser: 28009: Completion/Unix/Command/_ffmpeg: new.

2010-06-08  Peter Stephenson  <pws@csr.com>

	* 28006: Src/builtin.c, Src/compat.c, Src/init.c: Make zgetcwd()
	fall back to pwd in preference to returning "."; only use "." if
	we're trying to set pwd at that point.

2010-06-08  Doug Kearns  <dougkearns@gmail.com>

	* unposted: Completion/Mandriva/Command/_urpmi: fix typo in parameter
	name.

2010-06-07  Peter Stephenson  <pws@csr.com>

	* Alexey: 27999: Test/V01zmodload.ztst: fix error message.

2010-06-07  Doug Kearns  <dougkearns@gmail.com>

	* Simon Ruderich: 28002: Completion/Unix/Command/_feh: fix bad commit.

2010-06-06  Doug Kearns  <dougkearns@gmail.com>

	* unposted: Completion/BSD/Command/_csup,
	Completion/BSD/Command/_fetch, Completion/BSD/Command/_freebsd-update,
	Completion/BSD/Command/_fstat, Completion/BSD/Command/_pfctl,
	Completion/BSD/Command/_portaudit, Completion/BSD/Command/_portmaster,
	Completion/BSD/Command/_portsnap, Completion/BSD/Command/_powerd,
	Completion/BSD/Command/_procstat, Completion/Darwin/Command/_open,
	Completion/Darwin/Command/_softwareupdate,
	Completion/Debian/Command/_apt-file,
	Completion/Linux/Command/_analyseplugin,
	Completion/Linux/Command/_ethtool, Completion/Linux/Command/_ipset,
	Completion/Linux/Command/_mdadm, Completion/Linux/Command/_rpmbuild,
	Completion/Linux/Command/_strace,
	Completion/Mandriva/Command/_rebootin, Completion/Redhat/Command/_yum,
	Completion/Solaris/Command/_coreadm,
	Completion/Solaris/Command/_dhcpinfo,
	Completion/Solaris/Command/_dladm, Completion/Solaris/Command/_dumpadm,
	Completion/Solaris/Command/_gcore, Completion/Solaris/Command/_inetadm,
	Completion/Solaris/Command/_ptree,
	Completion/Solaris/Command/_savecore,
	Completion/Solaris/Command/_svcadm, Completion/Solaris/Command/_svccfg,
	Completion/Solaris/Command/_svcprop, Completion/Solaris/Command/_svcs,
	Completion/Solaris/Command/_zlogin, Completion/Unix/Command/_arp,
	Completion/Unix/Command/_arping, Completion/Unix/Command/_bzr,
	Completion/Unix/Command/_cdcd, Completion/Unix/Command/_ecasound,
	Completion/Unix/Command/_feh, Completion/Unix/Command/_git,
	Completion/Unix/Command/_gnupod, Completion/Unix/Command/_gnutls,
	Completion/Unix/Command/_locate, Completion/Unix/Command/_module,
	Completion/Unix/Command/_perforce, Completion/Unix/Command/_pkgadd,
	Completion/Unix/Command/_pkginfo, Completion/Unix/Command/_pkgrm,
	Completion/Unix/Command/_sisu, Completion/Unix/Command/_sqsh,
	Completion/Unix/Command/_surfraw, Completion/Unix/Command/_tcpdump,
	Completion/Unix/Command/_tmux, Completion/Unix/Command/_todo.sh,
	Completion/Unix/Command/_wget, Completion/Unix/Command/_yafc,
	Completion/Unix/Command/_zfs, Completion/Unix/Command/_zpool,
	Completion/Unix/Type/_printers, Completion/X/Command/_mplayer,
	Completion/X/Command/_setxkbmap, Completion/Zsh/Command/_cd: fix
	incorrectly capitalized completion descriptions as per the
	recommendations in Etc/completion-style-guide.

2010-06-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27983: Src/prompt.c: colours could be output twice.

2010-06-03  Peter Stephenson  <pws@csr.com>

	* 27994: Src/params.c: better error message when failing to
	autoload parameter.

2010-06-03  Frank Terbeck  <ft@bewatermyfriend.org>

	* Holger Weiss: 27977: Completion/Unix/Command/_git: shouldn't
	return 0 if there are no matches.

2010-06-02  Peter Stephenson  <pws@csr.com>

	* 27990: Src/Modules/termcap.c (not in original patch),
	Src/Modules/terminfo.c: ignore error return value from
	setupterm(), it's not useful in telling us whether the module
	booted OK.

2010-06-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Daniel Friesel: 27982: Completion/Unix/Command/_feh: update.

2010-05-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 27981: Completion/Zsh/Context/_subscript: complete
	(e).

2010-05-28  Peter Stephenson  <pws@csr.com>

	* Mikael: 27980: Completion/Zsh/Type/_globquals: typo.

2010-05-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27965 plus as per 27966: Src/builtin.c, Src/subst.c,
	Src/utils.c, Src/zsh.h: Use $'\n' quoting instead of literal
	newline for ${(q)...} to avoid lines getting split unexpectedly.
	Quote empty strings as ''.

	* 27976: Doc/Zsh/expn.yo: add yet more to the my-brain-hurts
	description of how parameter expansion is ordered.

2010-05-27  Frank Terbeck  <ft@bewatermyfriend.org>

	* Seth House: 27971: Functions/VCS_Info/Backends/VCS_INFO_get_data_hg:
	vcs_info: Fix a bug that caused the mercurial backend to always return
	`default' as the branch name.

2010-05-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/15078: Completion/Zsh/Function/.distfiles,
	Completion/Zsh/Function/_zsh-mime-handler, Doc/Zsh/contrib.yo,
	Functions/MIME/zsh-mime-handler: completion for a
	zsh-mime-handler should understand how the line will be handled.

2010-05-22  Clint Adams  <clint@zsh.org>

	* 27964: Doc/Zsh/contrib.yo: add back missing enditem().

2010-05-14  Frank Terbeck  <ft@bewatermyfriend.org>

	* Simon Ruderich: 27954: Doc/Zsh/contrib.yo, Misc/vcs_info-examples:
	vcs_info: more minor documentation fixes.

	* Simon Ruderich: 27953: Doc/Zsh/contrib.yo, Misc/vcs_info-examples,
	Functions/VCS_Info/VCS_INFO_formats: vcs_info: changed default formats
	and actionformats

2010-05-12  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/params.yo, Src/Modules/zutil.c: fix typo
	("zregesparse-guard").

	* 27951: Doc/Zsh/expn.yo, Doc/Zsh/params.yo, Src/builtin.c,
	Src/exec.c, Src/glob.c, Src/init.c, Src/params.c, Src/signals.c,
	Src/Builtins/sched.c, Src/Modules/zpty.c, Src/Modules/zutil.c:
	Add $ZSH_EVAL_CONTEXT and $zsh_eval_context to provide context
	stack.

2010-05-10  Peter Stephenson  <pws@csr.com>

	* c.f. 27950: Test/C03traps.ztst some bogus whitespace got added
	in patching 27947.

2010-05-10  Frank Terbeck  <ft@bewatermyfriend.org>

	* Seth House, Simon Ruderich and myself: 27948:
	Doc/Zsh/contrib.yo, Functions/VCS_Info/.distfiles, Misc/.distfiles,
	Misc/vcs_info-examples, Functions/VCS_Info/Backends/VCS_INFO_detect_hg,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg,
	Functions/VCS_Info/VCS_INFO_formats, Functions/VCS_Info/VCS_INFO_hook,
	Functions/VCS_Info/VCS_INFO_quilt, Functions/VCS_Info/vcs_info: various
	vcs_info changes: mercurial backend improvements, new hooks, quilt
	support, documentation improvements and bugfixes

2010-05-05  Peter Stephenson  <pws@csr.com>

	* users/15031: Completion/Unix/Type/_path_files: fix (still
	incomplete) for bizarre quoting rules for files in completion
	with path-completion off or accept-exact-dirs on.

	* 27947: Src/exec.c, Test/C03traps.ztst: fix some cases where we
	should (probably) execute an EXIT trap but don't.

2010-05-02  Frank Terbeck  <ft@bewatermyfriend.org>

	* Simon Ruderich: 27813: Completion/Unix/Command/_git: Complete
	some generic symbolic references as heads.

2010-04-28  Clint Adams  <clint@zsh.org>

	* Bernd Zeimetz: 27931: Completion/Debian/Command/_bts:
	completion for bts affects.

2010-04-28  Peter Stephenson  <pws@csr.com>

	* Mikael: 27929: Src/lex.c, Doc/Zsh/options.yo (added pws): global
	aliases with space shouldn't trigger HIST_IGNORE_SPACE.

2010-04-27  Peter Stephenson  <pws@csr.com>

	* 27926: Src/Zle/zle_hist.c: fix completion suffix when inserting
	last word.

	* 27911: Completion/Base/Core/_main_complete: ensure colouring is
	not used if not configured when showing old lists.

2010-04-26  Frank Terbeck  <ft@bewatermyfriend.org>

	* 27908: Functions/VCS_Info/vcs_info: Avoid locale related
	problems

2010-04-26  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_perforce: update to Perforce
	2009.2 features.

	* unposted: Completion/X/Command/_kfmclient: also kioclient;
	probe desktop bindings.

2010-04-25  Clint Adams  <clint@zsh.org>

	* 27912: Completion/Linux/Command/_lsusb: presume that
	usb.ids is uncompressed now.

	* 27914 (tweaked): Completion/Linux/Command/_lsusb: find
	usb.ids in /usr/share/misc.

2010-04-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/15028 (modified to do the unquoting a bit more
	logically): Completion/Unix/Type/_path_files: for
	path-completion false and accept-exact-dirs true we need to
	unquote the word from the command line.

2010-04-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27889: Src/subst.c, Test/D04parameter.ztst: Force more use of
	GLOB_SUBST in parameters if ~ is used.

2010-04-20  Peter Stephenson  <pws@csr.com>

	* "Akinori MUSHA: 27892: Completion/Redhat/Command/.distfiles,
	Completion/Redhat/Command/_service
	Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_init_d,
	Completion/Unix/Command/_service (moved from Redhat),
	Completion/Unix/Type/_services: updates for FreeBSD.

2010-04-15  Peter Stephenson  <pws@csr.com>

	* unposted: NEWS: update to include path-completion.

2010-04-15  Frank Terbeck  <ft@bewatermyfriend.org>

	* 27798: Alexey I. Froloff: Completion/Unix/Command/_git: support
	for the `--interactive' option of "git commit".

2010-04-14  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/compsys.yo: add kindex entry for
	path-completion.

	* unposted: Doc/Zsh/compsys.yo: slightly rephrase previous doc.

	* users/15011: Completion/Unix/Type/_path_files,
	Doc/Zsh/compsys.yo: add path-completion style to allow
	completion of preceding directories in files to be be turned
	off.

2010-04-13  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Calendar/calendar, Functions/Calendar/calendar_add,
	Functions/Calendar/calendar-edit, Functions/Calendar/calendar_show,
	Functions/Calendar/calendar_sort:  Fall back to link file locking if
	system file locking fails; don't need dcop for kdialog.

2010-04-12  Clint Adams  <clint@zsh.org>

	* 27876: Completion/Debian/Command/_axi-cache: completion for
	axi-cache (from apt-xapian-index).

2010-04-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Simon Ruderich: 27856 (tweaked): Doc/Zsh/metafaq.yo: Git
	availability.

2010-04-09  Peter Stephenson  <pws@csr.com>

	* 27865: Src/subst.c, Test/D04parameter.ztst: text in parameter
	substitution that came from the command line rather than the
	parameter was a candidate for GLOB_SUBST even if it was quoted
	if the overall expression was not quoted.

	* Ben: 27589: Completion/Zsh/Context/_redirect: attempt
	to use arguments better.

2010-03-30  Clint Adams  <clint@zsh.org>

	* 27847: Completion/Unix/Command/_uzbl: completion for uzbl.

2010-03-29  Peter Stephenson  <pws@csr.com>

	* 27843: Simon Ruderich: Doc/Zsh/options.yo: claimed format for
	extended history was incorrect.

2010-03-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27831: Doc/Zsh/expn.yo, Src/input.c, Src/subst.c, Src/utils.c:
	add ${(mm)...} to count displayed characters and rationalise use
	of wcwidth so that negative numbers are treated as zero.

2010-03-25  Peter Stephenson  <pws@csr.com>

	* unposted: Test/A02alias.ztst: change sort to cat to
	make test foolerproof.

	* 27827: Src/input.c, Test/A02alias.ztst: infinite loop
	if alias with recursive definition occurred at end
	of parsed string (normal shell input was OK).

2010-03-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27823: Src/hist.c: 27822 could access freed memory because
	hptr wasn't consistently set to NULL when chline was.

	* 27812: Doc/Zsh/zle.yo, Src/Zle/zle.h, Src/Zle/zle_refresh.c,
	Src/Zle/zle_utils.c: when wchar_t contains Unicode code points,
	use private area to put bytes that don't form characters for
	special display.

2010-03-22  Peter Stephenson  <pws@csr.com>

	* 27822: Src/hist.c, Src/lex.c, Src/zle_params.c,
	Src/zle_tricky.c: Fix ZLE access to current history line if pushed
	onto lexical stack.

2010-03-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Etc/FAQ.yo: update section on coloured prompts and
	some other minor bits.

2010-03-19  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Calendar/calendar: update previous
	change also to perform calendar_show in current shell since
	it interacts better with zle for use with sched.

	* 27808: Completion/Unix/Type/_files: Use // parameter
	substitution instead of :gs.  This form is consistent with the
	rest of the file and has handled quoting correctly for longer.

2010-03-18  Peter Stephenson  <pws@csr.com>

	* unposted: Test/A01grammar.ztst: missed -f option off zsh
	invocation in 27793++.

	* 27804: Src/Zle/zle_hist.c: don't hang on encountering invalid
	character in incremental search.

2010-03-17  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Calendar/calendar: fix embarrassing bug in
	calendar scheduling introduced by new file locking, 27756.

2010-03-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/calsys.yo: age now uses zstat.

	* unposted: NEWS: PATH_SCRIPT

2010-03-16  Peter Stephenson  <pws@csr.com>

	* 27793 plus 27794, 27795: Doc/Zsh/invoke.yo, Doc/Zsh/options.yo,
	Src/init.c, Src/options.c, Src/zsh.h, Test/A01grammar.ztst:
	add PATH_SCRIPT option to find script using path.

2010-03-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 27797: Completion/Base/Completer/_expand_alias:
	delimit arguments to avoid problems with hyphens.

	* Alexey: 27789: Completion/Unix/Command/_sudo: use _arguments.

2010-03-15  Peter Stephenson  <pws@csr.com>

	* 27780: Completion/Unix/Type/_files, Test/D04parameter.ztst:
	users/14905 changed the number of backslashes needed to
	quote backslashes in :s modifier.

2010-03-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/expn.yo: note that & needs quoting in :s in
	glob qualifier.

	* 27785: Src/init.c, Src/utils.c, Src/zsh.h: default IFS in sh
	and ksh mode doesn't have '\0'.

2010-03-11  Frank Terbeck  <ft@bewatermyfriend.org>

	* Simon Ruderich: 27779: Functions/VCS_Info/vcs_info_printsys,
	Doc/Zsh/contrib.yo:  Fix mistakes in vcs_info's documentation.

2010-03-09  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/calsys.yo, Functions/Calendar/calendar,
	Functions/Calendar/calendar_editfiles:  Fix bug that
	calendar wouldn't update repeating event times for events
	that were already in the past; allow calendar_editfiles to
	take argument to specify editor.

2010-03-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Michael Hwang: 27773: Src/linklist.c: document how linked
	lists are joined together.

2010-03-04  Frank Terbeck  <ft@bewatermyfriend.org>

	* 27770: Completion/Unix/Command/_git: support for user specific
	sub commands.

2010-03-04  Peter Stephenson  <pws@csr.com>

	* Frank: 27768: Functions/VCS_Info/VCS_INFO_realpath: shut up cd
	some more.

2010-02-28  Clint Adams  <clint@zsh.org>

	* 27762: Completion/Unix/Type/_hosts: omit ssh known_hosts
	entries with port numbers from host completion.

2010-02-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/14905 (modified, see users/14096): Doc/Zsh/expn.yo,
	Src/subst.c, Test/D04parameter.ztst: fix various problems
	with :s modifier in parameters.

2010-02-26  Peter Stephenson  <pws@csr.com>

	* users/14902: Src/Modules/datetime.c: another go.

	* users/14900: Src/Modules/datetime.c: ULONG_MAX may be valid
	return value from strtoul().

	* users/14897: Src/Modules/datetime.c: test needed on
	conversion of time_t to struct tm.  Found on 64-bit Linux.

	* 27756: Doc/Zsh/calsys.yo, Functions/Calendar/calendar,
	Functions/Calendar/calendar_add, Functions/Calendar/calendar_edit,
	Functions/Calendar/calendar_sort, Src/Modules/system.c:
	use new file locking in calendar where available and add
	errflag test to loop over fcntl().

	* users/14891: Doc/Zsh/cond.yo: say explicitly that condition
	arguments don't undergo file generation.

2010-02-25  Peter Stephenson  <pws@csr.com>

	* 27755: Doc/Zsh/mod_system.yo, Src/Modules/system.c:
	add "zsystem supports" to test what zsystem supports.

2010-02-24  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27754: NEWS (unposted), Doc/Zsh/mod_system.yo, Src/exec.c,
	Src/utils.c, Src/zsh.h, Src/Modules/system.c: add
	"zsystem flock" subcommand to zsh/system module.

2010-02-22  Peter Stephenson  <pws@csr.com>

	* unposted: Src/utils.c: Add a debug test for trapping bad uses of
	fdtable when closing fd's in zclose().

	* 27721: Src/compat.c [with unnecessary test removed], Src/exec.c,
	Src/system.h, Src/utils.c:  update zopenmax() not to examine huge
	numbers of file descriptors; only call it at initialisation;
	rationalise use of fdtable_size and expansion of fdtable.

2010-02-22  Clint Adams  <clint@zsh.org>

	* 27744: Completion/Debian/Command/_pbuilder: completion for
	pbuilder.

2010-02-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Frank: 27731: Functions/VCS_Info/vcs_info: turn off
	WARN_CREATE_GLOBAL.

2010-02-21  Clint Adams  <clint@zsh.org>

	* Michael Prokop: 27725: Completion/Debian/Command/_apt: apt
	--no-install-recommends.

2010-02-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Jonathan Beckman: 27728: Completion/X/Command/_mplayer: quote
	colon after -ss.

2010-02-19  Peter Stephenson  <pws@csr.com>

	* 27722: Src/cond.c, Test/C02cond.zts, Test/V01zmodload.ztst: Error
	reporting for failed conditions was badly handled; one
	piece of code didn't test for a '-' prefix.

	* 27723: Src/builtin.c, Test/D02glob.ztst: eval shouldn't
	modify non-zero return statuses.

2010-02-17  Peter Stephenson  <pws@csr.com>

	* Frank: 27717: Functions/VCS_Info/vcs_info_lastmsg:
	add option terminators for builtins.

2010-12-17  Andrey Borzenkov <bor@zsh.org>

	* unposted: Doc/Zsh/compsys.yo: typo fix

2010-12-16  Andrey Borzenkov <bor@zsh.org>

	* 27715: Completion/Unix/Command/_stgit: fixes for new
	version (workaround removed commands); autogenerate list
	of stg subcommands.

2010-02-16  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/.distfiles: new files

	* Frank Terbeck, Seth House: 27712, 22713, 27714: Doc/Zsh/contrib.yo,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_bzr,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_p4,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_svk,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_svn,
	Functions/VCS_Info/VCS_INFO_formats,
	Functions/VCS_Info/VCS_INFO_hook, Functions/VCS_Info/vcs_info:
	hooks and Mercurial improvements.

2010-02-15  Peter Stephenson  <pws@csr.com>

	* 27710: Etc/FAQ.yo: update sections on advanced character sets.

	* unposted: Etc/FAQ.yo: correct outrageously old dates in FAQ.

2010-02-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27708: Src/text.c: remove distracting initial semicolons
	in job output.

	* unposted: zero gf_pre_words from 27694.

	* Mikael: Completion/Zsh/Type/_globquals: extend argument
	handling.

	* Frank: 27705: Completion/Unix/Command/_git: notes

2010-02-12  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Zsh/Type/_globquals: add P to list.

2010-02-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/expn.yo: typo in formatting.

2010-02-09  Peter Stephenson  <pws@csr.com>

	* 27694: NEWS, Completion/Zsh/Type/_globquals, Doc/Zsh/expn.yo,
	Src/glob.c, Test/D02glob.ztst: add "P" glob qualifier for
	prepending words.

	* Frank: 27696: Completion/Unix/Command/_tmux: another update

	* Geoff: 27693: Src/exec.c, Src/init.c, Src/params.c, Src/init.c,
	Src/utils.c: rename underscore to avoid name clash.

2010-02-08  Peter Stephenson  <pws@csr.com>

	* unposted: Src/subst.c: comment about what colon in parameter
	substitution might be doing.

	* unposted: Completion/compinit,
	Functions/Calendar/calendar_scandate: add some "typeset -g"s
	to avoid WARN_CREATE_GLOBAL warnings.

	* 27665: Frank: Completion/Unix/Command/_tmux: update.

	* 27658: Completion/Unix/Command/_zip: work around globbing
	problems.

2010-02-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Frank: 27679:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	better logic.

	* Michael Hwang: 27675: Src/builtin.c: fix crash from error in
	hash builtin.

2010-02-04  Peter Stephenson  <pws@csr.com>

	* 27661: Ben: Doc/Zsh/builtins.yo, Doc/Zsh/options.yo,
	Doc/Zsh/tcpsys.yo: typos in manual references.

2010-02-03  Peter Stephenson  <pws@csr.com>

	* 27648, 267650/1, unposted README change: README,
	Doc/Zsh/builtins.yo, Doc/Zsh/grammar.yo,
	Etc/zsh-development-guide, Src/builtin.c, Src/init.c,
	Src/mkbltnmlst.sh, Src/Builtins/rlimits.mdd: "repeat"
	is not available when starting in emulation mode,
	"ulimit" is; document that "sched", "limit", "unlimit"
	already aren't.

2010-02-02  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 27647: Completion/Unix/Command/_cp: update

2010-02-02  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/contrib.yo: minor doc upgrade for
	regexp-replace.

	* based on Andrei, 27644: Config/installfns.zsh: check for
	#! line without a fork.

2010-02-01  Peter Stephenson  <pws@csr.com>

	* unposted: Etc/FAQ.yo: update with notes on
	zsh-nt.sourceforge.net and application terminal mode horror.

2010-01-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 27642: Completion/Zsh/Type/_globquals: add some
	missing entries.

2010-01-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/14752: Functions/Misc/zed, Src/builtin.c: add #!
	line to zed; allow script run with -i to exit on "return".

	* Julien Jehannet: users/14751: Functions/Misc/zed: variable
	incorrect when autoloading function.

2010-01-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27638, based on Frank Terbeck, 27633: Doc/Zsh/options.yo,
	init.c, options.c, zsh.h: add SOURCE_TRACE option with output
	similar to XTRACE for tracing sourced files.

2010-01-23  Clint Adams  <clint@zsh.org>

	* 27617: Completion/Unix/Command/_graphicsmagick: graphicsmagick
	completion based on _imagemagick.

2010-01-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/14732: Src/Zle/computil.c: we need to test X:/ rather
	than X: for recent versions of Cygwin.

2010-01-21  Peter Stephenson  <pws@csr.com>

	* users/14723: Src/pattern.c: invalid character conversions
	should never match valid character conversions.

2010-01-20  Peter Stephenson  <pws@csr.com>

	* 27611: Src/math.c, Test/C01arith.ztst: cache parameter values so
	that subscripts aren't multiply evaluated when they shouldn't be.

	* 27608: Src/Modules/pcre.c, Src/Modules/regex.c,
	Test/C02cond.ztst:  test was broken and sizes of variables
	for arrays were wrong.

2010-01-19  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/contrib.yo, Functions/Misc/regexp-replace:
	return status 1 if no replacement.

	* unposted: Doc/Zsh/cond.yo: avoid Yodl error.

	* Frank: 27606: Completion/Unix/Command/_tmux: tmux -d.

2010-01-18  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/contrib.yo: minor clarification in 27604.

	* 27604: Doc/Zsh/contrib.yo, Functions/Misc/.distfiles,
	Functions/Misc/regexp-replace,
	Functions/Misc/replace-string-again: add facilities for
	substitution using regular expressions.

2010-01-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27600: Doc/Zsh/cond.yo, Src/Modules/pcre.c, Src/Modules/regex.c,
	Test/C02cond.ztst: extend =~ syntax to set MBEGIN and MEND
	with MATCH and mbegin and mend with match.

2010-01-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Frank: 27599: Doc/Zsh/contrib.yo: fix formatting documentation
	for VCS_Info.

2010-01-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 27597: Completion/Zsh/Command/_zstyle: accepting
	completion unnecessarily hard.

2010-01-13  Peter Stephenson  <pws@csr.com>

	* Joakim Rosqvist: 27591 as modified in 27594:
	FEATURES, Doc/Zsh/options.yo, Doc/Zsh/params.yo, Src/input.c,
	Src/options.c, Src/params.c: extend SUN_KEYBOARD_HACK option
	to KEYBOARD_HACK variable.

2010-01-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27553: Jesse Weinstein: Doc/Zsh/compsys.yo: improve phrasing.

2010-01-10  Clint Adams  <clint@zsh.org>

	* Frank Terbeck: 27586: Completion/Unix/Command/_tmux:
	more tmux completion support.

2010-01-08  Peter Stephenson  <pws@csr.com>

	* 27577: sergio: Functions/Misc/zcalc: vared -p obeys
	the PROMPTPERCENT option so it's not necessary to have an
	explicit (%) in the variable expansion.

2010-01-07  Clint Adams  <clint@zsh.org>

	* 27579: Completion/Unix/Command/_ssh: allow ssh -S argument to
	follow immediately the option letter.

	* 27578: Completion/Linux/Command/_ionice: allow ionice -c and -n
	arguments to immediately follow the option letters.

2010-01-05  Peter Stephenson  <pws@csr.com>

	* 27566: Src/Builtins/rlimits.c: add ulimit -c hard and immediate
	return on argument error

	* 27565: Src/Builtins/rlimits.c: ulimit didn't sanity check
	numeric arguments.

2010-01-04  Clint Adams  <clint@zsh.org>

	* 27559: Completion/Unix/Command/_espeak: espeak language
	codes and voice names.

	* Jesse Weinstein: 27558: Completion/Unix/Command/_espeak:
	completion for espeak.

2010-01-04  Peter Stephenson  <pws@csr.com>

	* 27556: Src/lex.c: lexsave() should sanitize more variables else
	inner loops can get confused by outer state.  Symptom was
	source within precmd.

2009-12-28  Clint Adams  <clint@zsh.org>

	* Chris Lamb: 27545: Completion/Unix/Command/_django:
	runserver_plus and files completion for django.

2009-12-18  Wayne Davison  <wayned@users.sourceforge.net>

	* users/14659: Src/hist.c: Add symlink-based hist-file locking.

2009-12-17  Peter Stephenson  <pws@csr.com>

	* Greg: 27529: Completion/Unix/Command/_subversion: make URL
	schemas (schemata?) configurable.

2009-12-16  Wayne Davison  <wayned@users.sourceforge.net>

	* 26735+unposted: Src/utils.c, Src/Modules/zftp.c, Src/Modules/zpty.c,
	Src/Zle/zle_main.c, Src/exec.c, Src/init.c, Src/input.c, Src/jobs.c,
	Src/parse.c:  Check the return value of all pipe(), read(), and
	write() calls.  Gets rid of all "ignoring return value" compiler
	warnings, and makes some read/write operations safer by ensuring
	that an EINTR is handled.

2009-12-16  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Misc/run-help-p4, Functions/Misc/.distfiles:
	new helper.

	* 27492 based on Jörg Sommer: 27473: Functions/Misc/run-help:
	fix alias problem.

2009-12-14  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27518: Completion/Unix/Command/_configure: suggest some
	more patterns for arguments.

2009-12-14  Andrey Borzenkov <bor@zsh.org>

	* unposted: Completion/Unix/Command/_grep:
	add --exclude-dir option

2009-12-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Alexey I. Froloff: 27470: Completion/Unix/Command/_git:
	update.

2009-12-13  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Completion/Unix/Command/_rsync: Fixed the
	--human-readable options and arg-acceptance of -f.

2009-12-12  Clint Adams  <clint@zsh.org>

	* Michael Prokop: 27504: Completion/Debian/Command/_dput:
	fix typo with dput --delayed.

2009-12-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27503: Src/utils.c: fix crash when changing a hook
	function inside a hook function of the same type.

2009-12-10  Clint Adams  <clint@zsh.org>

	* 27494: Completion/Debian/Command/_bug: reportbug --paranoid,
	--no-paranoid, --body, and --body-file.

2009-12-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27479: Src/Zle/zle_tricky.c: prevent completions
	split across backlash-newline continuations from
	causing mayhem.

2009-12-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27466: Doc/Zsh/zle.yo: document 27453.

	* Mikael: 27453: Src/Zle/zle_refresh.c: highlighting
	of removable completions suffixes.

	* Frank: 27450: b/Completion/Unix/Command/_tmux: another
	update.

2009-12-05  Clint Adams  <clint@zsh.org>

	* Frank Terbeck: 27458: Completion/Unix/Command/_tmux:
	set-option -w completion.

	* Ingmar Vanhassel: 27457: Completion/Zsh/Command/_precommand:
	add hilite as a precommand.

	* Ingmar Vanhassel: 27456: Completion/Unix/Type/_tar_archive:
	complete .tar.lzma, .tbz, .txz.

2009-12-03  Clint Adams  <clint@zsh.org>

	* 27448: Completion/Unix/Command/_tar,
	Completion/Unix/Type/_tar_archive: mild understanding of
	xz-compressed tarballs.

2009-12-02  Peter Stephenson  <pws@csr.com>

	* 27447: Doc/Zsh/options.yo: document 27442.

	* Frank: 27446: Completion/Unix/Command/_tmux: update.

	* 27442 plus tweak: Src/exec.c, Src/init.c, Src/jobs.c,
	Src/signals.c: return status for last background job from
	wait even if it's already exited, but only if POSIX_JOBS
	is set.

2009-12-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Alexey: 27445: Completion/Unix/Command/_ruby: argument can be
	any file.

2009-11-30  Peter Stephenson  <pws@csr.com>

	* 27442: Src/exec.c, Src/init.c, Src/job.s,c Src/signals.c:
	add lastpid_status to record status of last background job
	even after it's exited.

	* 27441: Doc/Zsh/mod_complist.yo, Src/Zle/complist.c: add "sa"
	highlight code for suffix aliases.

	* Richard Hartmann: 27440: Src/Modules/cap.c, Src/Modules/zftp.c:
	typos in warnings.

2009-11-24  Peter Stephenson  <pws@csr.com>

	* Baptiste Daroussin: 27431: Completion/Unix/Command/_make: Fix
	for FreeBSD.

	* 27430: Completion/Unix/Command/_make: extend variable value
	completion to anything that looks like an assignment.

	* 27429:  Completion/Unix/Command/_make: restore variable value
	completion.  Also make indentation more standard (not posted).

	* Michael Hwang <michael.a.hwang@gmail.com>: 27428:
	Completion/Unix/Command/_make:  complete rewrite with
	variable completion.

2009-11-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Alexey. I Froloff: users/14588:
	Completion/Zsh/Command/.distfiles,
	Completion/Zsh/Command/_ztodo,
	Functions/Misc/.distfiles, Functions/Misc/ztodo: new ztodo
	function.

2009-11-20  Clint Adams  <clint@zsh.org>

	* 27417: Completion/Unix/Command/_gpg: fix completion after
	gpg --verify-files.

	* unposted: Functions/Prompts/prompt_clint_setup: change bracket
	colors default to yellow when in an ssh session.

2009-11-19  Peter Stephenson  <pws@csr.com>

	* Greg: 27416: Completion/Unix/Command/_subversion: repository
	path enhancement.

2009-11-17  Barton E. Schaefer  <schaefer@zsh.org>

	* 27415: Src/Zle/computil.c: comparguments "*::..." descriptions
	could step on sequentially earlier descriptions when completing
	for a word other than the last word on the command line.

2009-11-17  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_perforce: improve
	whole-path completion so that it doesn't take ages looking
	for clients after typing two slashes.

2009-11-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Greg Klanderman: 27409: Completion/Unix/Command/_subversion,
	Completion/Unix/Type/_urls: improve subversion remote paths
	and fix minor URL issues.

	* Frank Terbeck: 27407: Completion/Unix/Command/_tmux:
	switch-client subcommand.

	* Benjamin R. Haskell: users/14565, 27399:
	Completion/Unix/Command/_env: argument problem.

2009-11-11  Barton E. Schaefer  <schaefer@zsh.org>

	* Greg Klanderman: 27391: Completion/Unix/Command/_rm:
	 fix ignored (duplicate) file names

	* users/14548: Src/Modules/termcap.c: prevent libtermcap from
	exiting on an unknown terminal type

	* Alexey Froloff: 27367: Completion/Unix/Command/_ri: update
	for Ruby 1.9 and later

	* Frank Terbeck: 27364: Completion/Unix/Command/_tmux: fix
	cut'n'paste error in descriptions

2009-11-10  Barton E. Schaefer  <schaefer@zsh.org>

	* 27368, 27369: FEATURES: replace one incorrect example with two
	correct ones

2009-11-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 27362: Src/Modules/attr.c: some more fixes.

2009-11-07  Clint Adams  <clint@zsh.org>

	* Frank Terbeck: 27359: Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_tmux: completion for tmux 1.1.

2009-11-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27358: Src/builtin.c: error if $0 was altered within
	a sourced file.

	* 27357: Src/Modules/attr.c: fix compiler warnings

2009-11-06  Peter Stephenson  <pws@csr.com>

	* Frank Terbeck: 27353: Functions/VCS_Info/VCS_INFO_bydir_detect,
	Functions/VCS_Info/vcs_info: More sanity checks for vcs_info

2009-11-05  Peter Stephenson  <pws@csr.com>

	* Jun T.: 27351: zdelattr missed first argument.

2009-11-04  Peter Stephenson  <pws@csr.com>

	* Mikael: 27347: Completion/Zsh/Command/_zattr,
	Doc/Zsh/mod_attr.yo, Src/Modules/attr.c: enhance the
	extended attribute support.

2009-11-03  Peter Stephenson  <pws@csr.com>

	* Mikael: 27337: Src/utils.c: fix bug with cd checking symlinks
	that could do arbitrarily nasty things when looking for a "/".

2009-10-29  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Calendar/calendar: brief display
	failed on single-line entries.

2009-10-24  Clint Adams  <clint@zsh.org>

	* 27314, 27315: Completion/Unix/Command/_mpc: update for
	mpc 0.17.

	* unposted: update config.guess and config.sub to
	2009-06-10 and 2009-06-11 versions respectively.

2009-10-22  Peter Stephenson  <pws@csr.com>

	* Functions/Zle/history-beginning-search-menu: unposted:
	make more variables local.

	* unposted, c.f. 27313: INSTALL, NEWS, README, Doc/Zsh/contrib.yo,
	Doc/Zsh/manual.yo, Doc/Zsh/metafaq.yo, Etc/CONTRIBUTORS,
	Etc/FAQ.yo, Etc/changelog2html.pl,
	Functions/Zle/history-beginning-search-menu,
	Functions/Zle/insert-composed-char: mailing lists moved
	to zsh.org and website to zsh.sourceforge.net.

2009-10-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 27312: Completion/Unix/Command/_valgrind: option
	changes.

	* Jesse Weinstein: 27311: Completion/Unix/Type/_diff_options:
	remove redundant line.

	* Holger Weiss: 27310: Doc/Zsh/compsys.yo: typo.

	* Frank Terbeck: 27309: Doc/Zsh/contrib.yo: improve context
	in VCS_Info docs.

2009-10-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27308, based on 27305 from Edgar Merino:
	Completion/Unix/Command/_init_d, Completion/Unix/Type/_services:
	search for init scripts in other locations.

	* Lionel Flandrin: 27307:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg,
	Doc/Zsh/contrib.yo: enhanced VCS_INFO support for Mecurial.

2009-09-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* http://www.opensource.apple.com/source/zsh/zsh-53/patches/utils.c.patch:
	Src/utils.c: fix length of search when spell checking.

	* http://www.opensource.apple.com/source/zsh/zsh-53/patches/PR-6370391.patch:
	Src/jobs.c: fix error message.

2009-09-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Jun T.: 27296: configure.ac: bad preprocessing of Mac OS
	Snow Leopard headers.

2009-09-29  Peter Stephenson  <pws@csr.com>

	* Jun T.: 27292: Src/Modules/socket.c: abuse of UNIX_PATH_MAX on
	Snow Leopard: use the correct maximum.

2009-09-22  Wayne Davison  <wayned@users.sourceforge.net>

	* 27286: Src/Modules/socket.c Src/Modules/tcp.c Src/utils.c:
	Made movefd() return the targetfd on success.  Added a little
	more error checking in the callers of movefd().

2009-09-22  Peter Stephenson  <pws@csr.com>

	* 27284: Src/exec.c, Src/parse.c, Src/utils.c,
	Src/Modules/socket.c, Src/Modules/tcp.c, Src/Modules/zpty.c:
	improve use of movefd() and restore closing of original fd
	on failure pending further work.

2009-09-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27283: Src/exec.c, Src/utils.c: failure to dup fd accessed
	uninitialised memory and closed the original fd regardless.

2009-09-21  Peter Stephenson  <pws@csr.com>

	* users/14411: Src/hashtable.c: only hash stat-able executable
	regular files in the command table.

2009-09-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Darel Henman: users/14412: Doc/Zsh/builtins.yo: fix confusions
	in explanation of getopts option arguments.

	* Holger Weiss: 27281: Doc/Zsh/expn.yo: example of global
	history substitution was wrong.

2009-09-18  Peter Stephenson  <pws@csr.com>

	* Mikael: 27279: Doc/Zsh/builtins.yo, Doc/Zsh/mod_zselect.yo:
	minor tweaks.

2009-09-16  Peter Stephenson  <pws@csr.com>

	* Baptiste Daroussin: 27277: Completion/BSD/Command/_csup: Improve
	csup completion.

2009-09-15  Peter Stephenson  <pws@csr.com>

	* users/14387 (tweaked): Doc/Zsh/grammar.yo: alternative syntax is
	not about to disappear, but does make shell scripts less portable
	and possibly readable.

2009-09-14  Peter Stephenson  <pws@csr.com>

	* Greg Klanderman: 27262: Completion/Unix/Type/_path_files:
	prefixes were incorrect with accept-exact-dirs style.

2009-09-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Baptiste Daroussin: 27271: Functions/Zftp/zfanon: remove awk
	dependence.

	* Baptiste Daroussin: 27270: Functions/Zftp/zfcd_match: remove
	awk dependence.

2009-09-11  Peter Stephenson  <pws@csr.com>

	* Baptiste Daroussin: 27268: Functions/MIME/pick-web-browser:
	remove Perl dependency.

	* Baptiste Daroussin: 27267 plus 27269 plus doc:
	Functions/Zftp/zfrtime, Doc/Zsh/zftpsys.yo: remove perl
	dependency.

2009-09-10  Peter Stephenson  <pws@csr.com>

	* Greg Klanderman: 27259 / 27260:
	Completion/Unix/Type/_path_files: make unset parameters in
	file prefix not be treated as empty.

2009-09-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Greg Klanderman: 27255: Doc/Zsh/builtins.yo,
	Doc/Zsh/compctl.yo, Doc/Zsh/compsys.yo, Doc/Zsh/contrib.yo:
	some consistency fixes.

2009-09-07  Peter Stephenson  <pws@csr.com>

	* 27236 (somewhat late): configure.ac: use $CPPFLAGS
	after all occurrences of $CPP and see what happens.

2009-09-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Holger Weiss <holger@CIS.FU-Berlin.DE>: 27248:
	Src/Zle/zle_hist.c: anchoring of vi search was wrong because
	of reversed prefix matching.

	* 27247: Functions/Misc/zmv: checking for "**/" was wrong.

2009-09-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Daniel Friesel <derf@tabularazor.org>: 27244:
	Completion/Unix/Command/_feh, Completion/Unix/Command/.distfils:
	new completion.

	* 27243: Src/params.c, Test/D04parameter.ztst: reverse
	indexing in array parameters with a beginning index out of range
	returned the wrong value.

2009-09-02  Peter Stephenson  <pws@csr.com>

	* 27240: Src/builtin.c: 27079 caused later use of tokstr and tok
	to be invalid.

2009-08-28  Peter Stephenson  <pws@csr.com>

	* 27233: Completion/Base/Utility/_values,
	Completion/Unix/Command/_mount: improve _values handling of
	optional arguments so that list separate removes the argument
	separator; use this to make "mount -o loop" complete better.

2009-08-21  Peter Stephenson  <pws@csr.com>

	* 27228: Functions/Newuser/zsh-newuser-install: add a clear
	function if the command doesn't exist.

2009-08-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27219: Completion/Unix/Type/_files: "_files -F <array>" wasnʼt
	correctly handled, which broke duplicate filtering in _rm.

	* 27218: Src/Zle/computil.c: don't unquote command line
	to generate "line" in _arguments since the caller can't
	tell what was there before.

2009-08-17  Peter Stephenson  <pws@csr.com>

	* 27217: Functions/Newuser/zsh-newuser-install: fix typo
	in assignment.

2009-08-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27216: Src/hist.c: set chwords to NULL when freed.

2009-08-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/14307: Src/Zle/zle_tricky.c: end of current command in
	completion wasn't properly found when using variant zsh loop
	or test syntax.

2009-08-07  Peter Stephenson  <pws@csr.com>

	* Andrew Psaltis: 27212: Completion/Linux/Command/_pkgtool:
	Slackware supports extra tar formats.

2009-08-05  Peter Stephenson  <pws@csr.com>

	* 27211: Src/Zle/computil.c: Extend exact completion within
	compfiles -p/-P to treat drives and device files specially under
	Cygwin.

2009-08-05  Clint Adams  <clint@zsh.org>

	* 27209: Completion/Unix/Type_path_files: fix breakage from
	27208.

	* Mikael Magnusson: 27204: Completion/Unix/Command/_patch:
	remove stray curly brace.

	* 27208: Completion/Unix/Type_path_files: try to do the
	right thing when applying file-sort to extant glob qualifiers.

2009-08-01  Clint Adams  <clint@zsh.org>

	* 27203: Completion/Debian/Command/_aptitude: treat
	aptitude build-depends just as aptitude build-dep.

	* 27202: Src/system.h: unbreak _GNU_SOURCE on Debian
	GNU/kFreeBSD.

2009-07-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/14267: Completion/Base/Core/_description: files added
	for the ignore-line style need to be quoted to be treated
	literally.

2009-07-24  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27188: Doc/Zsh/builtins.yo, Src/builtin.c, Test/B04read.ztst,
	Test/D07multibyte.ztst: Make read -q use the same code as read
	-k, hence enabling support for -t with terminals, -p and -u.

2009-07-21  Peter Stephenson  <pws@csr.com>

	* 27181: Doc/Zsh/options.yo, Src/builtin.c: extend POSIX_CD to
	handle target directory printing behaviour.

2009-07-20  Peter Stephenson  <pws@csr.com>

	* 27178, 27180: Etc/FAQ.yo: as pointed out by Mikael, quoting
	function names to stop alias expansion is always(ish) safe.

2009-07-19  Barton E. Schaefer  <schaefer@zsh.org>

	* 27169: Src/jobs.c, Src/signals.c: 23067 went too far in opening
	up the signal mask when waiting for jobs; an interrupt from the
	terminal should not terminate the shell until the foreground job
	has a chance to exit or to choose not to do so.

2009-07-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27167: Src/builtin.c, Src/options.c, Src/zsh.h,
	Doc/Zsh/builtins.yo, Doc/Zsh/options.yo: POSIX_CD option,
	currently only moves testing of "." to after testing of CDPATH.

2009-07-18  Clint Adams  <clint@zsh.org>

	* 27160: Completion/Debian/Command/_bug: tweaks to reportbug
	completion, thanks to Vincent Lefevre.

	* 27128: Completion/Unix/Type/_tex: complete tex files for
	latexmk.

2009-07-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/14240: Src/parse.c: assignment before a function
	definition should be an error, in common with other complex
	functions and as documented.

2009-07-14  Eric Blake  <ebb9@byu.net>

	* Eric Blake: 27151: Src/builtin.c: Fix // handling in cd for
	cygwin.

2009-07-14  Peter Stephenson  <pws@csr.com>

	* Andy Spencer: 27148: Completion/Linux/Command/_modutils:
	ignore build as well as source directories when searching
	recursively for modules.

2009-07-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27135: Doc/Zsh/options.yo, Src/exec.c, Src/jobs.c: expand
	POSIX_JOBS option to leave MONITOR on in subshell and not to
	report the parent shell's jobs.

	* 27134: Src/exec.c, Src/init.c: improve 27131 by setting
	FD_CLOEXEC for SHTTY or closing it by hand when executing.

2009-07-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27131: Src/exec.c, Src/jobs.c: tentative attempt to
	allow MONITOR option to be set in a subshell by not
	closing SHTTY.

	* 27129: Src/exec.c, Src/init.c, Src/zsh.h,
	Test/A01grammar.ztst, Test/C04funcdef.ztst,
	Test/D08cmdsubst.ztst: fix 27126 so as not to break the
	case where a status is tested at the start of a function,
	command substitution, or "." file.

2009-07-10  Clint Adams  <clint@zsh.org>

	* 27127: Vincent Bernat: Completion/Debian/Command/_bts: handle
	bts fixed and bts notfixed.

2009-07-10  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27126: Src/exec.c, Src/init.c, Test/A01grammar.ztst,
	Test/C04funcdef.ztst, Test/D08cmdsubst.ztst: a few more
	contexts where empty lists should give status zero.

	* 27125: Src/prompt.c: handle nested use of colour code buffer
	allocation.

2009-07-10  Peter Stephenson  <pws@csr.com>

	* 27122: Doc/Zsh/options.yo, Src/jobs.c, Src/options.c, Src/zsh.h:
	add POSIX_JOBS option to print only job text for bg and fg.

	* 27106: Src/exec.c, Src/signals.c, Src/zsh.h,
	Test/A01grammar.ztst: on a command line that had text that
	expanded to nothing reset the status (unless it should come
	from a command substitution).

	* 27119: Src/jobs.c: correct 27112: output is to stdout, not
	stderr, and there's no automated jobs notification if not
	INTERACTIVE.

2009-07-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27112: Src/jobs.c: allow output to stderr if MONITOR but
	not INTERACTIVE.

2009-07-09  Eric Blake  <ebb9@byu.net>

	* 27109: Touch up non-interactive MONITOR handling.
	Don't mess with tty when MONITOR but not interactive.

2009-07-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27110: Src/init.c: Only turn on MONITOR if INTERACTIVE is on
	or if set explicitly.

2009-07-08  Peter Stephenson  <pws@csr.com>

	* 27100: Allow MONITOR option in non-interactive shells.
	Not properly test it, but you only get if you ask for it,
	so worth committing to allow it to be further investigated.

2009-07-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27092: Src/parse.c, Test/A01grammar.ztst: "if" didn't check
	for missing clauses so a missing then-clause wasn't spotted
	as an error.

2009-07-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Brendan Cully: 27088: Completion/Unix/Command/_hg,
	Completion/Unix/Command/.distfiles: new Mercurial completion.

2009-07-02  Peter Stephenson  <pws@csr.com>

	* 27087: Doc/Zsh/builtins.yo, Src/builtin.c, Src/zsh.h,
	Test/A01grammar.ztst:  change return codes from 27083 to
	126, 127.

	* Nicolas Pouillard: 27028: Completion/Unix/Command/_darcs: New
	darcs completion; it's a lot shorter but apparently that's OK.

2009-07-01  Peter Stephenson  <pws@csr.com>

	* 27085: Doc/Zsh/mod_complist.yo, Src/Zle/complist.c:
	in scrollist keymap allow accept-search to exit but do nothing
	else.

	* 27083: Doc/Zsh/builtins.yo, Src/builtin.c, Src/init.c,
	Src/zsh.h, Src/Modules/newuser.c, Test/A01grammar.ztst:  "."
	returns status 128 on execution failure, 129 on failure to find
	file.

	* 27080: Doc/Zsh/mod_complist.yo, Src/Zle/complist.c: it
	wasn't possible to exit menu selection cleanly.

2009-07-01  Peter Stephenson  <pws@csr.com>

	* 27079: Src/builtin.c: test builtin uses parser and so should
	save and restore the lexical context to avoid pulling the
	rug out when called in some nested fashion.

2009-06-28  Andrey Borzenkov <bor@zsh.org>

	* unposted: Completion/Unix/Command/_man:
	support lzma compression of man pages used in Mandriva

2009-06-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27061: Nicolas Lalevée: Completion/Unix/Command/_ant:
	importing files into ant.

2009-06-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Greg Klanderman: 27057: Src/utils.c: %e and %f time formats
	were swapped.

	* Frank Terbeck: users/14207:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: make
	variable local.

2009-06-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Frank Terbeck: 27049, 27050, 27051, 27052:
	Functions/VCS_Info/VCS_INFO_bydir_detect,
	Functions/VCS_Info/Backends/VCS_INFO_detect_hg,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg: VCS_INFO
	improvements.

2009-06-18  Clint Adams  <clint@zsh.org>

	* 27048: Functions/MIME/zsh-mime-setup: avoid multiline prints
	which break CSH_JUNKIE_QUOTES.

2009-06-05  Peter Stephenson  <pws@csr.com>

	* 27305: Functions/Misc/run-help: use POSIXLY_CORRECT with man
	to avoid GNU man grabbing options in the argument list.

	* 27304: Doc/Zsh/expn.yo, Src/subst.c, Src/utils.c, Src/zsh.h,
	Test/D04parameter.ztst:  add ${(q-)...} flag to do minimal
	quoting of arguments with no unnecessary single quotes.

2009-06-04  Peter Stephenson  <pws@csr.com>

	* Baptiste Daroussin: 27033: Completion/BSD/Command/_portaudit,
	Completion/Unix/Command/_mount: more FreeBSD changes.

	* Baptiste Daroussin: 27030: Completion/Unix/Type/_file_systems:
	update for FreeBSD.

	*  Baptiste Daroussin: 27029: Completion/BSD/Command/_pfctl: new
	completion.

2009-06-02  Clint Adams  <clint@zsh.org>

	* Colin Watson: 27027: Completion/Unix/Command/_bzr:
	completion for bzr switch.

2009-06-02  Peter Stephenson  <pws@csr.com>

	* Akinori MUSHA: private communication:
	Completion/Unix/Command/_subversion: fix typo.

	* Config/version.mk: update version recorded in archive
	to 4.3.10-dev-1 (not released).

2009-06-01  Wayne Davison  <wayned@users.sourceforge.net>

	* Util/mkdisttree.sh, Util/preconfig: Tweak find to prune a .git dir.
	This allows a .git/cvs dir to exist with a cvs checkout in it.

2009-06-01  Peter Stephenson  <pws@csr.com>

	* Config/version.mk: release 4.3.10.

2009-05-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Jesse W: 27024: configure.ac, Doc/Makefile.in: allow
	overriding TEXI2HTML.

2009-05-30  Clint Adams  <clint@zsh.org>

	* 27025: Src/system.h: define _GNU_SOURCE on the Hurd.

2009-05-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27021: Src/pattern.c: length of variable saving globflags
	was wrong causing restored value to be wrong in pattern matching
	on big-endian 64-bit systems.

2009-05-28  Peter Stephenson  <pws@csr.com>

	* Jun T.: 27010: Completion/Unix/Command/_date: Darwin.

2009-05-26  Peter Stephenson  <pws@csr.com>

	* 26998: configure.ac, Config/defs.mk.in: use --htmldir passed
	to configure:  restore zsh default if unchanged from current
	configure default of '${docdir}'.

2009-05-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Ingmar Vanhassel: 26990: Doc/Makefile.in: tidy up all html
	files created by updated naming scheme.

2009-05-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Michael Hwang: 26986: Doc/Zsh/compsys.yo: formatting.

2009-05-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26978: Julien Langer: Completion/Unix/Command/_stgit: complete
	patch names.

2009-05-22  Peter Stephenson  <pws@csr.com>

	* 26982: Julien Langer: Doc/Zsh/contrib.yo,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: support stgit

	* 26970: Greg Klanderman: Completion/Unix/Command/_subversion: fix
	caching.

2009-05-22  Clint Adams  <clint@zsh.org>

	* 26939: Completion/Unix/Command/_xmms2: clean up xmms2 jump
	completion.

	* Patrick Schoenfeld: 26977: Completion/Unix/Command/_perl:
	complete .t files for perl.

2009-05-20  Peter Stephenson  <pws@csr.com>

	* 26975: Src/builtin.c: compilation issues in bin_print().

	* users/14143 plus extra fix in padding code: Doc/Zsh/params.yo,
	Src/subst.c, Src/utils.c: use default IFS if IFS is unset.

2009-05-19  Peter Stephenson  <pws@csr.com>

	* 26973: Doc/Zsh/contrib.yo, Functions/Misc/zmathfuncdef: make
	zmathfuncdef replace functions and list existing functions.

	* Config/version.mk: 4.3.9-dev-5 (4.3.9-dev-4 not recorded).

	* Greg Klanderman: 26972: Src/utils.c: fix problem ni 26964.

2009-05-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Greg Klanderman: 26964 (modified): Src/utils.c,
	Doc/zsh/options.yo, Doc/Zsh/params.yo:  make prompt
	end-of-line configurable with PROMPT_EOL_MARK.

	* Greg Klanderman: 26963: fix suffix handling for svn completion

2009-05-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Paul Ackersviller: 26962: configure.ac, aczsh.m4,
	Src/module.c, MACHINES, INSTALL: updated HP-UX dynamic linking.

2009-05-13  Peter Stephenson  <pws@csr.com>

	* users/14118: Functions/Prompts/prompt_special_chars: fix test
	and assignment.

	* Paul Ackersviller: 26959: Test/Makefile.in: need a delay before
	removing modules after testing on HP-UX.

2009-05-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26958: Src/prompt.c: Reallocation of prompt line didn't
	fix the pointer to the start of the current line.

2009-05-12  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Prompts/prompt_bart_setup: fix a warning
	with WARN_CREATE_GLOBAL.

	* Src/builtin.c: fix some memory usage issues.

2009-05-11  Peter Stephenson  <pws@csr.com>

	* 26956: Etc/zsh-development-guide, Src/Zle/zle_refresh:
	clear up region highlight variables properly and note that the
	variables should be zeroed even if the module is being unloaded
	(problem on HP-UX).

2009-05-09  Andrey Borzenkov <bor@zsh.org>

	* unposted: Completion/Unix/Command/_getfacl:
	fix options definition; add file names completion for variant=unix

2009-05-08  Peter Stephenson  <pws@csr.com>

	* 26953: Test/D07multibyte.ztst: print warning but don't fail test
	if system apparently can't do simple character set conversion.

	* 26950: Src/params.c: warn on failed attempt to change real or
	effective group or user ID.

	* 26949: Completion/Unix/Command/_sudo: new options and sudoedit.

	* 26948: Src/Zle/zle_refresh.c: ensure recorded window sizes
	are reset when video data is freed.

2009-05-07  Peter Stephenson  <pws@csr.com>

	* 26945: Src/builtin.c, Test/D07multibyte.ztst: read should
	pass through invalid multibyte characters.

2009-05-06  Clint Adams  <clint@zsh.org>

	* 26937: Completion/Unix/Command/_git: have `git log` complete
	files after branch/range.

2009-05-05  Peter Stephenson  <pws@csr.com>

	* martin f. krafft: 26922: Completion/Unix/Command/_xmms2: extend
	xmms2 completion.

2009-04-30  Barton E. Schaefer  <schaefer@zsh.org>

	* users/14076 (tweaked per 26906): Completion/Unix/Command/_ssh:
	Add -q or -r: options to some compadd argument lists to properly
	handle suffix removal when completing ssh option names or remote
	host references in file names.

2009-04-30  Peter Stephenson  <pws@csr.com>

	* c.f. 26895: Test/D07/multibyte.ztst: restrict the sorting test
	to western European characters.

2009-04-29  Peter Stephenson  <pws@csr.com>

	* 26900: Benjamin R. Haskell: Completion/Unix/Command/_ssh: ssh -Y,
	-x and -X are mutually exclusive.

	* 26899: Ingmar Vanhassel: Completion/Unix/Command/_ssh: -Y option

	* 26898: Ingmar Vanhassel: configure.ac: don't link
	libbind unless really needed.

2009-04-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Paul Ackersviller: 26883: Test/D07multibyte.ztst: naming of
	UTF8 locales is different in HPUX.

2009-04-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted, see 26880: Functions/Misc/run-help: back off 26862.

2009-04-24  Peter Stephenson  <pws@csr.com>

	* unposted: Config/version.mk: update to 4.3.9-dev-3.

	* uposted: update some .distfiles

	* 26876 (documentation slightly modified): NEWS, Doc/Zsh/compwid.yo,
	Doc/Zsh/params.yo, Src/Zle/compresult.c, Src/Zle/zle.h,
	Src/Zle/zle_misc.c: add ZLE_REMOVE_SUFFIX_CHARS and
	ZLE_SPACE_SUFFIX_CHARS to make actions for suffix removals when
	not controlled by completion system more configurable.

2009-04-23  Clint Adams  <clint@zsh.org>

	* 26877, 26879: Completion/Debian/Command/_apt: handle apt-get
	purge.

2009-04-22  Peter Stephenson  <pws@csr.com>

	* see 26867: Functions/VCS_Info/Backends/VCS_INFO_get_data_svk:
	remove odd "${".

2009-04-21  Peter Stephenson  <pws@csr.com>

	* Greg Klanderman: 26862: Functions/Misc/run-help: remove
	unecessary "print".

	* Greg Klanderman (26861) + 26863:
	Completion/Base/Widget/_read_comp: don't warn over unset
	parameters but typeset -g _read_comp anyway.

	* 26858: Test/A01grammar.ztst: use zsh -fc instead of /bin/sh -c
	for testing exec -l to avoid sensitivity to /etc/profile.

	* 26853 + typo fix: NEWS, README, Etc/CONTRIBUTORS, Etc/FAQ.yo,
	Etc/relnote_4.3.10.txt: package documentation updates.

2009-04-20  Peter Stephenson  <pws@csr.com>

	* Src/Modules/terminfo.mdd: make test agree with the one
	in terminfo.c.

2009-04-20  Clint Adams  <clint@zsh.org>

	* Kalle Olavi Niemitalo: 26850: Completion/Unix/Command/_git:
	fix breakage in git write-tree and git send-pack.

2009-04-18  Andrey Borzenkov <bor@zsh.org>

	* users/14033 as modified by users/14037 and added doc:
	Completion/Base/Utility/_describe, Doc/Zsh/compsys.yo: allow
	quoting of ":" with backslashes in possible matches in _describe

2009-04-17  Peter Stephenson  <pws@csr.com>

	* users/14041: Doc/Zsh/zle.yo, Src/Zle/zle_bindings.c: bind ":"
	by default to execute-named-cmd in vicmd mode.

	* unposted: Config/version.mk: change version to 4.3.9.dev-2.

	* Jesse W: 26840: Doc/Zsh/manual.yo: texi2html instructions.

2009-04-16  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_mdmadm -> _mdadm

	* 26389: Doc/.cvsignore, Doc/.distfiles, Doc/Makefile.in: add
	--node-files option to texi2html.

	* Alexey I. Froloff: 26830: Completion/Unix/Command/_man: fix
	stripping of manual page suffixes.

	* Evgenii Terechkov: 26831: Completion/Unix/Command/_screen:
	filter out redundant output.

	* Alexey I. Froloff: 26829: Completion/Unix/Command/_rsync:
	miscounting fields in output.

	* Tomasz Pala: users/14031: Completion/Linux/Command/_ipset:
	updates.

	* Tomasz Pala: users/14032: Completion/Linux/Command/_mdmadm,
	Completion/Linux/Command/_rpmbuild: new completions.

	* Tomasz Pala: users/14030: Completion/Linux/Command/_ethtool:
	update.

2009-04-07  Peter Stephenson  <pws@csr.com>

	* Bart: 26822: Completion/Zsh/Context/_subscript: ">" should
	be "-gt"---caused infinite loop looking for nonexistent subscript.

2009-04-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	*  Frank Terbeck <ft@bewatermyfriend.org>:  Functions/VCS_Info/*:
	26816: vcs_info: add revision and "misc" argument to
	VCS_INFO_formats(); 26817: updates for get-revision, %i and %m;
	26818:  Add git's sha1 hash as revision information; 26819: Add
	information about hg's local revision number and the  commit's
	hash; 26820:  Make the hg backend work with new versions of
	mercurial.

2009-04-06  Peter Stephenson  <pws@csr.com>

	* 26806 (doc tweaked): Add CORRECT_IGNORE variable for pattern to
	be ignored by correction from internal hash tables.

2009-04-04  Clint Adams  <clint@zsh.org>

	* Simon Ruderich: 26800: Completion/Unix/Command/_git: fixes for "git add"
	completion.

2009-04-01  Peter Stephenson  <pws@csr.com>

	* 26801: Completion/Base/Core/_main_complete,
	Completion/Unix/Command/_calendar,
	Completion/Zsh/Command/_command,
	Completion/Zsh/Command/_precommand: add completion for calendar
	function; add tracking for precommand modifiers that are
	in effect.

2009-03-26  Peter Stephenson  <pws@csr.com>

	* 26797: Doc/Zsh/options.yo: further minor changes.

	* 26795: Doc/Zsh/options.yo: further warning in POSIX_ALIASES.

2009-03-25  Peter Stephenson  <pws@csr.com>

	* 26783: Doc/Zsh/compsys.yo, Completion/Base/Completer/.distfiles,
	Completion/Base/Completer/_user_expand: new _user_expand completer.

	* Jon Strait: 26778, 26781: Doc/Zsh/mod_pcre.yo,
	Src/Modules/pcre.c:  a couple of extra options for PCRE matching.

	* Michael Hwang: 26776: Src/builtin.c: improved column alignment
	with print -c -P.

2009-03-24  Peter Stephenson  <pws@csr.com>

	* 26774: Src/utils.c: cd to $HOME on failure in preference to /.

	* 26772: Src/glob.c, Src/utils.c, Src/zsh.h, Src/Modules/files.c:
	more failed cd handling: fix possible runaway series of chdirs;
	better error handling.

2009-03-23  Peter Stephenson  <pws@csr.com>

	* 26769: Src/utils.c: 26767 created an even worse problem.

	* 26748: Doc/Zsh/expn.yo, Src/hist.c, Src/subst.c: c modifier
	to add command path.

	* 26767: Src/utils.c: 26763 created file descriptor leak.

2009-03-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26763: Src/utils.c: fix problem restoring directory
	when attempting to cd to relative path and failing.

	* users/13593: Src/utils.c: tidy up from 26625.

2009-03-20  Peter Stephenson  <pws@csr.com>

	* Bart: 26761: Src/hist.c: typo in 26754.

2009-03-19  Peter Stephenson  <pws@csr.com>

	* Mikael: 26759: Src/Modules/curses.mdd: missing here-document
	terminator.

	* 26756: Completion/Zsh/Type/_history_modifiers: handling
	following :s was wrong.

	* 26754: configure.ac, Doc/Zsh/expn.yo, Src/compat.c, Src/hist.c:
	tweak zgetdir() (but don't use it) and test for realpath().

2009-03-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26752: Src/hist.c: fix ../ removal in :a and metafication
	in :a and :A modifiers.

2009-03-18  Peter Stephenson  <pws@csr.com>

	* Frank Terbeck: 26751: Functions/VCS_Info/vcs_info_setsys:
	suppress warning with WARN_CREATE_GLOBAL.

2009-03-17  Peter Stephenson  <pws@csr.com>

	* 26746: Completion/Zsh/Context/_normal,
	Completion/Zsh/Type/_history_modifiers: complete new history
	modifiers a and A and allow completion of history modifiers
	at the start of double quotes.

2009-03-16  Peter Stephenson  <pws@csr.com>

	* 26744: Completion/Zsh/Context/_normal: handle completion
	of history modifiers for normal command line arguments.

2009-03-15  Barton E. Schaefer  <schaefer@zsh.org>

	* users/13937, users/13939: configure.ac, Src/jobs.c: check for
	and if available use setproctitle() for "jobs -Z".

2009-03-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26736: Doc/Zsh/expn.yo: document 26731.

	* Michael Hwang: 26731 (with cosmetic changes): Src/hist.c,
	Src/subst.c: add `a' and `A' modifiers.

2009-03-14  Wayne Davison  <wayned@users.sourceforge.net>

	* 26735: Src/Modules/files.c, Src/Modules/mapfile.c,
	Src/Modules/zftp.c, Src/builtin.c, Src/exec.c,
	Src/hist.c, Src/utils.c: improved return-value checking.

2009-03-14  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/13910: Src/jobs.c: spawnjob() should output job
	information to the tty like printjob() does.

	* 26699: Makefile.in: dependencies for config.modules.

2009-03-14  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Adding .gitignore for the mirrored git repo.

2009-03-13  Peter Stephenson  <pws@csr.com>

	* users/13902: Doc/Zsh/zle.yo, Src/Zle/zle_hist.yo,
	Src/Zle/zle_params.yo: improve return value from isearch functions
	and add LASTABORTEDSEARCH variable.

	* 26723: Completion/Unix/Type/.distfiles,
	Completion/Unix/Type/_have_glob_qual,
	Completion/Unix/Type_path_files: centralise test for whether
	file has glob qualifiers and how to match them.

	* users/13903: Src/Zle/zle_hist.c: repeated vi searching was
	broken and "_" prompt was missing.

2009-03-13  Barton E. Schaefer  <schaefer@zsh.org>

	* 26713: Completion/Zsh/Type/_globflags: add #autoload

2009-03-13  Geoff Wing  <gcw@zsh.org>

	* unposted: LICENCE: update year to 2009

2009-03-10  Peter Stephenson  <pws@csr.com>

	* 26708: Src/hist.c: print message if we give up trying to
	create a lock file with hard links.

	* 26705: Src/subst.c, Test/D07multibyte.ztst: still problems
	with multibyte characters with Meta in prompt expansion within
	parameter expansion.

2009-03-09  Peter Stephenson  <pws@csr.com>

	* 26702: Src/init.c: lexsave()/lexrestore() needed around
	use of history in loop() when not at top level; shows up
	when calling things from zle, for example.

	* derf@sievert.tabularazor.org: 22701:
	Completion/Unix/Command/_devtodo: new completion

2009-03-08  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26697: configure.ac, Src/Modules/attr.c, Src/Modules/attr.mdd:
	test for Linux- and Mac- style xattr functions and don't use
	if neither appropriate.

2009-03-06  Peter Stephenson  <pws@csr.com>

	* unposted: fix definition of _perforce_whole_path in 26690.

2009-03-04  Peter Stephenson  <pws@csr.com>

	* 26690: Completion/Unix/Command/_perforce: the
	whole-path style allows you to complete certain types of
	file (e.g. opened) as a complete path rather than in directory
	segments; the special value absolute only does that if you
	type the leading slash.

	* unposted: Etc/FAQ.yo: add POSIX_ALIASES and POSIX_IDENTIFIERS
	to the list of compatibility options with ksh.

2009-03-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26686: Src/exec.c, Src/utils.c: storing long $_ on the
	stack can be problematic, so use zalloc() rather than VARARR().

	* 26683: Doc/Zsh/params.yo, Doc/Zsh/roadmap.yo: add some notes
	on LC_CTYPE etc.

	* unposted: Src/Modules/cap.c: that's what happens when you
	make patches for things that aren't supported on your system.

2009-03-03  Peter Stephenson  <pws@csr.com>

	* 26680: Src/Modules/cap.c: missed some stuff that needed metafied
	arguments.

	* 26677: Src/Module/caps.c: need some unmetafy() calls as noticed
	by Mikael.

	* 26676: Doc/Zsh/options.yo: redirect to main description
	of reserved words instead.

	* 26675: Doc/Zsh/options.yo, Src/lex.c, Src/options.c, Src/zsh.h,
	Test/A02alias.ztst: add POSIX_ALIASES option.

	* 26671: Completion/Zsh/Command/_zattr, Doc/Zsh/.distfiles,
	Src/Modules/attr.c: various minor tidy-ups (tidies up?) for
	26670.

	* Mikael Magnusson: 26670: configure.ac,
	Completion/Command/Zsh/.distfiles, Completion/Zsh/Command/_zattr,
	Doc/Makefile.in, Doc/Zsh/.distfiles, Doc/Zsh/mod_attr.yo,
	Src/Modules/.distfiles, Src/Modules/attr.c, Src/Modules/attr.mdd:
	add module to handle Linux extended file attributes.

	* Jun T.: 26667: Doc/Zsh/prompt.yo: separate out parentheses.

2009-03-02  Barton E. Schaefer  <schaefer@zsh.org>

	* 26665: Src/utils.c: fix one incorrect test in 26614.

2009-03-02  Peter Stephenson  <pws@csr.com>

	* Lionel Flandrin: 26625: Src/utils.c: inopportune interrupt
	could wreck terminal set up.

	* 26614 plus 26615: Doc/Zsh/builtins.yo, Doc/Zsh/calsys.yo,
	Doc/Zsh/prompt.yo, Src/builtin.c, Src/utils.c: support
	-t <fmt> in history and as a side effect support GNU
	"-" extension for date and time elements with no padding
	for those handled internally.

2009-03-01  Clint Adams  <clint@zsh.org>

	* Frank Blendinger: 26656: Completion/Unix/Command/_gnupod:
	improved gnupod completion.

	* Chris Lamb: 26655: Completion/Unix/Command/_django: complete
	custom Django management commands.

2009-02-28  Clint Adams  <clint@zsh.org>

	* Daniel Friesel: 26636: Completion/X/Command/_mplayer: complete
	.flac files for mplayer.

2009-02-27  Barton E. Schaefer  <schaefer@zsh.org>

	* 26609: Completion/Unix/Type/_path_files: further / different fix
	for doubled -s in path completion, which only might be correct in
	all cases but is more correct for the original failed example.

	* unposted: Completion/Base/Utility/_pick_variant: be consistent
	about explicitly returning 0 or 1, just because.

2009-02-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26622: Src/lex.c, Test/A01grammar.ztst: improve 26617 and add
	test.

2009-02-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26617, c.f. Tomáš Smetana, 26610: Src/lex.c: comments
	weren't handled in $(...).

2009-02-26  Peter Stephenson  <pws@csr.com>

	* Frank Terbeck: 26612: Doc/Zsh/contrib.yo: VCS info documentation
	fix

2009-02-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26606: Completion/Unix/Type/_path_files: fix doubled -s
	in path completion in certain cases.

2009-02-25  Peter Stephenson  <pws@csr.com>

	* Src/hist.c: 26602: history substitution buffer could overflow
	with no test.

2009-02-25  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 26596: Completion/Unix/Command/_git: new git
	options.

	* Jörg Sommer: 26593: Completion/Debian/Command/_lintian: complete
	multiple files for lintian.

2009-02-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26588: Src/Zle/zle_tricky.c: don't expand aliases in run-help
	since the run-help function can do that.

2009-02-20  Peter Stephenson  <pws@csr.com>

	* c.f. 26586: Src/builtin.c, Src/lex.c, Src/parse.c: rename yylex
	to zshlex and yytext to zshlextext to avoid possible clashes
	in linked libraries.

	* 26584: configure.ac, Src/Modules/tcp.h: use bind/netdb.h where
	appropriate.

2009-02-19  Peter Stephenson  <pws@csr.com>

	* 26583: Src/init.c, Src/zsh.h: use HOOK_SUFFIX more widely
	for "*_functions" arrays.

2009-02-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Jörg Sommer: 26582: Completion/Unix/Command/_date: --rfc-3339
	option.

2009-02-18  Peter Stephenson  <pws@csr.com>

	* 26580: Mikael: Doc/Zsh/func.yo: typo.

	* 26579: Doc/Zsh/func.yo: fix hook function documentation.

	* unposted: Src/.cvsignore: ignore patchlevel.h.

	* Arkadiusz Miskiewicz <arekm@maven.pl>: 26573:
	Functions/Completion/compdump: force compdump to overwrite
	dump file if mv is a bit dubious.

2009-02-14  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Danek Duvall: 26571: Src/Zle/complete.mdd,
	Completion/Solaris/Command/_dladm,
	Completion/Solaris/Command/_ptree,
	Completion/Solaris/Command/_svccfg,
	Completion/Solaris/Command/_svcs, Completion/Unix/Command/_zfs,
	Completion/Unix/Command/_zpool: additions for Solaris
	support.

	* Richard Hartmann: 26558: Doc/Zsh/options.yo: modification
	of 2650.

2009-02-12  Clint Adams  <clint@zsh.org>

	* 26565: Completion/Unix/Command/_patch: fix breakage in 26482.

2009-02-12  Peter Stephenson  <pws@csr.com>

	* 26560: Doc/Zsh/builtins.yo: document autoload -z/-k (finally).

2009-02-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26556: Doc/Zsh/builtins.yo: documentation for 26546.

	* 26546: Src/builtin.c, Src/exec.c, Src/hashtable.c, Src/init.c,
	Src/mkbltnmlst.sh, Src/options.c, Src/params.c, Src/parse.c,
	Src/signals.c, Src/subst.c, Src/zsh.h, Src/Modules/newuser.c,
	Src/Modules/parameter.c, Test/B07emulate.ztst: sticky emulation
	for functions defined within emualate ... -c ... environments.

2009-02-11  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Calendar/age: accidentally committed a
	currently undocumented change that allows an age spec beginning
	with a colon to be followed by a file name whose modification time
	will be used as the date/time.  Probably needs improving but
	not actually harmful since the syntax wasn't valid before.

	* Richard Hartmann: 26550: Doc/Zsh/options.yo: make
	it clear that various options can't be changed within the shell.

	* Frank Terbeck: 26549: Doc/Zsh/contrib.yo,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_bzr,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_cdv,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_cvs,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_darcs,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_mtn,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_p4,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_svk,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_svn,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_tla,
	Functions/VCS_Info/VCS_INFO_formats: improvements to VCS_Info:
	check for changes in git.

	* Richard Hartmann: 26547: Doc/Zsh/options.yo: further extension
	to option indexing:  NOoptions without underscore.

2009-02-10  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26545: Test/B07emulate.ztst: new test.

2009-02-10  Clint Adams  <clint@zsh.org>

	* 26544: Completion/Unix/Command/_lp: complete pdf files
	as well as ps.

2009-02-09  Peter Stephenson  <pws@csr.com>

	* Greg Klanderman: 26538: Completion/Base/Widget/_read_comp:
	needs "nounset" option.

	* Richard Hartmann: 26536: Doc/Zsh/options.yo: add index entries
	for options that appear with "NO" in front.

	* Richard Hartmann: 26535: Doc/Zsh/options.yo: remove typo.

2009-02-08  Andrey Borzenkov <bor@zsh.org>

	* 26530: Doc/Zsh/builtins.yo: clarify that "emulate -c"
	restores all options on return, not only those related
	to emulation

2009-02-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Allan Caffee <allan.caffee@gmail.com>: 26532: index option
	names without underscore, too.

2009-02-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/zle.yo: use of highlighting was out of
	date.

2009-02-06  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/builtins.yo: typo in previous patch
	spotted by Mikael.

	* 26517: Doc/Zsh/builtins.yo, Doc/Zsh/compsys.yo,
	Doc/Zsh/contrib.yo, Doc/Zsh/expn.yo, Doc/Zsh/options.yo,
	Doc/Zsh/params.yo: prompt expansion section in Unix manual
	is actually named EXPANSION OF PROMPT SEQUENCES.

2009-02-05  Peter Stephenson  <pws@csr.com>

	* unposted: fix number in foregoing.

	* 26513: README: note that addition of ".." in completion
	was broken.

2009-02-01  Andrey Borzenkov <bor@zsh.org>

	* 26504: Doc/Zsh/options.yo: document that LOCAL_OPTIONS
	does not restore PRIVILEGED and RESTRICTED

2009-01-30  Clint Adams  <clint@zsh.org>

	* 26494: Completion/Unix/Command/_pydoc: completion for pydoc.

2009-01-29  Peter Stephenson  <pws@csr.com>

	* 26485: Completion/Unix/Type/_path_files: accept-exact-dirs could
	rearrange directories into the wrong order.

2009-01-29  Clint Adams  <clint@zsh.org>

	* 26482: Completion/Unix/Command/_patch: complete patch -U,
	--unified-reject-files, --global-reject-file.
	* unposted: move _getfacl and _setfacl from Completion/Cygwin/Command
	to Completion/Unix/Command.
	* 26483: Completion/Unix/Command/_getfacl,
	Completion/Unix/Command/_setfacl: handle SGI's acl programs as well
	as Cygwin's.
	* Jörg Sommer: 26451: Completion/Linux/Command/_modutils: use
	globbing to find available modules, now that modprobe -l is
	deprecated.
	* Jörg Sommer: 26452: Completion/Linux/Command/_modutils: drop
	completion of modinfo -f.
	* Jörg Sommer: 26453: Completion/Linux/Command/_modutils: complete
	modinfo -k.
	* Ingmar Vanhassel: 26467: Completion/Unix/Command/_git: add "git
	remote rename" completion.
	* Ingmar Vanhassel: 26468: Completion/Unix/Command/_git: "git
	stage" is now a synonym for "git add". git diff: --staged is a
	synonym for --cached.
	* Ingmar Vanhassel: 26469: Completion/Unix/Command/_git: complete
	"git clone --verbose".
	* Ingmar Vanhassel: 26470: Completion/Unix/Command/_git: update
	"git svn" completion.
	* Ingmar Vanhassel: 26471: Completion/Unix/Command/_git: update
	"git rebase" completion.
	* Ingmar Vanhassel: 26472: Completion/Unix/Command/_git: complete
	"git add --intent-to-add".
	* Ingmar Vanhassel: 26473: Completion/Unix/Command/_git: complete
	"git commit --cleanup=" and "git commit --allow-empty".
	* Ingmar Vanhassel: 26474: Completion/Unix/Command/_git: add
	"git describe --tags" completion and fix typos.

2009-01-29  Peter Stephenson  <pws@csr.com>

	* 26466: Src/Zle/compmatch.c: with suffix, bld_line() got
	the arithmetic over patterns wrong.

2009-01-28  Peter Stephenson  <pws@csr.com>

	* Greg Klanderman: 26465: Doc/Zsh/zle.yo, Src/Zle/zle_keymap.c:
	add command keymap for command execution.

	* Greg Klanderman: 26464: Completion/Unix/Type/_pids: style
	insert-ids=single was problematic with menu completion.

	* Greg Klanderman: 26463: Doc/Zsh/zle.yo, Src/Zle/zle_main.c: add
	zle-line-finish widget.

2009-01-27  Peter Stephenson  <pws@csr.com>

	* 26448: Doc/Zsh/expn.yo, Src/glob.c: glob sort operators
	oe and o+ allow arbitrary code to pick name for sorting.

2009-01-26  Peter Stephenson  <pws@csr.com>

	* Greg Klanderman: 26439: Doc/Zsh/mod_system.yo: convert sections
	to subsections.

2009-01-25  Andrey Borzenkov <bor@zsh.org>

	* 26425: Doc/Zsh/builtins.yo Src/builtin.c:
	"emulate csh -c command" will evaluate `command' after temporary
	enable csh emulation. Note that `-c' is not actually an option,
	but positional parameter.

2009-01-24  Doug Kearns  <dougkearns@gmail.com>

	* 26413: Completion/Unix/Command/_ant: update for version 1.7.1.

	* 26411: Completion/Cygwin/Command/.distfiles,
	Completion/Cygwin/Command/_cygcheck,
	Completion/Cygwin/Command/_cygpath,
	Completion/Cygwin/Command/_cygrunsrv,
	Completion/Cygwin/Command/_cygserver,
	Completion/Cygwin/Command/_cygstart,
	Completion/Cygwin/Command/_dumper,
	Completion/Cygwin/Command/_getclip,
	Completion/Cygwin/Command/_getfacl,
	Completion/Cygwin/Command/_mkshortcut,
	Completion/Cygwin/Command/_mkzsh,
	Completion/Cygwin/Command/_putclip,
	Completion/Cygwin/Command/_readshortcut,
	Completion/Cygwin/Command/_setfacl: update Cygwin completion
	functions and add new completion for setfacl and readshortcut.

2009-01-22  Clint Adams  <clint@zsh.org>

	* 26407: Completion/Debian/Command/_aptitude: patch to handle
	aptitude build-dep, from Sven Joachim.

	* 26405: Completion/Unix/Command/_xmms2: completion for
	xmms2, from Louis-David Mitterand.

2009-01-22  Doug Kearns  <dougkearns@gmail.com>

	* unposted: Etc/zsh-development-guide: fix some typos.

2009-01-20  Peter Stephenson  <pws@csr.com>

	* 26373: Src/Zle/complist.c: initialise variable in menu
	completion in attempt to prevent crash when starting
	a new completion.

2009-01-20  Doug Kearns  <dougkearns@gmail.com>

	* 26372: Completion/Unix/Command/_antiword: update for version
	0.37.

2009-01-19  Peter Stephenson  <pws@csr.com>

	* 26366: Doc/Zsh/zle.yo, Src/Zle/iwidgets.list,
	Src/Zle/zle_hist.c, Src/Zle/zle_keymap.c: add "isearch"
	keymap and "accept-search" function.

	* Doug Kearns: 26365: Completion/Unix/Command/_python: new 3.0
	options.

2009-01-19  Wayne Davison  <wayned@users.sourceforge.net>

	* 26362: Src/Modules/regex.c: avoid calling regfree() when the
	regex_t "re" was not initialized.

2009-01-19  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Src/Modules/regex.c: fixed a few compiler warnings
	in zcond_regex_match(), including a (useless) warning about
	matchessz potentially being used uninitialized and some
	signed/unsigned warnings about re.re_nsub.  Also split a
	couple compound lines.

2009-01-19  Doug Kearns  <dougkearns@gmail.com>

	* 26361: Completion/Unix/Command/_rake: update for version 0.8.3.

	* 26360: Completion/Unix/Command/_git: add --work-tree option.

2009-01-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26315: Src/params.c: define ZSH_PATCHLEVEL to "unknown" if
	revision not found.

2009-01-15  Peter Stephenson  <pws@csr.com>

	* 26313: INSTALL, configure.ac, Src/params.c: add
	--enable-custom-patchlevel for tweaked shells.

	* Functions/TCP/tcp_log: unposted: suppress WARN_CREATE_GLOBAL
	message.

	* 26312: Phil Pennock: Doc/Zsh/cond.yo, Doc/Zsh/mod_pcre.yo,
	Doc/Zsh/mod_regex.yo: Document no variables altered on failed
	match.

2009-01-13  Peter Stephenson  <pws@csr.com>

	* 26304: Mikael Magnusson: configure.ac: logical correction
	in link warning.

	* 26393: Src/Zle/zle_refresh.c: turn off text attributes when
	deleting text, to avoid them being used for inserted blanks.

	* unposted: Completion/Base/Utility/_values, Doc/Zsh/compwid.yo,
	Src/Zle/compcore.c, Src/Zle/complete.c, Src/Zle/compresult.c:
	Back off 26270 and follow up; was causing memory corruption.

	* Doc/Zsh/mod_zpty.yo, Src/Modules/zpty.c, Test/comptest:
	make "zpty -r" exit more cleanly on read failures and add and
	use option to ensure a pattern has been matched.

	* 26300: Src/zsh.mdd: don't use "echo -n" for $ZSH_PATCHLEVEL.

2009-01-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/compwid.yo: tweak doc for 26270.

	* unposted: Src/zsh.mdd: fix the inevitable confusion with
	using dollar Revision dollar.

	* 26272: Doc/Zsh/params.yo, Src/params.c, Src/zsh.mdd: extract
	Revision from ChangeLog for use in $ZSH_PATCHLEVEL.

	* unposted: add RCS Revision tag for use in patchlevel
	recording.

2009-01-09  Andrey Borzenkov <bor@zsh.org>

	* 26270: Completion/Base/Utility/_values, Doc/Zsh/compwid.yo,
	Src/Zle/compcore.c, Src/Zle/complete.c, Src/Zle/compresult.c:
	allow accept-and-menu-complete to work also with _values.
	Add compstate[list_in_word] flag to control, whether suffix
	is replaced by space; when set, next match is added in the same
	word.

	* unposted: Completion/Mandriva/Command/.distfiles,
	Completion/Mandriva/Command/_rebootin: add _rebootin completion
	from Mandriva RPM (modified to allow spaces in GRUB menu titles)

2009-01-09  Peter Stephenson  <pws@csr.com>

	* Benjamin R. Haskell: 26265: Functions/Zle/define-composed-chars:
	fix some accented characters.

2009-01-08  Peter Stephenson  <pws@csr.com>

	* 26260: Src/params.c: fix crash when failing to assign
	scalar to special hash.

2009-01-06  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/mod_stat.yo: fix yodl problem with 26229.

2009-01-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26249: Src/utils.c: remove arbitrary string length limit in
	unmeta().

2009-01-05  Peter Stephenson  <pws@csr.com>

	* Richard Hartmann: 26170 (parts 1 and 2):
	Completion/Unix/Type/_ps, Completion/Unix/Type/_pdf:
	files compressed with .bz2.

2009-01-05  Andrey Borzenkov <bor@zsh.org>

	* 26247: configure.ac, Src/Zle/zle_tricky.c: fix compilation
	with -Werror=format-security GCC option.

2009-01-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Richard Hartmann: 26229: Doc/Zsh/mod_stat.yo: note that zstat
	follows links by default.

	* Frank Terbeck: 26215: Doc/Zsh/contrib.yo,
	Functions/VCS_Info/vcs_info: disable-patterns style.

	* Greg Klanderman: 26159: Src/Zle/zle_utils.c: CUT_RAW should be
	CUT_REPLACE for multiple kills to append.

2008-12-30  Clint Adams  <clint@zsh.org>

	* 26202: Functions/Misc/run-help: show zshmodules(1) for echotc,
	echoti, sched, zprof, zpty, zsocket, zstyle, and ztcp builtins
	as well.

2008-12-29  Geoff Wing  <gcw@zsh.org>

	* unposted: Test/C04funcdef.ztst, Test/C05debug.ztst,
	Test/V06parameter.ztst: clean up temporary files

2008-12-29  Clint Adams  <clint@zsh.org>

	* 26185: Doc/Zsh/mod_newuser.yo: fix two places where path to
	global zshenv was specified statically.

	* Richard Hartmann: 26175: Completion/Unix/Command/_vim: updates
	for vim completion.

2008-12-18  Peter Stephenson  <pws@csr.com>

	* Richard Hartmann: 26155: Doc/Zsh/builtins.yo,
	Doc/Zsh/mod_parameter.yo, Doc/Zsh/options.yo: quote use of `.'
	as a command in text.

2008-12-16  Clint Adams  <clint@zsh.org>

	* 26141: Functions/Zle/edit-command-line: word-split
	EDITOR/VISUAL so users can have multi-argument
	commands in those variables.

2008-12-11  Peter Stephenson  <pws@csr.com>

	* Frank Terbeck: 26125: Doc/Zsh/contrib.yo,
	Functions/VCS_Info/.distfiles,
	Functions/VCS_Info/VCS_INFO_check_com,
	Functions/VCS_Info/VCS_INFO_get_cmd, Functions/VCS_Info/vcs_info,
	Functions/VCS_Info/Backends/VCS_INFO_detect_cdv,
	Functions/VCS_Info/Backends/VCS_INFO_detect_cvs,
	Functions/VCS_Info/Backends/VCS_INFO_detect_darcs,
	Functions/VCS_Info/Backends/VCS_INFO_detect_git,
	Functions/VCS_Info/Backends/VCS_INFO_detect_hg,
	Functions/VCS_Info/Backends/VCS_INFO_detect_mtn,
	Functions/VCS_Info/Backends/VCS_INFO_detect_p4,
	Functions/VCS_Info/Backends/VCS_INFO_detect_svk,
	Functions/VCS_Info/Backends/VCS_INFO_detect_svn,
	Functions/VCS_Info/Backends/VCS_INFO_detect_tla,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_bzr,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_mtn,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_p4,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_svn,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_tla: add
	"command" style for VCS command to use.

2008-12-10  Peter Stephenson  <pws@csr.com>

	* 26121: Doc/Zsh/calsys.yo, Functions/Calendar/calendar: add
	-B <lines> option to calendar.

	* users/13566: Etc/FAQ.yo: note problem with unsetting elements
	of regular arrays.

2008-12-09  Peter Stephenson  <pws@csr.com>

	* 26119: Doc/Zsh/zle.yo, Src/Zle/zle_main.c: option to allow vared
	to open to an alternative terminal.

2008-12-09  Clint Adams  <clint@zsh.org>

	* Richard Hartmann: 26114: Completion/Unix/Command/_git: add color
	options.

2008-12-08  Peter Stephenson  <pws@csr.com>

	* Benjamin R. Haskell: users/13544:
	Functions/Zle/define-composed-chars: accents for i were wrong.

	* 26116: Src/Zle/deltochar.c: wasn't updated properly for
	combining characters.

2008-12-02  Peter Stephenson  <pws@csr.com>

	* Richard Hartmann: 26105: Completion/Unix/Type/_pdf: add okular.

	* Frank Terbeck: 26194: Functions/Prompts/promptinit: eliminated
	WARN_CREATE_GLOBAL warnings.

2008-12-01  Peter Stephenson  <pws@csr.com>

	* (with some help from Peter A. Castro): 26103: configure.ac:
	FIFOs seem to be more reliable than per-process FD files for
	process substitution on current Cygwin.

2008-11-27  Peter Stephenson  <pws@csr.com>

	* 26095: Src/utils.c: failed to compile if TIOCGWINSZ wasn't
	defined.

2008-11-26  Peter Stephenson  <pws@csr.com>

	* 26090: Test/C02cond.ztst: [[ -r ... ]] on Cygwin succeeds
	more often than expected, so don't test.

2008-11-25  Clint Adams  <clint@zsh.org>

	* Brendan Cully: 26057: Completion/Unix/Command/_mercurial:
	mercurial completion updates.

2008-11-25  Peter Stephenson  <pws@csr.com>

	* 26091: Src/hist.c: crash at end of history line if history
	not in use.

2008-11-24  Peter Stephenson  <pws@csr.com>

	* Frank Terbeck: users/13482: Doc/Zsh/contrib.yo: fix some prompt
	docs for vcs info.

2008-11-23  Barton E. Schaefer  <schaefer@zsh.org>

	* users/13477: Completion/Unix/Command/_rm: call _files instead
	of _path_files to correctly handle cycling through choices.

2008-11-20  Peter Stephenson  <pws@csr.com>

	* 26075: Functions/Calendar/calendar_parse: update repeated events
	until they're in the future.

	* users/13464: Functions/MIME/zsh-mime-handler,
	Functions/MIME/zsh-mime-setup: allow suffixes specified as
	lower case to match upper case variants.

2008-11-18  Peter Stephenson  <pws@csr.com>

	* 26065: Config/version.mk: update to 4.3.9-dev-1 because of
	internal code changes.

	* 26060: François Revol: configure.ac, Src/Module/zpty.c,
	Src/Zle/zle_refresh.c: fixes for BeOS.

	* 26062: Src/Zle/compmatch.c: missed change needed with 26047.

	* 26061: Src/lex.c, Src/parse.c, Src/subst.c, Src/zsh.h,
	Test/D02glob.ztst: fix clashes between numeric glob and
	process substitution such as "<->(N)".

2008-11-17  Peter Stephenson  <pws@csr.com>

	* 26056: Doc/Zsh/expn.yo, Src/exec.c:  < <(...)more_stuff is
	an error and similarly for > >(...)yet_more_stuff.

	* 26055: README, Doc/Zsh/expn.yo, Src/subst.c: ensure process
	substitution is handled completely before parameter and
	command substitution.

	* 26053: Completion/Base/Utility/_arguments: handle
	"<cmd> --help" output that includes optional parts of options
	in square brackets.

2008-11-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26047: Src/pattern.c, Src/Zle/comp.h, Src/Zle/compmatch.c,
	Src/Zle/complete.c, Src/Zle/compmatch.c, Src/Zle/computil.c,
	Src/Zle/zle_utils.c:  convert lower levels of completion
	matching to user multibyte strings / wide characters.

	* Phil (unposted): README: another typo.

2008-11-15  Clint Adams  <clint@zsh.org>

	* 26046: Functions/TCP/tcp_send: return an error if session's fd is
	unusable.

2008-11-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26042 with some fixes from 26043 (Mikael): README,
	Doc/Zsh/expn.yo, Src/exec.c, Src/lex.c, Src/subst.c,
	Test/D03procsubst.zst: allow <(...) and >(...) to occur
	in the middle of command arguments and =(...) to have
	other strings following.

2008-11-12  Oliver Kiddle  <opk@zsh.org>

	* 26030: Src/Zle/zle_main.c: fix memory leak in vared

	* 26028: Src/builtin.c: close temporary file when aborting fc

2008-11-12  Peter Stephenson  <pws@csr.com>

	* 26029: Test/A04redirect.ztst: add test for redirection operators
	with no preceding whitespace.

2008-11-11  Oliver Kiddle  <opk@zsh.org>

	* 26024: Src/Zle/zle_keymap.c: don't leave reference count
	incremented when aborting bindkey with an error

2008-11-11  Clint Adams  <clint@zsh.org>

	* 26027: Src/Zle/compctl.c: free pprogc before it goes out of
	scope in makecomplistflags.

2008-11-11  Peter Stephenson  <pws@csr.com>

	* 26025: Src/Zle/zle_main.c: prefer handling user input to
	file installed with zle -F.

2008-11-11  Clint Adams  <clint@zsh.org>

	* 26023: Completion/Unix/Command/_topgit: skeletal completion for
	tg (topgit).

2008-11-08  Oliver Kiddle  <opk@zsh.org>

	* 26022: Completion/Zsh/Type/_file_descriptors: fix on Solaris
	where /proc/$$/fd exists but doesn't contain symlinks

	* 26017: Completion/Unix/Type/_path_files,
	Completion/Zsh/Type/_globflags, Completion/Zsh/Type/_globquals:
	add completion of globbing flags

2008-11-08  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26021: Completion/Unix/Type/_path_files: complete glob
	qualifiers where they don't mess up the rest of the word,
	don't complete a bare glob qualifier if there's nothing
	before it.

2008-11-08  Clint Adams  <clint@zsh.org>

	* unposted: Src/glob.c: revert 26014.

2008-11-07  Clint Adams  <clint@zsh.org>

	* 26016: Completion/Unix/Command/_bzr: treat "bzr co" as an alias
	of "bzr checkout"; patch from Ryo IGARASHI.

2008-11-06  Clint Adams  <clint@zsh.org>

	* 26014: Src/glob.c: don't allocate and leak a patprog if it's not
	going to be used.

	* 26013: Src/Modules/tcp.c: don't ztrdup the other buffer returned
	by inet_ntoa.  cf. 25987.

2008-11-05  Peter Stephenson  <pws@csr.com>

	* 26008, Src/builtin.c, Test/B02typeset.ztst: "typeset -g
	<var...>" should be silent even if TYPESET_SILENT is not set.

2008-11-04  Peter Stephenson  <pws@csr.com>

	* 26006: Test/C05debug.ztst: remove dependence on system
	error message.

2008-11-03  Peter Stephenson  <pws@csr.com>

	* unposted: Config/version.mk: update version to 4.3.9-dev-0.

	* unposted: Etc/.distfiles: missing entry; 4.3.9 finally
	released, perhaps.

2008-11-02  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25989: Src/Zle/computil.c: Slight improvement for multibyte
	characters in matching to prevent crash.

2008-11-02  Clint Adams  <clint@zsh.org>

	* 25988: Completion/Darwin/Command/_fink,
	Completion/Darwin/Type/_retrieve_mac_apps,
	Completion/Debian/Command/_apt,
	Completion/Debian/Type/_deb_packages,
	Completion/Redhat/Command/_rpm, Completion/Redhat/Command/_yum,
	Completion/Unix/Command/_bogofilter,
	Completion/Unix/Type/_path_commands,
	Completion/Unix/Type/_perl_modules, Doc/Zsh/compsys.yo: declare
	temporary cache array as local, thanks to problem noticed by
	Kazuhiro NISHIYAMA.

2008-11-01  Clint Adams  <clint@zsh.org>

	* 25987: Src/Modules/tcp.c: don't ztrdup the buffer returned by
	inet_ntoa.

	* 25985: Src/hashtable.c: don't try to disable signal traps if
	getsignum returns -1.

2008-10-31  Oliver Kiddle  <opk@zsh.org>

	* 25983: Fix bug in hash builtin with empty hash entry name

2008-10-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25975: Src/compmatch.c: bad tests for pattern match
	when building up a line.

	* 25972: Src/Zle/complete.c, Src/Zle/compmatch.c: leaked
	and uninitialised memory found by valgrind.

	* 25971: Src/builtin.c, Src/zsh.h: fix 25937 which broke some
	builtins that handle options themselves.

2008-10-30  Peter Stephenson  <pws@csr.com>

	* 25969: Src/subst.c, Src/utils.c, Test/D07multibyte.ztst:
	bugs in metafication with prompt expansion called from parameter
	expansion and with zsh_directory_name when called from finddir().

	* 25963: Src/utils.c: Interrupt at spell check prompt output
	garbage.

	* 25961: configure.ac: some sh's don't handle opening parentheses
	in case.

	* unposted: NEWS, README, Config/version.mk, Etc/FAQ.yo,
	Etc/relnote_4.3.7.txt, Etc/relnote_4.3.8.txt,
	Etc/relnote_4.3.9.txt: try again with 4.3.9 (N.B. not yet
	released, CVS tag not finalised).

	* 25958: INSTALL: Doc/Makefile.in, Doc/Zsh/filelist.yo,
	Doc/Zsh/files.yo, Doc/Zsh/options.yo: make it possible to
	get correctly named global startup files by remaking docs.

	* Oliver (unposted): configure.ac: 25950 should use xyes, too.

	* unposted: Completion/Zsh/Command/_tcpsys: added this since
	it's already in .distfiles.  It's very limited in what it
	does but it's better than nothing, I suppose.

	* 25950: configure.ac: need "x$dynamic" trick in two
	more places.

	* users/13418: Src/Modules/termcap.c: protect against
	HAVE_STRCODES lying.

2008-10-30  Clint Adams  <clint@zsh.org>

	* 25949: Src/Zle/zle_hist.c: remove dead code in getvisrchstr.

2008-10-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25945: Completion/Unix/Type/_path_files: need some extra
	matcher options to compadd for completing abbreviated
	directory hierarchies when -U is not present (i.e. not
	correcting).

2008-10-29  Peter Stephenson  <pws@csr.com>

	* Mikael: users/13412: Etc/relnote_4.3.7.txt: typo.

	* c.f. users/13411: Config/version.mk: update archived release
	number to 4.3.8-dev-0.

	* unposted: Etc/relnote_4.3.8.txt: tiny typo.

	* unposted: Completion/Zsh/Command/.distfiles, Etc/.distfiles,
	Functions/VCS_Info/.distfiles,
	Functions/VCS_Info/Backends/.distfiles:  belatedly sort out some
	.distfiles

	* unposted: NEWS, README, Config/version.mk, Etc/FAQ.yo,
	Etc/relnote_4.3.7.txt, Etc/relnote_4.3.8.txt: update version
	to 4.3.8.

	* unposted: Functions/Zle/replace-string: use "typeset -g"
	to avoid warnings with WARN_CREATE_GLOBAL.

2008-10-29  Clint Adams  <clint@zsh.org>

	* 25940: Src/Zle/computil.c: delay !multi memory allocation until
	after possibility to error out and return without freeing.

2008-10-28  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25938 (Mikael) + probably 25939, too:
	Completion/Unix/Type/_path_files: IPREFIX missing $.

	* 25937: README, Src/builtin.c: builtins that don't have
	options now ignore an initial "--" argument.

2008-10-28  Peter Stephenson  <pws@csr.com>

	* unposted: Config/Version.mk, Etc/relnote_4.3.7.txt: Release
	4.3.7

2008-10-26  Clint Adams  <clint@zsh.org>

	* 25934: Completion/Debian/Command/_bts: handle bts subscribe,
	unsubscribe, and fix owner.  Patches from Ansgar Burchardt.

2008-10-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: NEWS: region_highlight is an array and so
	not capitalised.

	* unposted: README: update claimed version to 4.3.7.

	* Mikael: 25933: Doc/Zsh/contrib.yo, Doc/Zsh/expn.yo,
	Doc/Zsh/options.yo, NEWS: typos.

2008-10-24  Peter Stephenson  <pws@csr.com>

	* users/13400: Doc/Zsh/options.yo, Etc/FAQ.yo: clarify some
	aspects of ksh-like editing.

	* 25931: Test/D01prompt.zsh: test fix in 25930.

	* 25930: Src/prompt.c, Src/utils.c: dynamic directory names
	may need recursive prompt expansion; memory leak with reverse
	expansion of dynamic directory names.

2008-10-23  Peter Stephenson  <pws@csr.com>

	* users/13375: Src/Zle/zle_refresh.c: rewrite ternary expression
	which caused problems with the Sun Studio 11 compiler.

2008-10-22  Barton E. Schaefer  <schaefer@zsh.org>

	* 25927: Completion/Unix/Type/_path_files: include the ignored
	prefix/suffix in the hidden prefix/suffix only for compadd -U.

2008-10-23  Clint Adams  <clint@zsh.org>

	* 25926: Src/params.c: free val only after it may be passed to
	strlen (as in 25656).

2008-10-20  Peter Stephenson  <pws@csr.com>

	* unposted: Config/version.mk: 4.3.6-dev-2.

2008-10-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25912: Doc/Zsh/compwid.yo, Src/Zle/computil.c: fix yet another
	Meta bug in completion with matchers in compfiles; remove 25893
	because that wasn't it at all.

	* 25911: Test/D07multibyte.ztst: see if we can work around file
	system idiosyncracies.

2008-10-18  Clint Adams  <clint@zsh.org>

	* 25910: Src/builtin.c: avoid dangling file handle in bin_print.

2008-10-17  Peter Stephenson  <pws@csr.com>

	* Rocky: 25907: Test/Makefile.in: makefile needs .exe
	extension to run zsh on Cygwin.

2008-10-16  Peter Stephenson  <pws@csr.com>

	* 25905: Src/math.c, Test/C01arith.ztst: fix and test doubled-hash
	radix output syntax.

2008-10-14  Barton E. Schaefer  <schaefer@zsh.org>

	* 25887: Completion/Unix/Type/_path_files: pass -U to compadd only
	when _comp_correct is true; otherwise, completing subpatterns
	inside braces tends to behave oddly.

	* Jörg Sommer: 25883: Completion/Base/Utility/_multi_parts: quote
	strings in the temporary variable tmp1 before joining them with
	"|" to create an alternatives pattern.

	* Phil Pennock: 25854: Completion/Unix/Command/_perl,
	Completion/Unix/Type/_perl_modules: fix module completion for
	"perl -d:" (Devel modules).

2008-10-14  Clint Adams  <clint@zsh.org>

	* 25898: Src/module.c: avoid dereference of p after it is freed
	in getmathfunc.

	* 25897: Src/Zle/computil.c: remove small bit of dead code in
	cfp_opt_pats.

	* 25896: Src/builtin.c: remove small bit of dead code in
	execbuiltin.

	* Jörg Sommer: 25882: Completion/Unix/Command/_ssh: run ssh with
	-oBatchMode=yes.

2008-10-14  Peter Stephenson  <pws@csr.com>

	* 25893: Doc/Zsh/compwid.yo: matcher "m:{a-z}={A-Z}" still
	works better than "m:{[:lower:]}={[:upper:]}" in that the
	latter can glitch on some multibyte characters with Meta in
	(and doesn't yet work on non-ASCII characters anyway).

2008-10-12  Clint Adams  <clint@zsh.org>

	* 25860: Src/Zle/compmatch.c: avoid possible NULL dereferencing in
	bld_parts.

2008-10-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted, c.f. 25848: Test/comptest: attempt to sanitize
	the environment.

2008-10-12  Clint Adams  <clint@zsh.org>

	* 25859: Src/Zle/zle_tricky.c: avoid possible NULL dereferencing if
	RC_QUOTES is set.

	* Mikael Magnusson: 25856: Etc/completion-style-guide: typo fixes.

	* Mikael Magnusson: 25855: Etc/zsh-development-guide: typo fixes.

2008-10-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25845: Src/pattern.c, Test/D07multibyte.ztst: combination of
	backslashed characters and metafied characters confused pattern
	test for pure string.

2008-10-10  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25816: Marc Chantreux: Completion/Unix/Command/_ip:
	add promiscuous link option.

2008-10-11  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Src/Modules/curses.c: fixed a signed/unsigned
	compiler warning.

2008-10-10  Peter Stephenson  <pws@csr.com>

	* users/13323: Test/E02xtrace.ztst: new test wasn't robust
	about ignoring /etc/zshenv.

	* users/13321: configure.ac: allow --disable-gdbm.

	* unposted: Doc/Zsh/expn.yo: protect () from macro expansion.

	* unposted: Etc/CONTRIBUTORS: update.

	* 25837: NEWS: add descriptions of new debugging features.

	* unposted: Functions/Zftp/zffcache,
	Functions/Zftp/zftp_progress: silence some warnings when
	WARN_CREATE_GLOBAL is set.

	* unposted: Config/version.mk: 4.3.6-dev-1.

	* unposted: Test/B06fc.ztst: use -f flag to zsh to prevent
	initialization scripts running.

2008-10-10  Barton E. Schaefer  <schaefer@zsh.org>

	* 25814: Functions/Misc/run-help: quote arguments to "eval".

	* unposted (?): Functions/Prompts/promptinit: quote expansion of
	prompt_opts in prompt() because zsh emulation is by necessity not
	enforced there.

	* 25140: Src/exec.c: improve error handling/reporting for
	here-document temp files.

	* 25029 (plus unposted doc): Completion/Unix/Command/_sudo,
	Doc/Zsh/compsys.yo: "environ" style to allow a different search
	path when completing as a different user.

2008-10-09  Clint Adams  <clint@zsh.org>

	* 25833: Completion/Unix/Command/_git: remove zparseopts line
	obsoleted by 25824.

	* Jörg Sommer: 25824: Completion/Unix/Command/_git: make it
	possible to use abbreviated paths for tree files.

2008-10-09  Peter Stephenson  <pws@csr.com>

	* 25831: Doc/Zsh/expn.yo, Doc/Zsh/options.yo, Src/params.c,
	Src/zsh.h, Test/D04parameter.ztst: ensure failed subscript matches
	of a type that are documented as strings rather than arrays
	return an empty string rather than an empty array to avoid
	strange RC_EXPAND_PARAM behaviour.

2008-10-08  Peter Stephenson  <pws@csr.com>

	* Nikolai Weibull: 25828: Completion/Unix/Command/_rm,
	Completion/Unix/Command/.distfiles: new completion.

	* unposted: NEWS: note some new features.

2008-10-07  Clint Adams  <clint@zsh.org>

	* 25823: Functions/Misc/run-help: bring up zshcontrib man page if
	run-help is run on run-help and run-help is a function.

	* Jörg Sommer: 25819: Completion/Linux/Command/_modutils: improve
	module parameter completion.

	* Jörg Sommer: 25822: Completion/Linux/Command/_modutils: declare
	val_args as local array.

	* Jörg Sommer: 25821: Completion/Linux/Command/_modutils: return 0
	if a modules parameter was completed.

	* Jörg Sommer: 25820: Completion/Linux/Command/_modutils: add the
	option --field of modinfo.

2008-10-06  Clint Adams  <clint@zsh.org>

	* 25818: Completion/compinstall: compinstall data loss typo fix
	from Morita Sho.

2008-10-06  Peter Stephenson  <pws@csr.com>

	* 25817: Src/builtin.c: "fc -l" is now more careful to
	list all history just added, however it got there.  Use
	of fc for executing previous commands unchanged.

2008-10-04  Clint Adams  <clint@zsh.org>

	* 25808: Completion/Debian/Command/_bts: handle bts claim and
	unclaim subcommands.

2008-10-02  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Zsh/Context/_subscript: off-by-one
	error in testing for dynamic directory name prefix.

2008-10-01  Peter Stephenson  <pws@csr.com>

	* 25791: Src/exec.c, Test/C05debug.ztst: force return from
	eval-style DEBUG trap lost status.

2008-09-30  Peter Stephenson  <pws@csr.com>

	* Frank Terbeck: 25778: Functions/VCS_Info/VCS_INFO_realpath: use
	builtin cd.

	* unposted: Completion/Zsh/Context/_subscript: recognise ~[...]
	after = and :, too.

	* 25777: Src/Modules/db_gdbm.c: argument to gdbmsetfn.

2008-09-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25775: Src/exec.c, Src/prompt.c, Src/signals.c, Src/zsh.h:
	line numbering in functions inside eval-style traps on the
	function stack was screwy.  Simplest fix is to restore normal
	line numbering within the functions so that only the immediate
	eval-style trap environment is special.

	* 25774: Src/params.c: fix in 25772 was applied too widely.

2008-09-29  Peter Stephenson  <pws@csr.com>

	* 25733: Completion/Zsh/Context/.distfiles,
	Completion/Zsh/Context/_dynamic_directory_name,
	Completion/Zsh/Context/_subscript: stub function for dynamic
	directory name completion.

	* 25772: Src/params.c: searching an associative array with
	a bad pattern could cause a crash, seen in _expand following
	"echo ~[]".

	* 25771: Src/utils.c, Src/zsh.h: shell function context
	for substitution functions.

	* users/13295 (with tweak always to keep old line numbers at
	exit from parse_string()): Src/builtin.c, Src/exec.c, Src/glob.c,
	Src/parse.c, Src/Modules/parameter.c, Src/Modules/zpty.c,
	Src/Modules/zutil.c: don't reset $LINENO when parsing strings
	unless the surrounding environment provides support (funcstack
	etc.) for it.

2008-09-28  Clint Adams  <clint@zsh.org>

	* 25764: Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_django: completion for Django, from Chris
	Lamb.

2008-09-28  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael Magnusson: Src/utils.c: newline in getquery() is
	treated as n but should also behave like a newline. duh.

2008-09-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25760: Doc/Zsh/expn.yo, Src/subst.c, Test/D04parameter.ztst:
	(~) tokenizes arguments to further parameter flags, but not
	the rest of the parameter expansion.

	* Jörg Sommer: 25755, with tweak from 25756:
	Completion/Linux/Command/_modutils (args): improved handling
	of module arguments.

	* 25759: Doc/Zsh/expn.yo, Src/builtin.c, Src/subst.c: fix crash
	after failed dynamic named directory expansion; clarify the
	fact that static named directories can contain only
	alphanumerics, `_', `-' or `.'.

2008-09-26  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 25617: Completion/Unix/Command/_vim:
	complete -t <tags>.

2008-09-26  Peter Stephenson  <pws@csr.com>

	* 25744: Doc/Zsh/expn.yo, Src/exec.c, Src/math.c, Src/signals.c,
	Src/subst.c, Src/utils.c, Src/Modules/zftp.c, Src/Zle/compcore.c,
	Src/Zle/compctl.c, Src/Zle/zle_main.c, Src/Zle/zle_misc.c,
	Test/D01prompt.ztst: Add dynamic named directories using
	~[<stuff>] which calls zsh_directory_name n <stuff> and
	reverse call to look up names.  Also further simplify doshfunc()
	interface to use flags directly from the Shfunc structure.

2008-09-25  Peter Stephenson  <pws@csr.com>

	* 25684: Src/prompt.c: make %x and %I consistent with
	eval line numbering.

2008-09-24  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/13288: Src/parse.c: don't report parse errors if the
	line was aborted by spell checking etc.

2008-09-24  Peter Stephenson  <pws@csr.com>

	* 25739: configure.ac: warn about GPL in binary if libgdm
	is linked.

	* Rocky Bernstein: 25734: Test/B06fc.ztst: typo.

2008-09-23  Clint Adams  <clint@zsh.org>

	* 25737: Src/Zle/computil.c: remove dead code in ca_parse_line.

	* 25736: Src/Zle/complete.c: one more zsfree missing from
	25667.

2008-09-23  Peter Stephenson  <pws@csr.com>

	* 25733: Functions/VCS_Info/Backends/VCS_INFO_get_data_p4,
	Doc/Zsh/contrib.yo: add revision number (latest synced change)
	to Perforce backend and list abbreviations with backends.

	* 25732: Functions/VCS_Info/Backends/VCS_INFO_detect_p4,
	Doc/Zsh/contrib.yo: make vcs_info detect Perforce from server
	if style use-server is set.

	* Rocky Bernstein: 25727: Src/hist.c, Test/B06fc.ztst: remove
	restriction on interactive use of fc and test another problem.

2008-09-23  Clint Adams  <clint@zsh.org>

	* 25728: Completion/Linux/Command/_ionice: spelling fix.

	* Jörg Sommer: 25717: Completion/Linux/Command/_ionice: fixups for
	25702.

2008-09-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25723: Src/Zle/zle_main.c: align combining character when
	retrieved from input stack.

2008-09-22  Clint Adams  <clint@zsh.org>

	* 25721: Src/exec.c: revert another mistake of 25701.

	* Jörg Sommer: 25718: Completion/Unix/Command/_git: add completion
	of option --reverse.

	* 25720: Doc/Zsh/contrib.yo: remove misleading vcs_info bit about
	PROMPT_SUBST.

2008-09-22  Peter Stephenson  <pws@csr.com>

	* 25715: Frank Terbeck: Doc/Zsh/contrib.yo: vcs_info
	now works straight away.

	* 25710: Functions/VCS_Info/vcs_info,
	Functions/VCS_Info/vcs_info_lastmsg,
	Functions/VCS_Info/vcs_info_printsys,
	Functions/VCS_Info/vcs_info_setsys: use native zsh emulation;
	make vcs_comm local in other functions; vcs_info_printsys
	runs vcs_info_setsys if necessary.

2008-09-22  Clint Adams  <clint@zsh.org>

	* 25713: Functions/VCS_Info/vcs_info: ensure that vcs_info
	functions immediately after autoloading.

2008-09-22  Peter Stephenson  <pws@csr.com>

	* Rocky Bernstein: 25696: Src/hist.c: fix crash on empty history.

2008-09-21  Clint Adams  <clint@zsh.org>

	* unposted: Completion/Linux/Command/.distfiles: update .distfiles.

	* Jörg Sommer: 25702: Completion/Linux/Command/_chrt,
	Completion/Linux/Command/_ionice: completions for chrt and ionice
	commands.

	* 25701 (tweaked): Src/exec.c: fix memory leak in loadautofn.

	* 25697: Functions/Prompts/prompt_clint_setup: drop git code and
	switch to vcs_info.

2008-09-19  Peter Stephenson  <pws@csr.com>

	* 25693: Frank Terbeck: Doc/Zsh/contrib.yo: and another.

	* users/13262: Frank Terbeck: Doc/Zsh/contrib.yo: another
	formatting fix.

	* users/13252 and others: Frank Terbeck (plus doc tweaks):
	Functions/VCS_Info/**/*, Doc/Zsh/contrib.yo, Src/zsh.mdd:
	add VCS_Info function system.

	* Unposted, but see users/13251: Doc/Zsh/mod_mapfile.yo: update
	users/13239.

2008-09-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25690: Src/Zle/zle_hist.c: fix insertlastword not to
	screw up characters in the history that needed metafication.

2008-09-18  Peter Stephenson  <pws@csr.com>

	* 25684: Src/prompt.c: respect trap line number rules in
	%x, %I prompt escapes.

	* users/13239: Doc/Zsh/mod_mapfile.yo: more useful comments.

	* 25682: Src/hist.c: terminate history line string before passing
	down to zshaddhistory hook.

2008-09-16  Peter Stephenson  <pws@csr.com>

	* 25677: Doc/Zsh/prompt.yo, Src/exec.c, Src/init.c, Src/math.c,
	Src/prompt.c, Src/signals.c, Src/utils.c, Src/Modules/zftp.c,
	Src/Zle/compcore.c, Src/Zle/compctl.c, Src/Zle/zle_main.c,
	Src/Zle/zle_misc.c, Test/E02xtrace.ztst: add %x and %I prompt
	escapes for source file debuging; improve interface to
	doshfunc().

2008-09-15  Peter Stephenson  <pws@csr.com>

	* 25672: prompt.c: Resolve string containing only a Nularg
	to empty string to avoid interpretation as glitch space.

	* 25671: Src/builtin.c, Test/B02typeset.ztst: non-existent
	variable in typeset -p should cause status 1.

2008-09-14  Clint Adams  <clint@zsh.org>

	* 25667: Src/Zle/complete.c: free mstr before returning from
	errors.

	* 25666: Src/Zle/computil.c: free memory allocated for an
	xor if the argument number is invalid.

2008-09-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25662: Src/builtin.c, Test/B02typeset.ztst: declare -p
	should never create variables.

2008-09-13  Clint Adams  <clint@zsh.org>

	* 25656: Src/params.c: free val only after it may be passed to
	strlen().

	* 25655: Completion/Unix/Command/_rsync: remove completion for
	--remove-sent-files option.

2008-09-12  Clint Adams  <clint@zsh.org>

	* 25654: Completion/Debian/Command/_lintian: fix return bug and add
	--color.

2008-09-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25632: xRaich[o]²x: Src/mem.c: munmap() argument was wrong.

2008-09-11  Peter Stephenson  <pws@csr.com>

	* 25651: Src/builtin.c, Src/exec.c, Src/hashtable.c, Src/init.c,
	Src/text.c, Src/Modules/parameter.c: make indentation for code
	output by getpermtext() more logical.

	* 25643: Doc/Zsh/builtins.yo, Src/exec.c: keep DEBUG and ZERR
	traps in subshells.

	* 25641: add option (NO_)MULTI_FUNC_DEF to turn off "foo1
	foo2...()" function definitions.

2008-09-10  Clint Adams  <clint@zsh.org>

	* Frank Terbeck: 25640: Completion/Unix/Command/_git: another alias
	handling fix.

	* 25639: Src/hist.c: free ptr2 if hsubl is NULL.

	* 25638: Src/Zle/compmatch.c: remove unnecessary ternary expression
	in match_str.

	* 25637: Src/exec.c: dereference prog after the NULL check.

2008-09-08  Clint Adams  <clint@zsh.org>

	* 25636: Src/Zle/zle_tricky.c: free s before returning with an
	error condition.

	* 25634: Src/Zle/zle_main.c: free t before returning if both t and
	errflag are set.

2008-09-07  Clint Adams  <clint@zsh.org>

	* Frank Terbeck: 25624: Completion/Unix/Command/_git: clean up git
	alias parsing.

2008-09-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25627: Doc/Zsh/params.yo, Src/exec.c, Src/params.c,
	Test/D04parameter.ztst: add $ZSH_SUBSHELL.

2008-09-05  Peter Stephenson  <pws@csr.com>

	* 25615: Doc/Zsh/builtins.yo, Doc/Zsh/func.yo, Src/exec.c,
	Src/text.c, Test/C05debug.ztst: add $ZSH_DEBUG_CMD for
	DEBUG traps.

2008-09-04  Peter Stephenson  <pws@csr.com>

	* 25608: Completion/compinit: unset CSH_JUNKIE_QUOTES during
	completion.

2008-09-04  Clint Adams  <clint@zsh.org>

	* 25611, 25613: Src/Modules/curses.c: protect against two possible
	NULL dereferences.

	* 25612: Src/Zle/compmatch.c: remove dead code.

	* 25610: Src/hist.c: remove dead code.

	* 25609: Src/Modules/zftp.c: initialize sz variable.

2008-09-03  Peter Stephenson  <pws@csr.com>

	* Jun T: 25603: Doc/Zsh/compsys.yo: format error.

	* Jörg Sommer <joerg@alea.gnuu.de>: 25598/25599: should
	auto-remove automatically added "=" suffix on alias completion,
	else you can end up assigning an empty alias.

	* 25595: Doc/Zsh/mod_parameter.yo, Src/builtin.c, Src/exec.c,
	Src/init.c, Src/zsh.h, Src/Modules/parameter.c,
	Test/V06parameter.ztst: fix line numbers with EVAL_LINENO;
	try to fix up oddities with funcstack for source files;
	simplify use of caller element of funcstack.

2008-09-02  Barton E. Schaefer  <schaefer@zsh.org>

	* 25600: Functions/Prompts/prompt_bart_setup: fix pattern
	introduced in 25059 that broke PS1 parsing.

2008-09-02  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 25594: Completion/Unix/Command/_git:
	"git clean" cleanup.

2008-09-01  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 25591: Completion/Unix/Command/_git:
	"git remote rm" completion.

	* Mikael Magnusson: 25590: Completion/Unix/Command/_git:
	update "git add" completion.

	* Frank Terbeck: 25588: Completion/Unix/Command/_git: add
	--no-pager option to git completion.

2008-09-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25587: Src/exec.c, Src/parse.c, Src/subst.c: foo==(stuff)
	was mishandled owing to parse errors; mishandling it caused
	a crash because of lack of care on failure of process
	substitution; assignments that went through execcmd() failed
	to set the status.

2008-09-01  Clint Adams  <clint@zsh.org>

	* 25585: Completion/Unix/Command/_git: fix git command completion
	when there are arguments after the cursor position.

	* Frank Terbeck: 25583: Completion/Unix/Command/_git: more git
	alias fixes.

2008-09-01  Peter Stephenson  <pws@csr.com>

	* 25582: Completion/Unix/Type/_path_files: use suggestion
	by Bart to get automatically appearing file system entries
	added by completion to respect patterns.

	* Jörg Sommer: 25572: Completion/Linux/Command/_modutils:
	complete module parameters.

2008-08-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25571: Src/lex.c, Src/parse.c, Test/.distfiles,
	Test/C03traps.ztst, Test/C05debug.ztst: make line numbers when
	parsing reflect the start of a parsed token rather than the end;
	add a test and move debug trap tests to a separate file.

2008-08-31  Clint Adams  <clint@zsh.org>

	* Frank Terbeck: 25561: Completion/Unix/Command/_git: fix quoting
	with aliases.

	* Mikael Magnusson: 25564: Completion/Unix/Command/_git:
	suppress error output in __git_is_treeish.

2008-08-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25570: Src/exec.c, Src/zsh.h, Test/C03traps.ztst: line numbers
	of complex sublists were wrong, plus test; another place to make
	lineno more consistent.

2008-08-31  Andrey Borzenkov <bor@zsh.org>

	* users/13169: Src/exec.c: really restore emulation mode when
	exiting shell function if 'emulate -L' has been used (actually
	if LOCAL_OPTIONS has been set). Fixed problem noticed in RedHat
	bug https://bugzilla.redhat.com/show_bug.cgi?id=430665#c19.

2008-08-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25569: David Le Bourgeois & pws: _ant completion was broken
	by sed pattern change.

	* 25568: Frank Terbeck & pws: Src/builtin.c, Test/.distfiles,
	Test/A07control.ztst: break and continue arguments less than
	1 are invalid (and hard errors); add some tests for control
	commands.

	* users/13162: Completion/Unix/Command/_module: strip
	"~" suffix from modules.

2008-08-30  Clint Adams  <clint@zsh.org>

	* 25553: Completion/Zsh/Command/_precommand:
	add aoss to compdef line.

	* Frank Terbeck: 25551: Completion/Unix/Command/_git: remove
	a stray period from a description.

2008-08-29  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 25539: Completion/Unix/Command/_git: more
	'git clone' fixes.

	* Frank Terbeck: 25538: Completion/Unix/Command/_git: add missing
	backslash.

	* Frank Terbeck: 25537: Completion/Unix/Command/_git: add --abort
	to options for 'git am'.

2008-08-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25532, Src/exec.c, Test/C03traps.ztst: skipping next command
	didn't work if it was an assignment or other form tagged as
	"simple".

2008-08-24  Clint Adams  <clint@zsh.org>

	* 25521: Completion/Unix/Command/_git: get merge strategies from
	git merge in case the administrator has added custom strategies.

2008-08-22  Peter Stephenson  <pws@csr.com>

	* 25508: Src/exec.c: set file name if function came from
	dump file.

2008-08-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Doc/Zsh/compsys.yo: doc for foregoing.

	* Alexey I. Froloff: 25459: Completion/Unix/Type/_files: add
	list-dirs-first style.

2008-08-21  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 25499: Completion/Unix/Command/_git: add
	function to validate tree-ishs.

	* 25495: Completion/Unix/Command/_git: always complete cached files
	after git checkout --.

	* 25493: Completion/Unix/Command/_git: allow -q to be used in all
	git checkout contexts.

	* 25491: Completion/Unix/Command/_git: patch to improve
	"git checkout" completion, from Mikael Magnusson.

2008-08-19  Clint Adams  <clint@zsh.org>

	* 25490: Src/zsh.h, Src/Modules/db_gdbm.c: make zties dynamic so
	there can be more than one gdbm handle in use at a time.

	* 25489: Completion/Unix/Command/_git: remove cruft for "git
	octopus/octupus".

	* 25488: Completion/Unix/Command/_git: patch to complete things
	after "git bisect start", Mikael Magnusson.

	* 25487: Completion/Unix/Command/_git: whitespace changes from
	Mikael Magnusson.

	* 25486: Completion/Unix/Command/_git: patch to allow --shared to
	be completed without --local with git clone.

	* 25485: Completion/Unix/Command/_git: patch to allow --abbrev to
	be completed before -v with git branch, from Mikael Magnusson.

2008-08-18  Clint Adams  <clint@zsh.org>

	* 25480: Completion/Unix/Command/_git: add more quotes to the
	three _call_program invocations with git for-each-ref.

	* Mikael Magnusson: 25473: Completion/Unix/Command/_git: add
	missing parenthesis.

	* unposted: Completion/Unix/Command/_git: additional git branch
	options.

	* 25475: Completion/Unix/Command/_git: determine heads, tags,
	and branches through git for-each-ref instead of git tag and
	git branch.

2008-08-17  Clint Adams  <clint@zsh.org>

	* 25469: Completion/Unix/Command/_git: assorted changes
	cherry-picked from Mikael Magnusson.

2008-08-16  Clint Adams  <clint@zsh.org>

	* 25465: Completion/Unix/Command/_git: patch from Mikael Magnusson
	to add more git-add and git-checkout options.

	* unposted: Completion/Unix/Command/_git: another typo fix.

	* 25464: Completion/Unix/Command/_git: patch from Mikael Magnusson
	to add --graph.

	* 25463: Completion/Unix/Command/_git: patch to add git
	completion for --base/-1, --ours/-2 and --theirs/-3, from
	Mikael Magnusson.

	* 25462: Completion/Unix/Command/_git: patch to add some -s -w
	to _arguments and new options for revert, from Mikael Magnusson.

	* 25461: Completion/Unix/Command/_git: patch to add HEAD as
	a completion for heads, from Mikael Magnusson.

	* 25460: Completion/Unix/Command/_git: patch to add the
	--branches/tags/remotes for rev-list to _git from Mikael
	Magnusson.

	* 25457: Completion/Unix/Command/_git: improvements for git diff
	and git log from Mikael Magnusson.

	* Mikael Magnusson: 25456: Completion/Unix/Command/_git: fix typo
	of "before".

	* Frank Terbeck: 25455: Completion/Unix/Command/_git: handle git
	stashes.

2008-08-14  Clint Adams  <clint@zsh.org>

	* 25452: Completion/Unix/Command/_look: redirect stderr from look
	to /dev/null.

2008-08-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Test/V01zmodload.ztst: change consequent on having
	a new parameter in zsh/parameter.

	* 25448: Doc/Zsh/mod_parameter.yo, Src/exec.c, Src/init.c,
	Src/Modules/parameter.c, Src/zsh.h, Src/Modules/parameter.c
	Src/Modules/parameter.mdd: add $funcfiletrace to show
	absolute line number for caller.

2008-08-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25443 (tweaked): Doc/Zsh/mod_parameter.yo,
	Src/Modules/parameter.c, Test/V06parameter.ztst: allow
	$functrace to show sourced files.

2008-08-12  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Solaris/Command/.distfiles,
	Completion/Solaris/Type/.distfiles: missed .distfiles entry.

	* 25435: Baptiste Daroussin <baptiste.daroussin@gmail.com>:
	Completion/BSD/{_fetch,_freebsd-update,_portaudit,_portsnap,
	_csup,_portlint,_powerd}: new and improved FreeBSD completions.

2008-08-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Test/V06parameter.ztst: fix load directory for
	module from script.

	* 25247 with further modifications: Doc/Zsh/mod_parameter.yo,
	Src/exec.c, Src/hashtable.c, Src/init.c, Src/parse.c,
	Src/signals.c, Src/utils.c, Src/zsh.h, Src/Modules/parameter.c,
	Src/Modules/parameter.mdd, Test/.distfiles,
	Test/V01zmodload.ztst, Test/V06parameter.ztst: add
	$funcsourcetrace parameter to zsh/parameter.

2008-08-11  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/builtins.yo, Doc/Zsh/func.yo: prevent various
	entries looking like Yodl macros.

	* 25429: Rocky Bernstein: Test/E01options.ztst,
	Test/E02xtrace.ztst: don't assume PS4 is set to the default.

2008-08-08  Clint Adams  <clint@zsh.org>

	* 25424: Chris Lamb: Completion/Debian/Command/_lintian:
	completion for lintian-info.

2008-08-07  Clint Adams  <clint@zsh.org>

	* 25423: Chris Lamb: Completion/Debian/Command/.distfiles,
	Completion/Debian/Command/_grep-excuses: completion for
	grep-excuses.

	* 25422: Chris Lamb: Completion/Debian/Command/_apt-show-versions:
	apt-show-versions completion fix.

2008-08-07  Peter Stephenson  <pws@csr.com>

	* 25418: Doc/Zsh/options.yo, Src/options.c: set PROMPT_SUBST
	for all Bourne-style shells.

	* 25415: README, Doc/Zsh/builtins.yo, Doc/Zsh/func.yo,
	Doc/Zsh/options.yo, Src/builtin.c, Src/exec.c, Src/init.c,
	Src/options.c, Src/signals.c, Src/zsh.h, Test/A05execution.ztst,
	Test/C03traps.ztst:  Make DEBUG_BEFORE_CMD the default;
	make ERR_EXIT ineffective in DEBUG traps but allow it to
	be set to skip the next command (actually sublist); tidy
	up code associated with trapreturn.

2008-08-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25409: Doc/Zsh/builtins.yo, Src/builtin.c, Test/.distfiles,
	Test/B05eval.ztst: eval shouldn't reset the status at the
	start but should if the command was empty.

2008-08-06  Peter Stephenson  <pws@csr.com>

	* 25405: Src/exec.c: return value was not set from anonymous
	functions.

	* 25400: Test/C03traps.ztst: Rocky's test for 25385

2008-08-05  Peter Stephenson  <pws@csr.com>

	* 25392: Test/C03traps.ztst: test for 25367

2008-08-05  Barton E. Schaefer  <schaefer@zsh.org>

	* 25389: Doc/Zsh/mod_complist.yo, Src/Zle/complist.c: once again
	rearrange precedence of ZLS_COLORS alternatives to make complex
	coloring of file names possible.

2008-08-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Src/init.c: 25385: extend 25367 to fix another bug
	with trapreturn trampling on status.

2008-08-04  Peter Stephenson  <pws@csr.com>

	* users/13095: configure.ac: we don't want that
	_XOPEN_SOURCE_EXTENDED stuff on AIX, apparently.

	* 25384: Src/init.c: fix problem with autoload of zsh/zle
	for warning message at boot.

	* users/13093: Src/module.c: HashNode changes didn't
	get propagated to AIX-specific code.

2008-08-02  Barton E. Schaefer  <schaefer@zsh.org>

	* 25373: Src/Builtins/sched.c: fix missed ZLE entry point (see
	25347).

2008-08-01  Peter Stephenson  <pws@csr.com>

	* 25367: Src/exec.c, Src/init.c, Src/signals.c: bug with
	trapreturn in a sourced file caused early return of parent;
	add protection for nested traps; document trapreturn.

	* unposted: Functions/Misc/add-zsh-hook: testing for existence
	of hook function when hook was already defined was broken.

	* unposted: Functions/TCP/tcp_open, Functions/TCP/tcp_sess:
	improve some variable handling and standardise some indentation.

2008-07-31  Peter Stephenson  <pws@csr.com>

	* 25364: Doc/Zsh/params.yo, Src/params.c, Test/D06subscript.ztst:
	(k) hash subscript didn't work due to sense of test.

	* 25345, 25347: Src/builtin.c, Src/exec.c, Src/hist.c, Src/init.c,
	Src/input.c, Src/jobs.c, Src/loop.c, Src/options.c, Src/signals.c,
	Src/utils.c, Src/zsh.h, Src/Zle/zle_main.c: Neaten interface
	from main shell to zle to zleentry() in main shell using
	single zle_entry_pointer.

2008-07-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/func.yo: refer to DEBUG_BEFORE_CMD option.

2008-07-30  Peter Stephenson  <pws@csr.com>

	* Max Mikhanosha: users/13077: Completion/Unix/Type/_path_files:
	fix toggling with `follow' option.

2008-07-29  Peter Stephenson  <pws@csr.com>

	* 25346: Completion/compdump: fix some variables.

	* Max Mikhanosha: users/13072: Completion/Unix/Type/_path_files:
	add `follow' option to file-sort style.

2008-07-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* following discussion: Src/builtin.c: change error message in
	25338.

2008-07-25  Peter Stephenson  <pws@csr.com>

	* 25338: Src/builtin.c: disallow fc editing of the current
	history line which has bad effects on stack usage and temporary
	files.

2008-07-23  Clint Adams  <clint@zsh.org>

	* 25330: Doc/Zsh/mod_curses.yo: fix description of
	zcurses "position" (was documented as "location").

	* 25329: Src/Modules/curses.mdd: build the curses module if
	we've got any usable curses header, not just curses.h.

	* 25328: Completion/Unix/Command/_gpg: fix --recv-keys and
	--send-keys to complete key IDs instead of uid email addresses.

2008-07-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25326: Src/Zle/zle_refresh.c: don't recalculate prompt
	if not redisplaying.

2008-07-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Src/Modules/.distfiles: add missing files.

	* Danek Duvall: 25324: Completion/Solaris/Command/_coreadm,
	Completion/Solaris/Command/_dhcpinfo,
	Completion/Solaris/Command/_dumpadm,
	Completion/Solaris/Command/_gcore,
	Completion/Solaris/Command/_inetadm,
	Completion/Solaris/Command/_pfexec,
	Completion/Solaris/Command/_ptree,
	Completion/Solaris/Command/_savecore,
	Completion/Solaris/Command/_svcadm,
	Completion/Solaris/Command/_svccfg,
	Completion/Solaris/Command/_svcprop,
	Completion/Solaris/Command/_svcs,
	Completion/Solaris/Command/_zlogin,
	Completion/Solaris/Type/_svcs_fmri,
	Completion/Unix/Command/_pkg_instance,
	Completion/Unix/Command/_pkgadd,
	Completion/Unix/Command/_pkginfo,
	Completion/Unix/Command/_pkgrm, Completion/Unix/Command/_zfs,
	Completion/Unix/Command/_zpool,
	Completion/Unix/Type/_zfs_dataset,
	Completion/Unix/Type/_zfs_pool: new completions.

2008-07-21  Clint Adams  <clint@zsh.org>

	* 25322: Src/Modules/db_gdbm.c: fix printing of keys.

	* 25321: Src/Modules/db_gdbm.c: delete gdbm node when
	corresponding hash entry is unset.

	* 25320: Src/Modules/db_gdbm.c: fix read and write of elements
	by key.

	* 25319: Src/Modules/db_gdbm.c: fix zuntie, add -f option
	to ztie.

2008-07-20  Clint Adams  <clint@zsh.org>

	* 25318: Src/Modules/db_gdbm.c, Src/Modules/db_gdbm.mdd,
	configure.ac: allow parameter to be tied to a gdbm database.

2008-07-18  Peter Stephenson  <pws@csr.com>

	* 25304: Richard Hartmann: Functions/Newuser/zsh-newuser-install:
	don't go beyond 80 columns.

2008-07-17  Peter Stephenson  <pws@csr.com>

	* 25279: Doc/Zsh/func.yo, Functions/Misc/add-zsh-hook,
	Src/builtin.c, Src/exec.c, Src/hist.c, Src/init.c, Src/utils.c,
	Src/Zle/zle_main.c: add zshaddhistory hook to allow manipulations
	when history line is saved.

2008-07-15  Peter Stephenson  <pws@csr.com>

	* users/13036: Src/utils.c: "." is a valid character in
	a user name.

2008-07-14  Peter Stephenson  <pws@csr.com>

	* 25278: Doc/Zsh/compctl.yo, Doc/Zsh/compsys.yo,
	Doc/Zsh/compwid.yo, Doc/Zsh/manual.yo: rename sections in the
	completion widget manual to avoid confusion with sections
	elsewhere.

2008-07-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Phil Pennock: 25275: Completion/Base/Utility/_store_cache,
	StartupFiles/zshrc: restrict permissions on cache directories
	and use zstat in example zshrc.

	* Phil Pennock: 25276:
	Completion/Darwin/Type/_retrieve_mac_apps,
	Completion/Unix/Command/_baz, Completion/Unix/Command/_darcs,
	Completion/Unix/Command/_tar, Completion/Unix/Command/_tla,
	Completion/Zsh/Command/_zftp, Functions/Misc/sticky-note,
	Functions/Misc/tetris, Functions/Misc/xtermctl,
	Functions/Misc/zed, Functions/Prompts/prompt_bigfade_setup,
	Functions/Prompts/prompt_elite2_setup,
	Functions/Prompts/prompt_elite_setup,
	Functions/Prompts/prompt_fade_setup,
	Functions/Prompts/prompt_fire_setup,
	Functions/Prompts/promptinit, Functions/Zle/edit-command-line,
	Functions/Zle/history-beginning-search-menu,
	Functions/Zle/incarg, Functions/Zle/modify-current-argument,
	Functions/Zle/narrow-to-region-invisible,
	Functions/Zle/predict-on, Functions/Zle/quote-and-complete-word,
	Functions/Zle/transpose-words-match,
	Functions/Zle/url-quote-magic, StartupFiles/zshrc:
	use autoload -z to load zsh functions.

2008-07-07  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Zle/copy-earlier-word: avoid
	warnings from WARN_CREATE_GLOBAL.

	* 25269: Frank Terbeck: Src/Zle/compcore.c

2008-07-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25267: Src/Zle/compcore.c: Fix problem that menu completion
	wasn't automatically started on a pattern match if matching
	was done by the calling function.

2008-07-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25266: Doc/Zsh/mod_complist.yo, Src/Zle/complist.c: always use
	EXTENDED_GLOB for patterns in ZLS_COLORS.

2008-07-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25262: Src/parse.c: suspicious attempt to test errors
	when parsing command within braceless function.

2008-07-01  Peter Stephenson  <pws@csr.com>

	* 25259: Src/utils.c: make getquery() handle unhandled characters
	better.

2008-06-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25258: Completion/Unix/Type/_path_files: don't
	use -M option with -U.

2008-06-30  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Calendar/calendar_scandate: unlocalised
	variable spotted with warncreateglobal.

	* 25255: Doc/Zsh/func.yo, Src/exec.c, Test/C04funcdef.ztst:
	anonymous functions using "() { ... }" and "function { ... }".

2008-06-24  Clint Adams  <clint@zsh.org>

	* 25243: Completion/X/Command/_xrandr: patch from Chris Lamb to add
	--same-as for xrandr.

2008-06-24  Peter Stephenson  <pws@csr.com>

	* 25244: Doc/Zsh/contrib.yo, Functions/Zle/match-words-by-style,
	Functions/Zle/modify-current-argument,
	Functions/Zle/split-shell-arguments: enhance users/12987 with
	style for subword start and fix a few bits of documentation.

	* users/12985, users/12986, users/12988: Tomasz Pala:
	Completion/Linux/Command/_ethtool,
	Completion/Linux/Command/_ipset, Completion/Unix/Command/_arp:
	new and updated completions.

	* users/12987: Doc/Zsh/contrib.yo,
	Functions/Zle/match-words-by-style,
	Functions/Zle/select-word-style: add subword matching to
	word-style capabilities.

	* 25242: Mikael: Doc/Zsh/prompt.yo, Src/prompt.c: add V prompt
	test for contents of psvar.

2008-06-23  Peter Stephenson  <pws@csr.com>

	* 25237: Doc/Zsh/tcpsys.yo, Functions/TCP/tcp_open: make
	tcp_on_open return status significant.

	* 25236: Doc/Zsh/contrib.yo, Functions/MIME/zsh-mime-setup:
	zsh-mime-setup -l can take suffix arguments.

2008-06-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25231: Completion/Unix/Type/_path_files: fix approximation
	of absolute paths in root directory (/uzr -> /usr, etc.).

2008-06-19  Peter Stephenson  <pws@csr.com>

	* 25214, tweaked: add warning about exponentitation precedence.

2008-06-16  Clint Adams  <clint@zsh.org>

	* 25167: Src/system.h: patch from Petr Salinger to define
	_GNU_SOURCE (for /dev/ptmx) when glibc is being used on
	non-linux platforms.

2008-06-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Bart: 25164: Doc/Zsh/expn.yo: typo.

	* 25159: Doc/Zsh/compwid.yo: expand documentation for
	correspondence classes with [:...:].

2008-06-13  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Zsh/Context/_zcalc_line,
	Functions/Misc/zcalc: handle completion idiosyncracies when
	completing in the same word as ":!".

	* 25152: Completion/Zsh/Context/{.distfiles,_zcalc_line}
	(moved from Type because this is where it should be),
	Doc/Zsh/contrib.yo, Functions/Misc/zcalc: improved zcalc
	escape commands with ":" including ":!" and ":raw"; more complete
	zcalc completion with special context.

	* unposted: Completion/{Unix,Linux}/Command/{strace,.distfiles}: move

	* users/12911: Tomasz Pala <gotar@polanet.pl>:
	Completion/Unix/Command/_strace,
	Completion/Unix/Command/.distfiles: new completion

2008-06-12  Peter Stephenson  <pws@csr.com>

	* 25149: Doc/Zsh/arith.yo, Doc/Zsh/options.yo, Src/math.c,
	Src/options.c, Src/zsh.h, Test/C01arith.ztst:  add
	C_PRECEDENCES option to make arithmetic operators have
	C (or, where necessary, Perl) precedences.

2008-06-11  Peter Stephenson  <pws@csr.com>

	* 25145: Src/exec.c, Test/E02xtrace.ztst: make sure XTRACE output
	follows stderr redirections.

	* 25143: Mikael: Doc/Zsh/mod_zprof.yo: missing descendants.

2008-06-10  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 25146: Src/Zle/compmatch.c:
	pattern_match_equivalence() needs to be exported.

2008-06-10  Peter Stephenson  <pws@csr.com>

	* 25144: Src/builtin.c, Src/math.c, Src/utils.c plus unposted
	C01arith.ztst: report the supported bases on a base error.

	* 25143: Mikael: Doc/Zsh/builtins.yo, Doc/Zsh/calsys.yo,
	Doc/Zsh/compsys.yo, Doc/Zsh/func.yo, Doc/Zsh/grammar.yo,
	Doc/Zsh/mod_pref.yo, Doc/Zsh/options.yo, Doc/Zsh/zle.yo:
	spelling corrections.

2008-06-09  Peter Stephenson  <pws@csr.com>

	* unposted: Src/Zle/compmatch.c: silence compiler (has no
	other effect).

2008-06-08  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25139: Completion/compinstall, Doc/Zsh/compwid.yo,
	Src/pattern.c, Src/zsh.h, Src/Zle/comp.h, Src/Zle/complete.c,
	Src/Zle/compmatch.c, Src/Zle/computil.c: enhance completion
	matching to make it possible to use wide characters (not yet
	done); also allows named character ranges, so that
	{[:lower:]}={[:upper:]} works (for now, just for single-byte
	character sets).

2008-06-05  Doug Kearns  <dougkearns@gmail.com>

	* unposted: Completion/Redhat/Command/_rpm: fix typo

2008-06-04  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/.distfiles: missing files.

	* unposted: Completion/Unix/Type/_path_files: another typo.

	* 25130 slightly tweaked for typos:
	Completion/Unix/Type/_path_files: changes to use -U flag
	to compadd so that spelling corrections in non-final
	path segments are accepted.

2008-06-03  Peter Stephenson  <pws@csr.com>

	* 25132: Completion/Zsh/Command/_zstyle: numerous still
	highly incomplete updates.

	* 25131: Completion/Unix/Command/_chmod,
	Completion/Unix/Command/_chown, Completion/Unix/Command/_cvs,
	Completion/Unix/Type/_list_files,
	Completion/Zsh/Type/_file_descriptors: need b:zstat to
	get zstat with zmodload -F zsh/stat.

2008-06-02  Peter Stephenson  <pws@csr.com>

	* users/12858: Doc/Zsh/compsys.yo: this bit didn't
	get committed.

2008-06-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25127: README: note the changes in 25122, 25124 and 25126 as
	an incompatibility.

2008-06-01  Clint Adams  <clint@zsh.org>

	* 25124, 25126: INSTALL, MACHINES, configure.ac, Src/zsh.h: work
	with --(disable|enable)-largefile instead of --(disable|enable)-lfs,
	since the latter is no longer functional.

2008-05-31  Clint Adams  <clint@zsh.org>

	* 25122: aczsh.m4, configure.ac: use AC_SYS_LARGEFILE for better
	LFS detection.

2008-05-29  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/tcpsys.yo, Functions/TCP/tcp_fd_handler:
	add tcp_on_awol.

	* Tomasz Pala <gotar@polanet.pl>: users/12884:
	Completion/Unix/Command/{iftop,tcpdump}: new completions

2008-05-27  Peter Stephenson  <pws@csr.com>

	* users/12870: Doc/Zsh/expn.yo: modifiers in glob qualifiers
	activate global globbing behaviour.

	* unposted: NEWS: note prompt colour, accept-exact-dirs.

2008-05-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25104; 25111 (Jun T): Completion/Unix/Command/_locate: better
	handling of multiple versions of locate.

2008-05-20  Clint Adams  <clint@zsh.org>

	* 25077: Completion/Unix/Command/_gnupod: consolidation of GNUpod
	script completion from Omari Norman in 25075.

2008-05-20  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Prompts/.distfiles: add prompt_pws_setup.

2008-05-19  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/compinit: typo in 25068.

2008-05-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/12858: Doc/Zsh/compsys.yo,
	Completion/Unix/Type/_path_files: add accept-exact-dirs style.

	* unposted: Completion/compinit: fix unwanted output from
	typeset.

	* 25068: Completion/compinit: fix some warnings with
	WARN_CREATE_GLOBAL.

	* 25063: Functions/Prompts/prompt_bart_setup: minor
	tweaks.

	* Mikael: 25054: Doc/Zsh/prompt.yo: typo.

2008-05-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Src/utils.c: unused variable in 25057.

	* 25059: Functions/Misc/add-zsh-hook and virtually every
	function under Functions/Prompts, also new
	Functions/Prompts/pws, also unposted addition to
	Doc/Zsh/contrib.yo: thorough modernization of the prompt
	theme system to use current shell facilities better.

	* 25057: Src/mem.c, Src/utils.c: better debug info for memory
	errors.

	* 25055: Src/pattern.c: remove unnecessary debug test.

2008-05-16  Peter Stephenson  <pws@csr.com>

	* 25052: Doc/Zsh/compctl.yo, Doc/Zsh/compsys.yo,
	Doc/Zsh/mod_complist.yo, Doc/Zsh/prompt.yo: update some
	documentation for use of colour highlighting.

	* unposted: Etc/CONTRIBUTORS: update main shell list; still
	need to update list for functions.

	* 25051: Src/prompt.c, Src/complist.c, Src/zle_tricky.c:
	add %F, %K, %f, %k handling to formatting strings for completion.

2008-05-15  Peter Stephenson  <pws@csr.com>

	* 25040: Src/builtin.c, Src/utils.c, Src/Modules/zpty.c:
	zpty should display context information more like eval.

2008-05-14  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_perforce: also p4 sizes,
	p4 license.

	* unposted: Completion/Unix/Command/_perforce: handle
	p4 protects.

	* 25025: Doc/Zsh/builtins.yo, Src/builtin.c, Src/math.c,
	Src/utils.c: more checks to ensure radix for arithmetic
	constants is between 2 and 36 inclusive.

2008-05-13  Peter Stephenson  <pws@csr.com>

	* 25018: Omari Norman: Completion/Unix/Command/{_awk,_cut,_join}:
	new completions.

	* unposted: Doc/Zsh/builtins.yo, Doc/Zsh/grammar.yo: comment
	on aliases.

2008-05-12  Peter Stephenson  <pws@csr.com>

	* 25006, 25009: Src/Zle/complist.c: do "or" symlink orphan
	highlighting; make stat-ed file types take precedence over
	extensions and patterns.

	* 25002: Src/builtin.c, Src/init.c, Src/input.c, Src/loop.c,
	Src/prompt.c, Src/subst.c, Src/utils.c, Src/zsh.h,
	Src/Zle/zle_main.c, Src/Zle/zle_refresh.c: only update
	display attributes from prompts within zle.

2008-05-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24996: Src/cond.c, Src/exec.c, Src/glob.c, Src/loop.c,
	Src/zsh.h: improve xtrace output for patterns.

	* users/12848: Test/A01grammar.ztst, Src/loops.c: return, break
	and continue are allowed in "always" block and will override
	try block if set.

	* 24994: Src/Zle/zle_hist.c: Fix problem with
	up/down-line-or-search comparison, perhaps.

	* 24990: Stephane Chazelas: Functions/Misc/zmv: fix
	various little quirks in zmv.

2008-05-09  Peter Stephenson  <pws@csr.com>

	* 24986: Doc/Zsh/prompt.yo, Doc/Zsh/zle.yo, Src/init.c,
	Src/prompt.c, Src/watch.c, Src/zsh.h, Src/Zle/zle_refresh.c:
	prompt escapes for colouring.

	* users/12846: Etc/FAQ.yo: not so many Windows ports, these days.

2008-05-08  Peter Stephenson  <pws@csr.com>

	* unposted: Src/modules.c: bad arguments to error message.

	* 24980: Doc/Zsh/builtins.yo, Src/builtin.c, Src/module.c,
	Src/zsh.h: add zmodload -mF to manipulate features by pattern.

	* 24972: Phil Pennock: Doc/Zsh/mod_files.yo, Src/Modules/files.c,
	Src/Modules/files.mdd:  Add zf_* commands for zsh/files modules
	plus a few extra options.

2008-05-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24962: Oliver: Functions/Prompts/prompt_oliver_setup:
	update to use zle_highlight default highlighting.

2008-05-07  Peter Stephenson  <pws@csr.com>

	* 24959: Src/Zle/compresult.c: ^D's in compctl could cause a
	crash.

2008-05-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24957: Doc/Zsh/zle.yo, Src/Zle/zle_refresh.c: better sanity
	checking of colour ranges, always use termcap for numeric
	colours where available.

	* 24911 (tweaked): Doc/Zsh/zle.yo: missed this bit, somehow.

2008-05-06  Peter Stephenson  <pws@csr.com>

	* 24953: Doc/Zsh/zle.yo, Src/Zle/zle_refresh.c:
	"default" zle_highlight context, also fix allocation bug with
	24899.

2008-05-06  Clint Adams  <clint@zsh.org>

	* 24947: Completion/X/Command/_mozilla: complete -safe-mode for
	firefox.

2008-05-06  Peter Stephenson  <pws@csr.com>

	* 24951: Doc/Zsh/mod_complist, Src/Zle/comp.h, Src/Zle/compcore.c,
	Src/Zle/complist.c: implement ZLS_COLORS ln=target.

	* 24937, 24938: Dag-Erling Smørgrav <des@des.no>: configure.ac:
	improved version of 24927.

	* 24932: Src/zsh.h, Src/Zle/zle_refresh.c: try to regularize
	code that fixes up after right prompt.

	* 24927: Phil Pennock: configure.ac: Free BSD only doesn't need
	_XOPEN_SOURCE_EXTENDED on Free BSD 6.

2008-05-04  Wayne Davison  <wayned@users.sourceforge.net>

	* 24831 plus changes: Src/hist.c: simplified fcntl() locking.

	* unposted: Src/Zle/zle_hist.c, Src/Zle/zle_misc.c: fixed
	signed/unsigned warnings, including an always true "if".

2008-05-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael Magnusson: 24911 (tweaked): Doc/Zsh/zle.yo,
	Src/Zle/zle_params.c: REGION_ACTIVE zle parameter.

	* Phil Pennock: 24904 + 24916: configure.ac, Src/system.h: don't
	define _XOPEN_SOURCE_EXTENDED on freebsd, either, not even
	if the standard says we need it for wcwidth().

	* 24915: Src/Zle/zle_hist.c, Src/Zle/zle_misc.c,
	Src/Zle/zle_move.c, Src/Zle/zle_vi.c: some more fix-ups for
	combining characters.

2008-05-02  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/12815: Src/jobs.c, Src/signals.c, Src/zsh.h:
	fix bug that a previously defunct process could be taken as a
	recently terminated process that needed marking as done, hence
	causing the shell to wait for ever for the newly exited process.

2008-05-01  Peter Stephenson  <pws@csr.com>

	* 24900: Doc/Zsh/zle.yo, Src/Zle/zle_hist.c: add
	backward-kill-word to delete previous character immediately
	in isearch and document the isearch commands better.

	* 24899: Doc/Zsh/zle.yo, Src/Zle/zle_main.c,
	Src/Zle/zle_refresh.c: make colour escape sequences configurable
	and allow ANSI colour names.

2008-04-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24895: Matt Wozniski: Doc/Zsh/zle.yo: typo.

	* unposted: Src/glob.c: oops.

2008-04-29  Peter Stephenson  <pws@csr.com>

	* 24894: Doc/Zsh/zle.yo, Src/init.c, Src/zsh.h,
	Src/Zle/zle_refresh.c: enable colouring of highlighted text
	in editor.

	* 24893: Src/Zle/zle_refresh.c: duplicate statusline to avoid
	crashes when it's passed from a constant string.

2008-04-28  Peter Stephenson  <pws@csr.com>

	* unposted: Src/Zle/zle_hist.c: when anchoring a pattern
	isearch to the start of the line the search line wasn't
	reset on new input so when the first match of the new pattern
	was earlier than that of the old pattern we skipped it.

	* unposted: Src/Zle/zle_hist.c: more tweaks for failures with
	isearch pattern matching.

	* 24890: Matt Wozniski: Src/Zle/zle_hist.c: skip_pos was
	staying set causing random failures on backtracking in isearch.

	* 24887: Geoff: Src/glob.c: typo.

2008-04-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24886: Src/Zle/zle_hist.c: using unupdated pos to set end_pos
	in string isearch could cause endless loop.

2008-04-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: NEWS: note that COMBINING_CHARS is not on by
	default.

	* 24882: Doc/Zsh/zle.yo, Src/Zle/zle_hist.c, Src/Zle/zle_refresh.c:
	highlighting of incremental search match.

	* unposted because everyone's seen enough of my mistakes:
	Src/pattern.c, Src/Zle/zle_hist.c: with pattern matching the
	end position of the match wasn't calculated; we used the
	length of the uncompiled pattern which often had nothing
	to do with it.  This made the position on forward pattern
	searching wrong.

	* 24881: Src/Zle/zle_hist.c: we kept feeping on an invalid
	pattern; once is quite enough.

	* 24880: Src/Zle/zle_hist.c: feeping on a failed match could
	be mistimed.

	* 24879: Src/Zle/zle_hist.c: nastiness with pattern search
	and duplicate line detection.

	* 24878: NEWS, Doc/Zsh/zle.yo, Src/glob.c, Src/pattern.c,
	Src/zsh.h, Src/Zle/iwidgets.list, Src/Zle/zle_hist.c:
	add history-incremental-pattern-search-backward and
	history-incremental-pattern-search-forward, also optimize
	history searches a bit more.

	* 24876: don't install manual pages if empty.

	* 24872: Jun T.: Fix capitalization with combining characters.

	* 24869: Marc Chantreux: configure.ac, Src/init.c: make default
	readnullcmd configurable.

2008-04-24  Peter Stephenson  <pws@csr.com>

	* unposted: Jun T.: Src/Zle/zle_utils.c: backkill() in raw
	mode didn't correctly calculate the number of characters to
	kill.

2008-04-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Src/Zle/zle_misc.c: overwrite mode without
	MULTIBYTE_SUPPORT should be as before.

2008-04-23  Peter Stephenson  <pws@csr.com>

	* 24867: Src/system.h: looks like we need _XOPEN_SOURCE_EXTENDED
	instead of just _XOPEN_SOURCE.

	* 24865: Src/zle_vi.c: bad character adjustment in
	vireplacechars().

	* 24864: Jun T.: configure.ac, Src/zsh.h: typos in 24861.

2008-04-22  Peter Stephenson  <pws@csr.com>

	* 24862: Src/system.h: #define _XOPEN_SOURCE if needed to
	get wcwidth().

	* 24861: configure.ac, Src/builtin.c, Src/compat.c, Src/prompt.c,
	Src/utils.c, Src/zsh.h, Src/zle/complist.c, Src/Zle/zle_misc.c
	(slightly rewritten), Src/zle/zle_refresh.c, Src/Zle/zle_tricky.c:
	use alternative wcwidth() if configure suggests the library
	version is returning non-zero when it shouldn't; also improve the
	overwriting test for combining characters.

2008-04-21  Peter Stephenson  <pws@csr.com>

	* 24860: Src/Zle/zle_misc.c, Src/Zle/zle_utils.c: better
	overwrite mode.

	* 24859: Src/Zle/zle_misc.c, Src/Zle/zle_vi.c, Src/Zle/zle_word.c:
	overwriting combining characters and replacing them and appending
	after them in vi mode.

	* 24856: Src/utils.c, Src/zsh.h, Src/Zle/zle_move.c,
	Src/Zle/zle_refresh.c: use IS_COMBINING() and IS_BASECHAR()
	tests for combining characters.  Widen definitions of characters
	to least restrictive we think are likely to work.

	* 24855: Src/Zle/zle_utils.c: tests for combining char aligments
	should only be on metafied command line.

	* unposted: Src/Zle/zle_move.c: missing assignment in new
	backwardmetafiedchar().

2008-04-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24853: Src/utils.c, Src/zsh.h, Src/Zle/complist.c,
	Src/Zle/zle.h, Src/Zle/zle_hist.c, Src/Zle/zle_main.c,
	Src/Zle/zle_misc.c, Src/Zle/zle_move.c, Src/Zle/zle_refresh.c,
	Src/Zle/zle_thingy.c, Src/Zle/zle_utils.c, Src/Zle/zle_vi.c,
	Src/Zle/zle_word.c:  use metafied strings for inner loops
	involving history, with consequent changes for similar code
	such as execute-name-command, plus some utility functions.

	* 24852: Src/zle_main.c (Jun T.), Src/Zle/zle_vi.c: more
	combining chars fallout.

	* users/12798: Etc/zsh-development-guide: passing NULL flags
	to builtin definition.

	* users/12793: William Scott: Completion/BSD/Command/_chflags:
	hidden/nohidden flags.

2008-04-20  Andrey Borzenkov <bor@zsh.org>

	* 24851: Doc/Zsh/mod_complist.yo, Src/Zle/complist.c: support
	colour codes for from current GNU ls

2008-04-18  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Src/Zle/zle_refresh.c: fixed compiler warnings
	about signed/unsigned issues.

2008-04-18  Peter Stephenson  <pws@csr.com>

	* 24839: Src/Zle/zle_word.c: misuse of variable in 24825.

2008-04-17  Peter Stephenson  <pws@csr.com>

	* 24829: Jun T.: Src/Zle/zle_vi.c: vi-replace-chars got broken
	in the crossfire.

	* 24825: Src/utils.c, Src/Zle/zle_word.c: fix internal
	word-boundary widgets and make zero-width punctuation
	characters always part of a word.

	* unposted: NEWS: list new features so far since 4.3.6.

	* Vincent Lefevre: 24818: Doc/Zsh/options.yo (modified),
	Src/hist.c (with #ifdef HAVE_FTRUNCATE), Src/options.c, Src/zsh.h:
	history file locking using fcntl().

2008-04-16  Clint Adams  <clint@zsh.org>

	* 24823: Completion/Unix/Command/_git: some fixes and updates for
	git 1.5.5.

2008-04-16  Peter Stephenson  <pws@csr.com>

	* 24821: Etc/FAQ.yo, Src/Zle/zle_main.c: updated notes plus
	fix cursor position with combining characters after exit
	from a user-defined widget.

2008-04-15  Peter Stephenson  <pws@csr.com>

	* 24819: Src/Zle/zle.h, Src/Zle/zle_misc.c, Src/Zle/zle_move.c,
	Src/Zle/zle_utils.c: need to fix up combining character aligment
	in case of sneaky combination generation; fix transposing
	characters.

2008-04-14  Peter Stephenson  <pws@csr.com>

	* 24816: Src/Zle/zle_hist.c, Src/Zle/zle_misc.c,
	Src/Zle/zle_tricky.c: a few places where we need to alight
	with combining characters.

	* 24814: Src/hist.c: suspicious handling of temporary history
	buffer.

	* 24811: Doc/Zsh/roadmap.yo, Etc/FAQ.yo: update introductory
	documentation on multibyte support.

	* 24810 (slightly edited to move added text later):
	Src/Zle/zle_tricky.c: after unmetafying the command line ensure
	we're not on a combining character.

2008-04-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24808: Doc/Zsh/options.yo, Src/options.c, Src/utils.c, Src/zsh.h,
	Src/Zle/compcore.c, Src/Zle/complist.c, Src/Zle/compresult.c,
	Src/Zle/deltochar.c, Src/Zle/zle.h, Src/Zle/zle_hist.c,
	Src/Zle/zle_misc.c, Src/Zle/zle_move.c, Src/Zle/zle_refresh.c,
	Src/Zle/zle_tricky.c, Src/Zle/zle_utils.c, Src/Zle/zle_vi.c,
	Src/Zle/zle_word.c: add COMBINING_CHARS option and basic
	zle support.

	* Miek Gieben: users/12781: Functions/Misc/zmv: too many
	backslashes in Usage message.

2008-04-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Frank Terbeck: 24807: Completion/compint: Completion system
	needs no_ignore_braces option.

2008-04-11  Peter Stephenson  <pws@csr.com>

	* unposted: Src/zle_hist.c, Src/zle_utils.c: move zlecmp() and
	zlefind() unaltered into zle_hist.c as statics in preparation
	for surgery on the zle_text interface.  (You should see the
	waiting list for surgery, though.)

2008-04-09  Peter Stephenson  <pws@csr.com>

	* 24806: Doc/Zsh/params.yo, Completion/Zsh/Context/_subscript: fix
	typos, completing of * and @.

	* 24804: Completion/Zsh/Context/_subscript: quoting of
	associative array keys for subscripts was wrong.

2008-04-07  Clint Adams  <clint@zsh.org>

	* Markus Waldeck: 24799: Completion/Unix/Command/_vorbis:
	complete .spx files for ogg123.

2008-04-07  Peter Stephenson  <pws@csr.com>

	* 24797: Doc/Zsh/zle.yo, Functions/Zle/read-from-minibuffer:
	document POSTDISPLAY highlighting; restore read-from-minibuffer
	save/restore mechanism using variables to avoid problems with
	not restoring special ZLE variables when they go out of scope.

2008-04-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* İsmail Dönmez <ismail@namtrac.org>: 24793: Doc/Zsh/zle.yo:
	typo.

2008-04-04  Peter Stephenson  <pws@csr.com>

	* 24792: Src/Zle/zle_refresh.c: try to be safer about turning
	off attributes when outputting at a new position.

	* c.f Mikael, 24790: Doc/Zsh/zle.yo: item()s need closing
	parentheses on next line.

2008-04-04  Clint Adams  <clint@zsh.org>

	* 24789: Completion/Unix/Command/_stgit: completion for
	stg subcommands.

2008-04-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24788: Doc/Zsh/expn.yo, Src/subst.c: ${(m)#...} returns
	string print width.

2008-04-03  Peter Stephenson  <pws@csr.com>

	* 24787: Src/Zle/zle_main.c, Src/Zle/zle_refresh.c: reset
	region_highlight when finished editing command line.

	* 24786: Src/builtin.c, Src/init.c, Src/zle/zle_keymap.c,
	Src/Zle/zle_main.c, Src/Zle/zle_misc.c, Src/Zle/zle_vi.c:
	handle read -t properly in zle by passing down timeout
	to getbyte().

	* 24782, plus a couple of fixes: Doc/Zsh/zle.yo,
	Functions/Zle/read-from-minibuffer,
	Functions/Zle/replace-string-again, Src/zsh.h, Src/Zle/zle.h,
	Src/Zle/zle_main.c, Src/Zle/zle_move.c, Src/Zle/zle_params.c,
	Src/Zle/zle_refresh.c: initial go at highlighting of command
	lines in zle using $zle_highlight and $region_highlight.

	* unposted, see users/12758: actually, [(w)...] does work with
	(r) and (R).

2008-04-02  Peter Stephenson  <pws@csr.com>

	* users/12754: Doc/Zsh/params.yo: [(w)...] doesn't work with (i),
	(I), (r), (R).

	* unposted: update version to 4.3.6-dev-0 to avoid clash with
	released version.

	* 24781: Doc/Zsh/contrib.yo, Functions/Zle/match-word-context:
	make word-context style more useful by using previous or next word
	depending on widget name.

	* unposted: README: minor tweaks.

	* unposted: NEWS, Config/version.mk: Release 4.3.6.

2008-04-01  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/compsys.yo, Doc/Zsh/contrib.yo: need tt(--) ->
	tt(-)tt(-).   Plus other minor typos.

	* unposted: (spotted by Ismail): Doc/Zsh/compsys.yo: typo.

2008-03-31  Peter Stephenson  <pws@csr.com>

	* unposted: README, Config/version.mk, Etc/.distfiles, Etc/FAQ.yo,
	Etc/relnote{,s}_4.3.6.txt:  4.3.5-dev-4 and renumber for
	4.3.6.

	* unposted: Functions/Calendar/calendar_show: if in KDE,
	use kdialog rather than xmessage.

2008-03-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24708: Misc/globtests, Src/pattern.c, Test/D02glob.ztst:
	(#c) extended globbing flag didn't backtrack properly on
	failure of the remaining pattern after the repeated pattern.

2008-03-28  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24777: Src/Zle/complist.c: bug clearing a list when
	exiting from menu selection in some circumstances (see
	24756 for test case).

2008-03-28  Peter Stephenson  <pws@csr.com>

	* 24776: Completion/compinit: clarify the message printed
	when compaudit finds problems.

	* 24775: Completion/Zsh/Command/_cd, Doc/Zsh/compsys.yo: improve
	option handling.

	* users/12739: configure.ac: multiple arguments to --with-term-lib
	weren't handled properly.

	* 24768: Completion/Unix/Type/_canonical_paths,
	Doc/Zsh/builtins.yo, Etc/relnotes_4.3.6.txt, Src/builtin.c:
	add -q option to cd, chdir, pushd, popd; use in _canonical_paths;
	document in release note.

2008-03-27  Peter Stephenson  <pws@csr.com>

	* 24759: Completion/Unix/Type/_canonical_paths: unfunction
	is noisy if function wasn't set.  Also sanitize use of
	helper functions.

	* 24757: Completion/Unix/Type/_canonical_paths: use
	CHASE_LINKS and pwd to canonicalize the directory path.

	* unposted: fix alias test in 24736 properly by replacing
	"foo" everywhere.

2008-03-26  Peter Stephenson  <pws@csr.com>

	* unposted: Config/version.mk: 4.3.5-dev-3.

	* 25753 (after various previous attempts):
	Completion/Unix/Type/_canonical_paths: use zstat to find
	canonical name for symbolic links.

	* c.f. 24741: Doc/Zsh/mod_stat.yo: loading zstat builtin was
	misdocumented.

	* 24736: Test/A02alias.ztst, Test/D07multibyte.ztst:
	tests failing with "foo" in the path and with inscrutable
	numeric sorting with NUMERIC_GLOB_SORT unset.

	* unposted: Config/version.mk: 4.3.5-dev-2.

2008-03-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24733: Src/jobs.c: wait shouldn't return immediately on
	a signal unless it's trapped (bug in 22281).

	* 24732: Src/Builtins/sched.c: not enough space for ztrftime
	string with multibyte characters.

	* 24731: Doc/Zsh/params.yo, Src/params.c, Src/pattern.c,
	Test/D04parameter.ztst: use [(e)...] parameter flag to quote
	pattern characters, also fix bug that optimization of matches
	with no pattern characters didnʼt work for multibyte matching.

2008-03-23  Clint Adams  <clint@zsh.org>

	* 24730: Completion/Unix/Command/_git: use --no-color when
	calling git commands that might output color codes.

2008-03-22  Clint Adams  <clint@zsh.org>

	* 24728: Completion/Debian/Command/_aptitude: complete for
	aptitude why and why-not.

2008-03-22  Barton E. Schaefer  <schaefer@zsh.org>

	* unposted: Doc/Zsh/params.yo: further documentation tweak for the
	(R) and	(I) subscript flags.

2008-03-18  Barton E. Schaefer  <schaefer@zsh.org>

	* unposted: Doc/Zsh/params.yo: tweak documentation for the (i) and
	(I) subscript flags.

	* 24717, 24718, 24719: Completion/compinstall, Src/params.c,
	Test/D06subscript.ztst: a 0 subscript is neither valid nor
	equivalent to 1 any longer, so the (i) subscript flag on an empty
	array needs to yield 1 as it probably always should have.

2008-03-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Completion/Unix/Command/.distfiles,
	Completion/Zsh/Type/.distfiles, Etc/.distfiles, Src/.cvsignore:
	fix distribution files.

	* unposted: Config/version.mk: zsh-4.3.5-dev-1.

2008-03-14  Barton E. Schaefer  <schaefer@zsh.org>

	* unposted (see 24709): Functions/Misc/zkbd: add -h to local
	declaration in is-this-a-function test.  Use $DISPLAY when we
	have one instead of only $VENDOR-$OSTYPE as file name suffix.
	Add some knowledge of the MULTIBYTE option and its effects.

2008-03-14  Peter Stephenson  <pws@csr.com>

	* 24712: Src/utils.c: handling of backticks when being requoted
	for use inside double quotes had off-by-one error.

	* 24711: Src/parse.c, Src/text.c, Src/zsh.h,
	Test/A04redirect.ztst:  fix re-presentation of here-documents
	munged internally to here-strings.

2008-03-13  Peter Stephenson  <pws@csr.com>

	* 24705: configure.ac, Config/defs.mk.in, Src/zsh.mdd,
	Src/Modules/curses.c, Src/Modules/termcap.c,
	Src/Modules/terminfo.c: rationalise curses and term headers
	some more and add intermediate generated <build>/Src/zshcurses.h
	and <build>/Src/zshterm.h to include the right ones.

2008-03-12  Clint Adams  <clint@zsh.org>

	* 24704: Completion/Unix/Command/_calendar: completion for BSD
	calendar.

2008-03-11  Barton E. Schaefer  <schaefer@zsh.org>

	* 24703: Src/Zle/zle_main.c: clear trashedzle when first starting
	the editor in zleread(), so that reexpandprompt() from the first
	zrefresh() won't expand the prompt an extra time.

2008-03-11  Peter Stephenson  <pws@csr.com>

	* unposted: Src/hist.c: make test in 24699 for the extra
	space safer.

2008-03-09  Clint Adams  <clint@zsh.org>

	* 24701, 24702: Completion/Unix/Command/_git: use $service instead of
	$words[1] so completion will work if git is an alias to a wrapper.

2008-03-08  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24699: Src/hist.c, Src/input.c, Src/lex.c,
	Test/D04parameter.ztst: fix two bugs in the hacked up parsing
	of strings for parameter substitution: ${(Q)...} lost an initial
	">" and ${(z)...} on a string with an opening parenthesis but
	no closing parenthesis appended an extra space.

2008-03-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/12699: Src/Zle/computil.c: don't complete normal
	arguments where we're completing the required argument
	to an option in the word following the option.

2008-03-07  Peter Stephenson  <pws@csr.com>

	* Richard Hartmann: 24631: Completion/Unix/Command/_gpg: update.

	* 24696: Doc/Zsh/options.yo, Src/options.c: turn off MULTIBYTE
	by default in sh emulation.

2008-03-06  Wayne Davison  <wayned@users.sourceforge.net>

	* 24693: Src/utils.c: provide better errors when skipping
	history-file saving due to ownership.  Allow root to do the
	save anyway if zsh can chown a file descriptor.  Fixed the
	propagation of the errno from a failed open() of the history
	file (zsh used to complain about an invalid file descriptor).

	* unposted: Src/Zle/zle_utils.c:  fixed 2 compiler warnings
	about comparing signed and unsigned.

2008-03-04  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_perforce: ignore range
	limiters >, >=, =, <, <= after @ in labels and dates, too.

2008-03-03  Peter Stephenson  <pws@csr.com>

	* 24673: Test/D07multibyte.ztst: another attempt to sort
	characters the same way on multiple UTF-8 implementations.

	* 24662: River Tarnell <river@wikimedia.org>: configure.ac,
	Src/compat.c: strtoul() when not in system library.

2008-03-02  Barton E. Schaefer  <schaefer@zsh.org>

	* 24653, 24659: Completion/Unix/Type/_path_commands: use a
	helper function to call "whatis" portably, and use compadd -O
	to pre-filter matches before reading $_command_descriptions.

2008-03-02  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24656: Src/builtin.c: fix cd overeagerness to find integers
	after "-" and "+".

2008-03-01  Clint Adams  <clint@zsh.org>

	* 24650: Completion/Unix/Type/_path_commands: use zstyle -t instead
	of -T since extra-verbose isn't meant to default to yes.

2008-02-29  Clint Adams  <clint@zsh.org>

	* 24632: Completion/Unix/Command/_rsync: fix remote ssh filename
	quoting.

2008-02-28  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24627: Src/Zsh/complist.c: fix(?) crash when resizing window
	during menu-select.

2008-02-28  Clint Adams  <clint@zsh.org>

	* 24626: Completion/Unix/Type/_path_commands, Doc/Zsh/compsys.yo:
	only process command descriptions if extra-verbose style is set.

	* 24622: Completion/Unix/Command/_git: add completion for
	'git bisect skip' and 'git bisect run'.

2008-02-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24618: Test/D07multibyte.ztst: use "sort" to avoid making
	assumptions about sorting of UTF-8 files.

2008-02-27  Clint Adams  <clint@zsh.org>

	* 24617: Doc/Makefile.in: add '.' to the yodl include path
	for when files are passed as ../../Doc/*.yo.

2008-02-27  Peter Stephenson  <pws@csr.com>

	* 24611: Src/subst.c, Test/D04parameter.ztst: 23562
	broke the case of ${+array[...]} for an empty range match.

2008-02-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24602: Test/C02cond.ztst: failing to run a test didn't
	set prerequisites for later test.

	* 24600: astonishingly, there was a fourth bug in few
	lines of 24596.

2008-02-26  Geoff Wing  <gcw@zsh.org>

	* unposted: Src/utils.c: fix typos in 24596

2008-02-26  Peter Stephenson  <pws@csr.com>

	* 24596: Src/utils.c: if nl_langinfo(CODESET) returns ""
	or "646" use "US-ASCII".

	* 24592: Src/utils.c: make errors about charset conversion
	more explicit.

2008-02-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24590: Src/exec.c, Src/lex.c: tame overzealous error
	report when unquoting.

	* 24588: Completion/Zsh/Type/_globquals,
	Completion/Zsh/Type/_history_modifiers: tweaks

	* 24585: Completion/Base/Utility/_alternative,
	Completion/Unix/Type/_path_files,
	Completion/Zsh/Type/_delimiters,
	Completion/Zsh/Type/_globqual_delims,
	Completion/Zsh/Type/_globquals,
	Completion/Zsh/Type/_history_modifiers, Doc/Zsh/compsys.yo:
	completion for glob qualifiers plus bug fix for message-only
	completion in _alternative.

2008-02-22  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_perforce: new option
	p4 change -u.

2008-02-22  Clint Adams  <clint@zsh.org>

	* 24578: Completion/Debian/Command/_dpkg: stop completing
	--print-gnu-build-architecture, which was dropped in 2005.

	* 24576: Functions/Calendar/calendar_add,
	Functions/Misc/sticky-note: replace shebang lines.

2008-02-21  Peter Stephenson  <pws@csr.com>

	* users/12632: Src/exec.c: bug unexporting special parameter
	after "SPECIAL=stuff funccall".

2008-02-19  Peter Stephenson  <pws@csr.com>

	* 24572: Doc/Zsh/calsys.yo, Functions/Calendar/calendar_add:
	add style reformat-date.

2008-02-19  Barton E. Schaefer  <schaefer@zsh.org>

	* 24570: Completion/Unix/Type/_path_commands: don't attempt to
	pre-filter $commands on $PREFIX, just let compadd deal with it.
	Fixes a bad interaction with the _approximate completer.

2008-02-17  Barton E. Schaefer  <schaefer@zsh.org>

	* users/12600: Src/builtin.c: reorder handling of -s/-d/-t options
	so that terminal input modes are set before attempting a
	read-poll.  Also display any prompt before read-polling.

	* unposted: Functions/Misc/xtermctl: update uses of "read" to
	take advantage of users/12600.

2008-02-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24566: Doc/Zsh/prompt.yo, Src/prompt.c: fallout:
	fix truncation with glitch spaces; more careful
	documentation; allow %N{...}; make unsupported
	characters default to width 1.

2008-02-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24556: Doc/Zsh/prompt.yo, Src/prompt.c: %G inside %{...%}
	can be used to count width of "glitch" characters.

	* 24554: Src/Zle/complist.c: push an extra heap for
	complistmatches() to stop accumulating it; always treat
	mcolors as a global instead of just sometimes.

2008-02-14  Peter Stephenson  <pws@csr.com>

	* 24551: Src/Zle/compresult.c, Src/Zle/zle_main.c: free heap
	memory after each full Zle command executed (plus cosmetics).
	Still need to try and stop menu selection accumulating heap
	memory.

2008-02-11  Peter Stephenson  <pws@csr.com>

	* users/12547: Completion/Darwin/Type/_mac_files_for_application,
	Completion/Unix/Command/_locate: fix array indices [0] -> [1] in
	completion.

	* Haakon Riiser: 24545: Completion/X/Command/_acroread: new
	options for version 8.

2008-02-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24542: Src/Zle/zle_tricky.c: RC_QUOTES wasn't handled
	if the opening quote wasn't at the start of the word, causing
	endless looping.

2008-02-07  Clint Adams  <clint@zsh.org>

	* unposted: Functions/Misc/run-help-git,
	Functions/Calendar/calendar_add, Functions/Misc/sticky-note: remove
	shebang line.

2008-02-06  Clint Adams  <clint@zsh.org>

	* 24536: Completion/Unix/Command/_cut: tweaks to 24529, spelling
	fix.

	* Mikael Magnusson: 24529: Completion/Unix/Command/_cut:
	remaining fixes from 24526.

2008-02-05  Peter Stephenson  <pws@csr.com>

	* 24533 (tweaked): Completion/compinstall: use _completer _ignored
	as default to offer user if no completers are defined

2008-02-03  Clint Adams  <clint@zsh.org>

	* 24528: configure.ac, Etc/zsh-development-guide:
	revert 24429.

	* 24527: Completion/Unix/Command/_cut: a subset of the
	fixes from Mikael Magnusson in 24526.

2008-02-02  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24524: Config/version.mk: increment version to 4.3.5-dev-0.

2008-02-01  Clint Adams  <clint@zsh.org>

	* 24513, 24514, 24515, 24516, 24517, 24518, 24519, 24520, 24521:
	Doc/Zsh/builtins.yo, Doc/Zsh/calsys.yo, Doc/Zsh/contrib.yo,
	Doc/Zsh/expn.yo, Doc/Zsh/grammar.yo, Doc/Zsh/mod_curses.yo,
	Doc/Zsh/mod_newuser.yo, Doc/Zsh/mod_sched.yo, Doc/Zsh/options.yo,
	Doc/Zsh/roadmap.yo, Doc/Zsh/tcpsys.yo: typo fixes from A. Costa.

2008-02-01  Peter Stephenson  <pws@csr.com>

	* users/12527: Etc/relnote_4.3.5.txt: Add release note for 4.3.5.

	* unposted: Release 4.3.5.

	* Back off 24506 pending 4.3.5 release.

2008-02-01  Clint Adams  <clint@zsh.org>

	* 24506: Makefile.in, configure.ac, Doc/Makefile.in,
	Etc/Makefile.in, Src/Makefile.in, Src/Makemod.in.in,
	Test/Makefile.in: make ZSH_VERSIONSUFFIX propagate to somewhere
	useful.

2008-01-31  Peter Stephenson  <pws@csr.com>

	* Christopher Key <cjk32@cam.ac.uk>: users/12521:
	Completion/Unix/Command/_subversion: svn and svnadmin help
	parsing.

2008-01-30  Peter Stephenson  <pws@csr.com>

	* 24498: Src/mkmakemod.sh: check config.h instead of config.status
	for dynamic configuration since the syntax is less variable.
	Could be done by generating from Src/mkmakemod.sh.in instead.

	* 24496: Doc/Zsh/contrib.yo: more Yodl parenthesis protection.

2008-01-29  Peter Stephenson  <pws@csr.com>

	* 24485: INSTALL: note that term.h may need CPPFLAGS=-I...
	if it's to be included from the curses library directory.

	* 24483: Doc/Zsh/prompt.yo, Doc/Zsh/zle.yo: some minor
	sectioning problems.

	* users/12498: Doc/Zsh/contrib.yo: missing section spotted
	by Vincent.

	* unposted: Config/version.mk, Functions/Misc/.distfiles:
	4.3.4-dev-8.

2008-01-25  Peter Stephenson  <pws@csr.com>

	* 24460: Doc/Zsh/mod_zpty.yo, Src/utils.c, Src/Modules/zpty.c:
	make "zpty -rt" more consistent by polling before every byte,
	not just the first.

2008-01-25  Clint Adams  <clint@zsh.org>

	* 24464: Completion/Unix/Command/_git: remove trailing whitespace.

2008-01-22  Clint Adams  <clint@zsh.org>

	* 24437, 24441, 24442: Completion/Unix/Command/_git: compensate
	for some breakage introduced by 24396.

2008-01-22  Peter Stephenson  <pws@csr.com>

	* 24434: Src/Zle/zle_refresh.c: handle unprintable and zero-width
	wide characters on the command line by displaying as hex.

2008-01-22  Clint Adams  <clint@zsh.org>

	* 24429: configure.ac, Etc/zsh-development-guide:
	use ZSH_VERSIONSUFFIX instead of ZSH_EXTRAVERSION.

	* Frank Terbeck: 24413: Completion/Unix/Command/_git: handle
	completion when git aliases are used.

	* Mikael Magnusson: 24396: Completion/Unix/Command/_git:
	don't pass -r to git ls-files for performance reasons,
	compensate for lack of recursion.

2008-01-21  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Src/builtin.c: got rid of compiler warning about
	a signed/unsigned comparison.

2008-01-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Completion/Unix/Command/_mount: make MATCH etc.
	local.

	* users/12461: Completion/Unix/Command/_mount: mount points
	weren't completed properly for umount.

2008-01-18  Barton E. Schaefer  <schaefer@zsh.org>

	* users/12453: Functions/Misc/xtermctl: X11 window control for
	xterm-compatible emulators

2008-01-18  Clint Adams  <clint@zsh.org>

	* 24408: configure.ac, Etc/zsh-development-guide:
	use contents of ZSH_EXTRAVERSION environment variable for
	version suffix.

2008-01-18  Peter Stephenson  <pws@csr.com>

	* 24406: Src/Zle/compmatch.c: use deep copy of Cline structure
	to avoid it containing itself.

2008-01-17  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_perforce: a few minor
	news options.

2008-01-14  Peter Stephenson  <pws@csr.com>

	* 24388: Completion/Unix/Command/_mh: abort neatly if MH
	commands not found.

2008-01-13  Clint Adams  <clint@zsh.org>

	* 24387: Completion/Debian/Command/_dpkg: update --force-*
	options for dpkg completion.

2008-01-13  Barton E. Schaefer  <schaefer@zsh.org>

	* users/12426: Functions/Misc/sticky-note: post-its for zsh.

	* 24364: Functions/Misc/run-help: change the comment from 24349
	to a local assignment to HELPDIR with a default location.

2008-01-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* "N.J. Mann" <njm@njm.f2s.com>: users/12420:
	Completion/Unix/Command/_cvs: completion for cvs commit -f.

2008-01-10  Peter Stephenson  <pws@csr.com>

	* users/12412: Src/builtin.c, Src/parse.c, Test/C02cond.ztst:
	check for extra arguments in test and [.

	* 24384: Src/params.c: eliminate invalid pointer and also
	(unposted) add debug check for use.

2008-01-08  Peter Stephenson  <pws@csr.com>

	* unposted: 4.3.4-dev-7.

	* 24371: Src/Zle/zle_refresh.c: potential crash when refreshing
	scrolling chunk of large history entry.

2008-01-06  Clint Adams  <clint@zsh.org>

	* Chris Lamb: 24365: Completion/Debian/Command/.distfiles,
	Completion/Debian/Command/_vim-addons: completion for vim-addons.

2008-01-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24362: Src/Zle/zle_refresh.c: redrawing line with multibyte
	character first caused later characters not to be redrawn.

2008-01-04  Clint Adams  <clint@zsh.org>

	* 24360: Completion/Unix/Command/_du: fix misspelling of
	--separate-dirs.

2008-01-04  Peter Stephenson  <pws@csr.com>

	* 25356: Src/text.c, Test/C02cond.ztst: "=~" wasn't handled by
	the code that retrieves a printed representation.
	Non-interactively this caused a crash.

2008-01-04  Clint Adams  <clint@zsh.org>

	* 24349: Functions/Misc/run-help: add comment about HELPDIR to
	assist replacement in Debian build.

2008-01-03  Clint Adams  <clint@zsh.org>

	* 24345: Completion/Unix/Command/_metaflac: add --no-utf8-comment
	and --list.

2007-12-31  Barton E. Schaefer  <schaefer@zsh.org>

	* unposted (based on J.Sommer: 24334): Doc/Zsh/contrib.yo:
	Document expanded behavior of run-help.

	* J.Sommer: 24333: Functions/Misc/.distfiles,
	Functions/Misc/run-help-git, Functions/Misc/run-help-svk,
	Functions/Misc/run-help-svn: run-help helpers.

	* 24332: Functions/Misc/run-help: use only the path tail of $1
	when calling "man" et al.  Look for a helper function named
	run-help-$1 to provide specific help for the command, before
	falling back on "man".

	* 24324: Src/hist.c: do not set ftim when re-entering the history
	mechanism for string substitution.

2007-12-31  Clint Adams  <clint@zsh.org>

	* 24330: Completion/X/_xpdf: add some missing options from xpdf
	3.02.

2007-12-27  Clint Adams  <clint@zsh.org>

	* 24323: Completion/Debian/Command/_apt: for performance reasons,
	procure release names via apt-cache policy instead of apt-cache
	dump.

2007-12-27  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Src/params.c: silenced a compiler warning by making
	an int unsigned.

2007-12-24  Clint Adams  <clint@zsh.org>

	* 24316: Test/runtests.zsh, Test/ztst.zsh: count skipped tests
	differently from successes and failures.

2007-12-20  Peter Stephenson  <pws@csr.com>

	* unposted: 4.3.4-dev-6.

	* 24305: NEWS, README, Etc/FAQ.yo: update files in preparation
	for 4.3.5.

2007-12-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24301: missed a case for the lower-casing fix in 23219.

	* 24298: Tonguc Yumruk: Functions/Misc/is-at-least: use
	emulate -L for consistency.

2007-12-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24289 plus change suggested by Ismail in 24290:
	Test/Makefile.in, Test/runtests.zsh, Test/ztst.zsh,
	Test/.distfiles: count successful and unsuccessful scripts
	and report with status.

2007-12-18  Peter Stephenson  <pws@csr.com>

	* 24279: Src/jobs.c, Src/zle_main.c, Src/zle_thingy.c: allow
	terminal changes in zle -I to be remembered in normal shell
	settings.

2007-12-17  Peter Stephenson  <pws@csr.com>

	* unposted: Src/utils.c: suppress harmless warning.

	* 24275: Src/builtin.c, Src/Zle/zle_utils.c,
	Test/D07multibyte.ztst: Solaris returns the full character
	length from mbrlen() etc. even if the call started in the
	middle; bad characters are silently converted to a question mark.

	* unposted: Config/version.mk: 4.3.4-dev-5.

	* unposted: Src/lex.c: minor typo

	* Wayne: 24273: Src/Modules/curses.c: various macros
	aren't supposed to return a value.

2007-12-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24271: Src/lex.c, Test/C01arith.ztst: handle parse failures
	in math substitution better.

	* 24268: Completion/Unix/Type/_mailboxes: handle backslashed =.

	* 24264: Doc/Zsh/builtins.yo, Doc/Zsh/expn.yo, Src/params.c,
	Src/subst.c, Src/zsh.h, Test/B02typeset.ztst: restrict the
	effect of 24234 to expansion in the parameter substitution code
	and attempt to document the effect.

2007-12-15  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Completion/Unix/Command/_rsync: Improved the help
	text of the --whole-file option.

2007-12-14  Peter Stephenson  <pws@csr.com>

	* 24252: configure.ac, Src/system.h, Src/Modules/curses.c:
	_XOPEN_SOURCE_EXTENDED was causing problems on OpenBSD.

	* 24251: Doc/ztexi.yo: fix sitem() macro.

2007-12-13  Clint Adams  <clint@zsh.org>

	* 24242: Functions/Calendar/calendar_add, Functions/Example/cat,
	Functions/Example/zless, Functions/Misc/checkmail,
	Functions/Misc/run-help, Functions/Misc/zcalc, Functions/Misc/zkbd:
	unify top lines as #!/bin/zsh (followed by options).

	* Peter: 24235: Completion/Base/Utility/_arguments: handle
	underscores.

2007-12-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24241: Doc/Zsh/expn.yo: explain the effect of time glob
	qualifiers better.

	* 24240: Src/Zle/zle_main.c: vared didnʼt check for trailing
	garbage on parameter names until too late.

	* 24239: Completion/Zsh/Context/_subscript: if the [ of
	a subscript was backslashed, a trailing space was added
	backslashed along with the "\[".

	* 24236: Test/C02cond.ztst: another case where the wretched
	cond -N test can fail.

	* 24234: Doc/Zsh/expn.yo, Src/params.c, Src/subst.c,
	Test/B02typeset.ztst: apply parameter flags defined with
	typeset etc. consistently so that substitution code layered
	above always sees the effects.

2007-12-12  Peter Stephenson  <pws@csr.com>

	* users/12325: Doc/Zsh/builtins.yo, Src/builtin.c:
	implement OSI rules for three- and four-argument test and [ ... ]
	commands and warn users about the problems.

	* users/12305: Doc/Zsh/builtins.yo, Src/init.c,
	Test/A01grammar.ztst: option output wasn't well described;
	"-c" is documented not to set SHIN_STDIN, so don't.

2007-12-11  Clint Adams  <clint@zsh.org>

	* unposted: Completion/Debian/Command/.distfiles: update.

2007-12-11  Peter Stephenson  <pws@csr.com>

	* users/12307: Test/C02cond.ztst: the wretched -N test is
	still problematic; expand the delay to 2 seconds.

	* 24210: Src/builtin.c: "set -o" should abort on failure.

	* unposted: Config/version.mk, Completion/Unix/Command/.distfiles:
	Functions/Zle/.distfiles: 4.3.4-dev-4.

2007-12-10  Peter Stephenson  <pws@csr.com>

	* Vincent Lefevre: 24192: Completion/Unix/Command/_make:
	make GNU make support -include.

2007-12-09  Barton E. Schaefer  <schaefer@zsh.org>

	* 24150 plus unposted: Src/exec.c, Test/D08cmdsubst.ztst:
	Retain exit status of last non-assignment command substitution
	across variable assignment processing so that, in the event of
	no command word to execute, the exit status of the statement is
	that of the last command substitution (per POSIX).

2007-12-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24197: Src/utils.c, Src/Modules/datetime.c: interface to
	ztrftime() for insufficient memory was broken.

2007-12-08  Clint Adams  <clint@zsh.org>

	* 24188: Completion/Unix/Command/_id: completion for GNU id.

	* 24187: Completion/Debian/Command/_members: completion for members.

2007-12-07  Clint Adams  <clint@zsh.org>

	* 24174: Completion/Unix/Command/_cut: Oliver's deuglification
	of 24169.

2007-12-07  Peter Stephenson  <pws@csr.com>

	* Unposted: Src/exec.c: add explanatory comment for 24170/24179.

	* 24180: configure.ac, Src/utils.c: back off (most of) 24148.

	* 24179: Src/exec.c: alter 241770 to use queue_signals().

	* Guillaume Chazarain: 24170: Src/exec.c: block interrupts
	around fork since it may mess with locks.

2007-12-07  Clint Adams  <clint@zsh.org>

	* 24172 (tweaked): configure.ac: check ncurses.h, ncurses/ncurses.h, and
	ncursesw/ncurses.h for curses keys.

	* 24171, 24173: Src/Modules/terminfo.c: define USE_TERMINFO_MODULE when
	ncurses.h, ncurses/ncurses.h, or ncursesw/ncurses.h is present.

2007-12-06  Clint Adams  <clint@zsh.org>

	* 24169: Completion/Unix/Command/_cut: use print in command
	substitution to avoid a literal non-ASCII character in the German
	translation of args for cut completion.

2007-12-05  Clint Adams  <clint@zsh.org>

	* 24160: Src/Modules/terminfo.c, Src/Modules/terminfo.mdd:
	build terminfo module if ncursesw is present but curses.h is not.

2007-12-05  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_ip: typo in "addr replace"
	completion.

2007-12-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24148: configure.ac, Src/utils.c: attempt to use strerror_r()
	to make error messages in signal handle safer.

2007-12-03  Wayne Davison  <wayned@users.sourceforge.net>

	* 24147: Util/difflog.pl: improved the temporary-file handling.

2007-12-03  Peter Stephenson  <pws@csr.com>

	* 24143: Etc/zsh-development-guide, Util/.distfiles:  Remove
	difflog.pl from the distribution owing to security worries
	in usage (but leave it in the archive); also document the
	distfiles business.

2007-12-03  Clint Adams  <clint@zsh.org>

	* 24140: Completion/Unix/Command/_git: spelling fix and
	removal of redundant "config" subcommand as proposed by Wayne.

2007-12-01  Clint Adams  <clint@zsh.org>

	* 24135: Completion/Debian/Command/_make-kpkg: consistently
	complete subcommands with minus signs instead of underscores.

2007-11-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* arno: 24134: Completion/Unix/Command/_find: additional options.

2007-11-29  Peter Stephenson  <pws@csr.com>

	* 24130 (belatedly): Doc/Zsh/calsys.yo,
	Functions/Calendar/.distfiles, Functions/Calendar/calendar,
	Functions/Calendar/calendar_add,
	Functions/Calendar/calendar_parse: abstract calendar_parse from
	calendar and use in calendar_add to be slightly cleverer about
	recurrences.

	* Kohsuke Kawaguchi: 24129: Completion/Unix/Command/_ant:
	skip targets that can't be invoked from the command line.

2007-11-28  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24128: Test/Y02compmatch.ztst: test for 24127.

	* 24127: Src/Zle/compcore.c, Src/Zle/compmatch.c: fix
	bug with matcher 'r:|[-./_]=* r:|=* l:|=*' completing
	where word on command line starts after a "-".

2007-11-28  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Completion/Unix/Command/_rsync: Added one more
	option for the upcoming 3.0.0 version of rsync: --contimeout.

2007-11-28  Peter Stephenson  <pws@csr.com>

	* Mustafa Oezkan: 24126: Completion/Unix/Command/_mount:
	additional options.

2007-11-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Ryan F: users/12154: Completion/Unix/Type/_groups: MacOS X
	group completion.

2007-11-26  Peter Stephenson  <pws@csr.com>

	* unposted: Config/version.mk, Completion/Unix/Command/.distfiles:
	changes for 4.3.4-dev-3.

	* 24120: Src/init.c: memory allocation for termcap strings
	was screwy, in particular when terminal couldn't move left.

	* c.f. users/12248: Doc/Zsh/.distfiles: zshcalsys.1 was missing
	from distribution.

2007-11-24  Clint Adams  <clint@zsh.org>

	* 24118: configure.ac: only link against libnsl if we have NIS and
	need it for yp_all, or if we need it for getpwnam.

2007-11-23  Clint Adams  <clint@zsh.org>

	* Markus Waldeck: 24117: Completion/Unix/Command/_uname:
	completion for uname.

2007-11-23  Geoff Wing  <gcw@zsh.org>

	* 24098: Src/Zle/zle_refresh.c: Fix my botch with 23924, rework
	out new prompts and their lengths before use in resetvideo().

2007-11-22  Clint Adams  <clint@zsh.org>

	* unposted: Functions/Prompts/prompt_clint_setup: fix typo in git
	psvar assignment.

	* Sean Finney: 24115: Completion/Unix/Command/_git: offer tags as
	well as heads where refspecs are valid.

	* 24114: Completion/Unix/Command/_git: make colon suffix removable
	after the first part of refspecs.

2007-11-22  Barton E. Schaefer  <schaefer@zsh.org>

	* 24113: Src/params.c: createparamtable() was still messing with
	the internals of the environment even when USE_SET_UNSET_ENV.

2007-11-21  Clint Adams  <clint@zsh.org>

	* arno.: 24111: Completion/Debian/Command/_dlocate: complete -lsbin
	and -lsman options to dlocate.

2007-11-21  Peter Stephenson  <pws@csr.com>

	* 24110: Src/Modules/curses.c: change those includes yet again.

2007-11-20  Peter Stephenson  <pws@csr.com>

	* 24108 plus yet another tweak: configure.ac: the test
	for whether we using ncurses as a library was both wrong
	and in the wrong place.

	* 24107: configure.ac, Src/Modules/curses.c: yet more
	library fun: search for ncurses headers in other places,
	don't use ncursesw/ncurses.h if no multibyte support,
	don't use any ncurses headers if the terminal library
	isn't ncurses.

	* 24104: INSTALL, configure.ac: don't search for ncurses if
	we can't find ncurses.h.

	* 24103: Doc/Makefile.in: ensure zsh.texi is updated if
	the version changes.

	* ????? & 24104: configure.ac: attempt to prevent Tru64 Unix
	from reporting missing symbols when linking dynamically (not
	tested).

	* unposted: run Util/check_exports and add some mod_export tags.

	* unposted: fix .distfiles and version.mk for 4.3.4-dev-2.

2007-11-19  Peter Stephenson  <pws@csr.com>

	* users/12230: Src/Zle/zle_params.c: if killring was set
	to empty array, kringsize was zero but kring was unset,
	causing unhealthy effects in cut().

	* unposted: from Eric Mangold: Completion/Unix/Command/_twisted:
	update.

2007-11-18  Clint Adams  <clint@zsh.org>

	* Nikolai Weibull: 24075: Completion/Unix/Command/_cp: fix
	completion of values for --preserve and --no-preserve.

2007-11-12  Peter Stephenson  <pws@csr.com>

	* 24093: Doc/Zsh/arith.yo: be more accurate about supported
	floating point.

	* 24089: Doc/Zsh/mod_curses.yo, Src/Modules/curses.c:
	compilation on non-curses system; also (unposted) avoid crash
	decoding color when not supported.

	* Vin Shelton: 24088: Src/Modules/curses.c: 24083 error with
	no multibyte.

2007-11-11  Clint Adams  <clint@zsh.org>

	* Nikolai Weibull: 24046: Completion/Unix/Command/_strip: improve
	completion for Solaris and GNU strips.

2007-11-10  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24083: Doc/Zsh/mod_curses, Src/Modules/curses.c: add
	'zcurses querychar'.

	* 24082: Functionz/Zle/delete-whole-word-match: failed if
	cursor was on whitespace.

	* Mikael Magnusson, 24076; 24081: Doc/Zsh/zle.yo,
	Functions/Zle/backward-kill-word-match,
	Functions/Zle/delete-whole-word-match,
	Functions/Zle/kill-word-match:  need to cancel option
	processing with -- after widget calls with arguments.

2007-11-09  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Completion/Unix/Command/_rsync: Added missing
	single-letter options for --acls and --xattrs.

2007-11-08  Peter Stephenson  <pws@csr.com>

	* users/12198: Doc/Zsh/mod_complist.yo: make the definition of
	the menu-select widget clearer.

	* unposted: Src/curses.c: typo in parameter setting in
	24073.

2007-11-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24073 (plus tweak to allow "zcurses mouse" with no additional
	arguments): Doc/Zsh/mod_curses.yo, Src/Modules/curses.c:
	add zcurses mouse handling.

2007-11-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24070: Src/utils.c, Test/A03quoting.ztst,
	Test/D07multibyte.ztst: Some fixes for \u handling in
	getkeystring().

2007-11-06  Peter Stephenson  <pws@csr.com>

	* 24069: Doc/Zsh/mod_curses.yo, Src/Modules/curses.c: add
	$zcurses_keycodes.

	* 24068: Src/builtin.c: attempt to make `printf "%g\n" -0'
	output "-0", although this depends on the vagaries of the
	library's strtod() (works on Solaris, doesn't on Fedora 7).

2007-11-04  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Completion/Unix/Command/_rsync:  Added new options
	for the upcoming 3.0.0 release of rsync.

2007-11-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* c.f. 24050: NEWS: note high resolution timestamps.

	* c.f. 24050: Src/Modules/.cvsignore: add curses_keys.h:

2007-11-01  Oliver Kiddle  <opk@zsh.org>

	* 24050: configure.ac, Src/cond.c, Src/glob.c, Src/system.h:
	handle nanosecond timestamps on systems that support them

	* 24048: Src/hashtable.c: fix home directory expansion with
	NIS on Solaris

	* Frank Benkstein: 24047: Completion/compinit: fix compdef
	with more than three commands using the same service

2007-10-31  Oliver Kiddle  <opk@zsh.org>

	* 24045: Src/params.c: fix memory leak where old value of an
	environment variable isn't freed

2007-10-31  Barton E. Schaefer  <schaefer@zsh.org>

	* 24043: Functions/Prompts/promptinit: emulate -L resets prompt
	options that we don't want reset, so remove it

2007-10-31  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Src/utils.c: Fixed the use of an uninitialized 'x'
	in spckword() if shout is NULL.

2007-10-31  Clint Adams  <clint@zsh.org>

	* 24039: Completion/Unix/Command/_cut: cope with FreeBSD
	cut in addition to GNU cut.

2007-10-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24038: Doc/Zsh/mod_curses.yo, Src/Modules/curses.c: add
	"zcurses bg".

2007-10-30  Peter Stephenson  <pws@csr.com>

	* users/12149: Doc/Zsh/expn.yo, Src/subst.c,
	Test/D04parameter.ztst:  "${(@s.:.)...}" retains empty
	fields, although "${(s.:.)...}" remains backward compatible.

2007-10-30  Peter Stephenson  <pws@csr.com>

	* 24030, adapted: Src/Modules/curses.c: turning off a key timeout
	on Solaris 8 seemed to need leaving and re-entering cbreak mode.
	This can't be done per-window, so make this specific to Solaris
	not using ncurses.

2007-10-29  Clint Adams  <clint@zsh.org>

	* Markus Waldeck: 24032 (tweaked): Completion/Unix/Command/_cut:
	completion for cut.

2007-10-29  Peter Stephenson  <pws@csr.com>

	* 24029: Src/Modules/curses.c: crashed on attempt to use
	color if it wasn't available.

	* unposted: configure.ac: remove some broken debugging.

2007-10-28  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24028: Doc/Zsh/mod_curses.yo, Src/Modules/curses.c:
	add "zcurses timeout".

	* 24027: Doc/Zsh/mod_curses.yo, Src/Modules/curses.c:
	add "touch", subwindows, optimized "refresh".

	* 24026: Doc/Zsh/mod_curses.yo, Src/Modules/curses.c:
	handle default/default colorpair and handle color
	default separately if use_default_colors() is available.

	* unposted: Doc/Zsh/mod_curses.yo: Oops, misdescribed the
	effect of getmaxyx().

	* 24025: Doc/Zsh/mod_curses.yo, Src/Modules/curses.c,
	Src/Modules/curses_keys.awk: new zcurses subcommands
	"clear" and "position"; "stdscr" window; numerous other tweaks.

2007-10-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Src/curses.c: zcurses input oops.

	* 24024: configure.ac, Doc/Zsh/mod_curses.yo,
	Src/Modules/curses.c, Src/Modules/curses_keys.awk:  add "zcurses
	input" for single character raw input without echoing.  Test for
	wget_wch for wide character input.  Add handling for keypad()
	mode by scanning header.

2007-10-26  Clint Adams  <clint@zsh.org>

	* 24022: Completion/Debian/Command/_dpkg-repack: completion for
	dpkg-repack by Dr. Markus Waldeck, tweaked a bit.

2007-10-25  Peter Stephenson  <pws@csr.com>

	* c.f. users/12110: Doc/Zsh/params.yo: desperately try to
	get the $SECONDS documentation correct.

	* c.f. users/12109: Doc/Zsh/params.yo: tweak to SECONDS
	documentation for clarity.

	* users/12100: Completion/Unix/Type/_path_files,
	Doc/Zsh/compsys.yo: with NO_CASE_GLOB, use a case-insensitive
	matcher if none is in effect.

2007-10-24  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24018: Doc/Zsh/mod_curses.yo, Src/Modules/curses.c:
	add "zcurses scroll".

	* 24017: Doc/Zsh/mod_curses.yo, Src/Modules/curses.c:
	fold color support into attr subcommand and improve error
	handling; add various readonly parameters; replace strtok();
	tidy some zwarnnam().

2007-10-24  Peter Stephenson  <pws@csr.com>

	* 24016: configure.ac, Src/Modules/curses.c: compilation with
	curses and not ncurses.

2007-10-23  Clint Adams  <clint@zsh.org>

	* 24012: Src/Modules/curses.c: rename "endwin", "c", and "s" to
	"endwin", "char", and "string" respectively.

2007-10-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24011 (tweaked to include 24010 and to remove unneeded
	#define's): Src/Modules/curses.c: fix attr/endwin argument
	counts; verbose errors for wrong arguments; one cchar_t
	should be a wchar_t; dispatch straight to subcommands;
	attr passes back status from setting attributes.

2007-10-23  Clint Adams  <clint@zsh.org>

	* 24010: Src/Modules/curses.c: fix max arguments for 'zcurses
	border' to 1.

2007-10-23  Peter Stephenson  <pws@csr.com>

	* users/12087: Src/glob.c: fix a case where we doing globbing
	unnecessarily to find files case-insensitively in Cygwin.

2007-10-22  Peter Stephenson  <pws@csr.com>

	* 24007: Src/prompt.c, Src/utils.c: mildly suspicious things
	found when looking at crash: prompt allocation length and use
	of "shout".

	* 24006: Src/glob.c: (F) glob qualifier needs to unmetafy.

2007-10-21  Clint Adams  <clint@zsh.org>

	* 24005: Src/Modules/curses.c: enforce min/max arguments on zcurses
	commands.

	* 24004: Doc/Zsh/mod_curses.yo: align documentation with UI changes
	in 24002.

2007-10-20  Clint Adams  <clint@zsh.org>

	* 24002: Src/Modules/curses.c: change all the subcommands from
	option letters to words.

2007-10-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24001: Src/Modules/curses.c: fix up zcurses -C.

2007-10-20  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 23999: Completion/Unix/Command/_git:
	improvements for git show, git rev-parse, et al.

2007-10-19  Clint Adams  <clint@zsh.org>

	* 23997: Src/Modules/curses.c: don't delete color pair hash
	on module unload unless it's been previously initialized.

	* 23994: Completion/Unix/Command/_git: tweaks for 23993.

	* Mikael Magnusson: 23993: Completion/Unix/Command/_git: improved
	completion for git show.

2007-10-19  Geoff Wing  <gcw@zsh.org>

	* 23924: Src/Zle/zle_main.c, Src/Zle/zle_refresh.c: Improve
	synchronising of character attributes with other output routines

2007-10-18  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 23991: Completion/Unix/Command/_git: fix
	typo in __git_blobs().

	* Mikael Magnusson: 23988: Completion/Unix/Command/_git: fix
	git-svn commands completion.

	* 23989: Src/Modules/curses.c: add broken zcurses -C to set window
	colors.

2007-10-18  Peter Stephenson  <pws@csr.com>

	* 23986: Doc/Zsh/contrib.yo: zmv example for turning spaces
	into underscores.

	* 23978: configure.ac, Src/Modules/curses.c: use waddwstr() to
	get zcurses -s to work with wide characters.

2007-10-17  Clint Adams  <clint@zsh.org>

	* 23982: Doc/Zsh/mod_curses.yo: documentation for zcurses -A.

	* 23981: Src/Modules/curses.c: add zcurses -A to set window
	attributes.

2007-10-17  Peter Stephenson  <pws@csr.com>

	* 23970 (slightly modified): Doc/Zsh/mod_curses.yo,
	Src/Modules/curses.c: fix up deletion of curses windows and add
	zcurses -i/-e for initialisation and end to retain terminal
	sanity; make "zcurses -r" do a global refresh.

	* Vin Shelton: 23968: Doc/Zsh/mod_curses.yo: overabundance of
	enditem().

2007-10-15  Clint Adams  <clint@zsh.org>

	* 23965: Completion/Unix/Command/_git: add missing bracket in
	completion for git svnimport.

	* 23964: Src/Modules/curses.c: call endwin() in curses module cleanup.

	* 23962: Doc/Zsh/mod_curses.yo, Src/Modules/curses.c: store windows
	in a linked list instead of a static array, and use strings as
	window identifiers instead of integers.

	* 23958: Doc/Zsh/mod_curses.yo, Src/Modules/curses.c: change target
	window to be the first argument of zcurses -a.

	* 23957: Doc/Zsh/mod_curses.yo, Src/Modules/curses.c: minor fixes.

2007-10-14  Clint Adams  <clint@zsh.org>

	* unposted: Doc/Zsh/.distfiles, Src/Modules/.distfiles: update for
	zsh/curses module and documentation.

	* 23954: Doc/Makefile.in, Doc/Zsh/mod_curses.yo: documentation for
	zsh/curses module.

2007-10-14  Barton E. Schaefer  <schaefer@zsh.org>

	* unposted: Functions/Prompts/prompt_bart_setup: make sure
	localtraps is unset before assigning to functions[TRAPWINCH].

	* users/12008: Functions/Prompts/promptinit: emulate zsh to
	avoid setopts conflicts.  Run precmd and preexec only if they
	are defined as functions.

2007-10-14  Clint Adams  <clint@zsh.org>

	* 23952: Src/Modules/curses.c, Src/Modules/curses.mdd: work with
	non-wide curses as well.

2007-10-13  Clint Adams  <clint@zsh.org>

	* 23947: Functions/Prompts/prompt_clint_setup: remove apm battery
	status and add git branch detection.

	* unposted: Config/aczshoot.m4: quote name of aclocal function.

2007-10-12  Clint Adams  <clint@zsh.org>

	* 23945: Config/aczshoot.m4: autoconf include file for
	budding out-of-tree module support.

2007-10-12  Peter Stephenson  <pws@csr.com>

	* 23943 (slightly modified): INSTALL, configure.ac: search
	ncursesw and document this.

2007-10-11  Clint Adams  <clint@zsh.org>

	* 23927: Src/system.h: don't define struct timezone if
	ZSH_OOT_MODULE is defined.

2007-10-11  Peter Stephenson  <pws@csr.com>

	* 23934: Completion/Base/Completer/_expand_alias:
	if "foo" expands as regular alias to "foo blah", turn this
	into "\foo blah" to avoid the alias kicking in again.

2007-10-08  Clint Adams  <clint@zsh.org>

	* 23923: Src/Modules/curses.c: fold all other curses windowing
	builtins into zcurses.

	* 23919: Src/Modules/curses.c, Src/Modules/curses.mdd:
	have new zcurses builtin replace 4 separate builtins.

2007-10-08  Peter Stephenson  <pws@csr.com>

	* arno: 23910: Completion/Unix/Command/_init_d: handle
	spaces in cases in init scripts.

2007-10-08  Clint Adams  <clint@zsh.org>

	* 23911: configure.ac, Src/Modules/curses.c,
	Src/Modules/curses.mdd: curses windowing module.

2007-10-06  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 23907: Completion/Unix/Command/_git: add
	--cached option to git-diff completion.

	* 23908: Completion/Unix/Command/_git: add missing backslash in
	_git-svn.

	* Mikael Magnusson: 23906: Completion/Unix/Command/_git: add
	missing backslash in _git-svn.

2007-10-05  Peter Stephenson  <p.w.stephenson@ntlworld.com

	* unposted, c.f. users/11935: Doc/Zsh/builtins.yo: quoting
	of arguments to unalias.

2007-10-04  Clint Adams  <clint@zsh.org>

	* 23905: Completion/Unix/Command/_git: remove useless gitdir
	assignment and scope array locally in new __git_changed_files
	function.

	* Mikael Magnusson: 23903: Completion/Unix/Command/_git:
	complete both modified and added files for git commit.

2007-10-03  Peter Stephenson  <pws@csr.com>

	* 23900: Src/Zle/compctl.c, Src/Zle/zle_tricky.c: Better handling
	of NO_EQUALS option on old-style completion.

2007-10-02  Peter Stephenson  <pws@csr.com>

	* 23896: configure.ac, INSTALL, README: replace
	--with-curses-terminfo by --with-term-lib, which takes an
	argument; fail if termcap/curses library not found; improve
	installation documentation.

	* 23883: Doc/Zsh/func.yo: try to improve precmd documentation.

	* Daniel Qarras: users/11915: Completion/Unix/Command/_module:
	.version incorrectly quoted as regexp.

2007-10-01  Clint Adams  <clint@zsh.org>

	* Nikolai Weibull: 23889: Completion/Unix/Command/_git: fix -o
	completion in git cvsimport.

	* Nikolai Weibull: 23888: Completion/Unix/Command/_git: complete
	branch names and cached files after git log.

	* Nikolai Weibull: 23879: Completion/Unix/Command/_git: complete
	only cached files after git log.

	* Jesse Weinstein: 23878: Completion/Unix/Command/_ranlib:
	completion for ranlib.

2007-09-30  Clint Adams  <clint@zsh.org>

	* 23875: Completion/Unix/Command/_git: complete heads, tags, and
	files after git log.

	* 23874: Completion/Unix/Command/_git: only declare
	revision_arguments parameter once.

	* Nikolai Weibull: 23871: Completion/Unix/Command/_cdrdao:
	fix __cdrdao-drivers typo.

	* 23872: Completion/Unix/Command/_git: complete git
	config in subcommand position.

	* 23870: Completion/Unix/Command/_git: completion for git
	mergetool.

	* 23868: Completion/Debian/Command/_svn-buildpackage: completion
	for svn-buildpackage.

	* 23867: Completion/Debian/Command/_dpkg-buildpackage: completion
	for dpkg-buildpackage.

	* 23863: Completion/Linux/Command/_lsusb: completion
	for lsusb.

	* 23863: Completion/Unix/Command/_git: remove all
	global variables.

	* 23862: Completion/Unix/Command/_git: declare
	author_conversion_file_arg_spec local.

2007-09-29  Clint Adams  <clint@zsh.org>

	* 23860: Completion/Debian/Command/_dpatch-edit-patch: complete
	patch names, omitting the .dpatch extension.

	* 23854: Completion/Debian/Command/_dpatch-edit-patch: complete
	colon-separated path after -P, other minor tweaks.

	* Julien BLACHE: 23852:
	Completion/Debian/Command/_dpatch-edit-patch: completion for
	dpatch-edit-patch.

	* Pierre Habouzit: 23851: Completion/Unix/Command/_git:
	use ad-hoc functions to list git branches and tags.

2007-09-28  Clint Adams  <clint@zsh.org>

	* 23850: Completion/Unix/Command/_md5sum: complete for GNU md5sum
	instead.

	* Jesse Weinstein: 23848: Completion/Unix/Command/_md5sum:
	completion for md5sum.

2007-09-27  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 23838: Completion/Unix/Command/_git:
	have git verify-tag complete tags instead of hash IDs.

	* 23846: Completion/Unix/Command/_git: merge in additional changes
	from Nikolai Weibull's repo.

	* Jun Takimoto: 23814: Completion/Unix/Command/_ls, Command/_ls,
	Completion/BSD/Command/_chflags,
	Completion/Unix/Type/_file_systems, Completion/Unix/Command/_comm:
	fixes for Darwin.

	* 23841: Completion/Unix/Command/_git: complete tag hashes for git
	verify-tag.

2007-09-26  Peter Stephenson  <pws@csr.com>

	* users/11883: Src/init.c: "return" at top level caused
	following precommand functions to return immediately.

2007-09-26  Clint Adams  <clint@zsh.org>

	* 23834: Completion/Unix/Type/_tex: complete tex files for xetex
	and xelatex.

2007-09-25  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 23832: Completion/Unix/Command/_git:
	fix git merge -m completion.

	* 23831: Completion/Unix/Command/_git: fix handling of merge
	strategy option.

	* 23829: Completion/Unix/Command/_git: merge in the remaining
	git completion changes from Nikolai Weibull's repository.

	* 23828: Completion/Unix/Command/_git: merge in lots of
	git completion changes from Nikolai Weibull's repository.

	* Mikael Magnusson: 23827: Completion/Unix/Command/_vorbis:
	allow all arguments to options to either immediately follow
	the option letter or be the next word.

2007-09-23  Clint Adams  <clint@zsh.org>

	* 23824: Completion/Unix/Command/_git: merge in git rerere
	completion from Nikolai Weibull's repository.

	* 23823: Completion/Unix/Command/_git: merge in git rev-parse
	completion from Nikolai Weibull's repository.

2007-09-21  Clint Adams  <clint@zsh.org>

	* 23822: Completion/Unix/Command/_git: merge in git rm
	completion fixes from Nikolai Weibull's repository.

2007-09-18  Peter Stephenson  <pws@csr.com>

	* users/11852: Completion/Base/Completer/_expand_alias:
	quotes were incorrectly removed from aliases.

2007-09-13  Clint Adams  <clint@zsh.org>

	* 23813: Src/Zle/zle_hist.c: set vipenultsrchstr to NULL
	after freeing it to avoid vi-mode history search segfaults.

2007-09-05  Peter Stephenson  <pws@csr.com>

	* users/11818: Doc/Zsh/mod_parameter.yo, Src/jobs.c, Src/utils.c,
	Src/Modules/parameter.c:  Allow non-numeric lookup of job
	status parameters.

	* unposted: Functions/Calendar/calendar: make sure there's a
	space between a date of a recurring event and the rest of
	the line.

2007-09-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/11807: Src/exec.c, Src/jobs.c: display of jobs in
	subshells and occasionally in the main shell was screwy.

2007-08-31  Peter Stephenson  <pws@csr.com>

	* 23812: Src/exec.c: ( command & ) caused core dump after 23460.

2007-08-30  Clint Adams  <clint@zsh.org>

	* Chris Lamb: 23810: Completion/Debian/Command/_lighttpd:
	 completion for lighty-{enable,disable}-mod .

2007-08-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 23809: Src/Zle/zle_tricky.c: attempt to expand finished
	$'...' expressions before or after the cursor in the
	word being completed.

2007-08-30  Peter Stephenson  <pws@csr.com>

	* 23808: Src/utils.c: debugging to try to isolate intermittent
	problem in wcs_nicechar().

	* 23807: Src/Zle/complist.c, Src/Zle/zle_misc.c: interactive mode
	in completion was fairly seriously broken.

2007-08-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Config/version.mk,
	Completion/Unix/Command/.distfiles,
	Completion/Unix/Type/.distfiles: updates for dev version
	I haven't got around to making yet, but one day soon.

	* 23795: Src/lex.c: make ${(Q)...} handle $'...' correctly,
	up to the problem of long flies in short ointments.

2007-08-23  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Calendar/calendar_show: used subscript
	0 instead of 1, hence broken since 23562.

2007-08-22  Peter Stephenson  <pws@csr.com>

	* 23794: Src/Zle/compresult.c: completing on 'echo "foo$"<TAB>'
	was broken.  The code is as opaque as usual but preventing the
	crash seems straightforward.

	* 23792: Doc/Zsh/expn.yo, Test/D07multibyte.ztst:  test
	and documentation for 23784.

	* 23791: Src/Zle/zle_refresh.c: use VARARR for arrays with
	MB_CUR_MAX.

	* users/11791: Functions/Zle/incremental-complete-word:
	missing "emulate -L zsh": was commented out, not sure why.

2007-08-21  Clint Adams  <clint@zsh.org>

	* 23788: Doc/Zsh/mod_files.yo, Src/Modules/files.c: add -h option
	to chown symlinks rather than targets, and change default behavior
	to do the opposite.

	* Matthieu Moy: 23785: Completion/Unix/Command/_git: add missing
	backslash in _arguments list in git-send-email.

2007-08-21  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Calendar/calendar_scandate: ensure we
	match the first time on the line so as to hook up with date.
	Could usefully be done with the date too, but not as crucial.

	* users/11790: Functions/Zle/{up,down}-line-or-beginning-search:
	emulate -L zsh to avoid nounset problem.

2007-08-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 23784: Src/utils.c: Use $'\...' quoting for unparseable and
	unprintable characters when doing backslash quoting.

2007-08-19  Clint Adams  <clint@zsh.org>

	* R.Ramkumar: 23783: Completion/Zsh/Command/_command,
	Completion/Zsh/Command/_hash, Completion/Zsh/Command/_which,
	Completion/Zsh/Context/_equal, Completion/Zsh/Type/_command_names:
	use _path_commands.

	* R.Ramkumar, tweaked: 23782: Completion/Unix/Type/_path_commands:
	commands with descriptions.

	* 23781: Completion/Debian/Command/_dput: base host completion
	on output of `dput -H`.

	* 23780: Completion/Debian/Command/_dput: add -e, -H, and
	optional host argument.

2007-08-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 23778: Doc/Zsh/builtins.yo: document KSH_TYPESET behaviour
	in the typeset manual entry.

2007-08-18  Clint Adams  <clint@zsh.org>

	* 23775: Completion/Unix/Command/_growisofs:
	restore completion of devicename=filename pairs after -Z and -M.

2007-08-16  Peter Stephenson  <pws@csr.com>

	* 23764: Doc/Zsh/calsys.yo, Functions/Calendar/calendar,
	Functions/Calendar/calendar_add: allow hidden continuation
	lines in calendar entry and use UID to help with updates.

	* Roy Marples: 23762: configure.ac: need to suppress [...] quoting
	for use of [...] in case.

	* 23761: Doc/Zsh/calsys.yo, Functions/Calendar/calendar:
	calendar -b shows brief output.

2007-08-14  Peter Stephenson  <pws@csr.com>

	* 23759: Doc/Zsh/contrib.yo, Functions/MIME/pick-web-browser:
	a few improvements to pick-web-browser.

	* 23757: Src/lex.c: suppression correction of command
	words immediately followed by () or something that looks
	like it's going to be one.

2007-08-12  Andrey Borzenkov <bor@zsh.org>

	* 23751: Completion/Linux/Command/_modutils: support for
	completing module files directly

2007-08-09  Clint Adams  <clint@zsh.org>

	* Nikolai Weibull: 23749: Completion/Unix/Command/_cdrdao:
	completion for cdrdao.

	* Nikolai Weibull: 23748: Completion/Unix/Command/_growisofs:
	better completion for growisofs and mkisofs.

2007-08-07  Clint Adams  <clint@zsh.org>

	* 23746: Completion/Unix/Command/_growisofs: partial completion
	for growisofs.

	* 23745: Completion/Unix/Command/_genisoimage: partial completion
	for genisoimage.

2007-08-04  Clint Adams  <clint@zsh.org>

	* Matthieu Moy: 23738: Completion/Unix/Command/_git: additional
	git diff args.

	* 23739: Completion/Unix/Command/_git: merge in git diff
	completion fixes from Nikolai Weibull's repository.

2007-08-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 23736: Src/hist.c: status for file save wasnʼt
	initialised.

	* unposted: **/.distfiles: update files for distribution.

2007-07-31  Peter Stephenson  <pws@csr.com>

	* 23733: Src/module.c, Test/V01zmodload.ztst: zmodload -LaF
	didn't include unloaded modules, making it a bit pointless.

	* 23732: Src/exec.c, Test/B02tyepset.ztst: unknown builtin
	error message was broken; test warning output was broken;
	exec of zsh in new env test was broken.

	* 23730: Src/exec.c, Src/params.c, Src/system.h, B02typeset.ztst:
	improve preprocessor and regression tests for 23725.

2007-07-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 23726: Test/B02typeset.ztst: test for adding and removing
	of environment variables.

	* 23725: configure.ac, Src/exec.c, Src/params.c, Src/system.h:
	use setenv() and unsetenv() for memory management of the
	environment where possible.

2007-07-29  Clint Adams  <clint@zsh.org>

	* 23720: Completion/Unix/Command/_dvi: handle arguments to dvips -P
	as part of the same word.

	* 23718: Completion/Unix/Command/_dvi: don't use _arguments -s.

2007-07-28  Clint Adams  <clint@zsh.org>

	* 23714: Completion/Unix/Command/_dvi: handle dvips -G, -R, -u, -U,
	-v, -V, -y, and -z.

2007-07-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 23713: Doc/Zsh/expn.yo, Misc/globtests, Src/pattern.c,
	Test/D02glob.ztst: add (#cN,M) globbing flag to work like
	{N,M} in regular expressions.

2007-07-27  Clint Adams  <clint@zsh.org>

	* 23712: Completion/Unix/Command/_dvi: handle dvips -j.

2007-07-26  Peter Stephenson  <pws@csr.com>

	* 23703: Src/init.c: getenv() should be zgetenv().

	* 23702: Config/installfns.sh: use chmod to change permissions
	since installing as a programme may try to strip the script.

2007-07-25  Clint Adams  <clint@zsh.org>

	* 23697: configure.ac: use -rdynamic where it seems to be
	available, not based on the value of $host.

2007-07-25  Peter Stephenson  <pws@csr.com>

	* 23696: Src/params.c, Test/D04parameter.ztst: assignment
	to negative subscripts in scalars before the start was broken.
	Now adds at start.

2007-07-24  Peter Stephenson  <pws@csr.com>

	* 23694: Src/cond.c: change of infix condition features to C:
	broke =~.

2007-07-23  Peter Stephenson  <pws@csr.com>

	* 23693: Src/Zle/compmatch.c: _match tried to match the quoted
	form of file names and any completion that did it's own quoting.

2007-07-22  Clint Adams  <clint@zsh.org>

	* 23691: Completion/BSD/Command/_portsnap: declare local parameter
	scope for _arguments state.

2007-07-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Renato Botelho <rbgarga@gmail.com>: 23685:
	Completion/BSD/Command/{_portlint,_csup,_portsnap}:
	new FreeBSD completions.

2007-07-19  Clint Adams  <clint@zsh.org>

	* Magnus Therning + tweaks: 23686: Completion/Unix/Command/_tin:
	respect TIN_HOMEDIR environment variable.

2007-07-17  Peter Stephenson  <pws@csr.com>

	* 23682: Src/module.c: missed cases where m->name should
	be m->node.nam from 23665.

2007-07-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 23680: Test/C04funcdef.ztst: tests for 23671.

2007-07-13  Peter Stephenson  <pws@csr.com>

	* 23671: Doc/Zsh/exec.yo, Src/exec.c: Function
	command_not_found_handler can be defined to handle command
	not found.

2007-07-12  Clint Adams  <clint@zsh.org>

	* 23674: Completion/Unix/Command/_git: merge in git clone
	completion fixes from Nikolai Weibull's repository.

2007-07-06  Clint Adams  <clint@zsh.org>

